VULKAN_HPP_NAMESPACE::DispatchLoaderStatic Class Reference

`#include <vulkan.hpp>`

## Public Member Functions

VkResult | vkAcquireNextImage2KHR (VkDevice device, const VkAcquireNextImageInfoKHR *pAcquireInfo, uint32_t *pImageIndex) const
VkResult | vkAcquireNextImageKHR (VkDevice device, VkSwapchainKHR swapchain, uint64_t timeout, VkSemaphore semaphore, VkFence fence, uint32_t *pImageIndex) const
VkResult | vkAllocateCommandBuffers (VkDevice device, const VkCommandBufferAllocateInfo *pAllocateInfo, VkCommandBuffer *pCommandBuffers) const
VkResult | vkAllocateDescriptorSets (VkDevice device, const VkDescriptorSetAllocateInfo *pAllocateInfo, VkDescriptorSet *pDescriptorSets) const
VkResult | vkAllocateMemory (VkDevice device, const VkMemoryAllocateInfo *pAllocateInfo, const VkAllocationCallbacks *pAllocator, VkDeviceMemory *pMemory) const
VkResult | vkBeginCommandBuffer (VkCommandBuffer commandBuffer, const VkCommandBufferBeginInfo *pBeginInfo) const
VkResult | vkBindAccelerationStructureMemoryNV (VkDevice device, uint32_t bindInfoCount, const VkBindAccelerationStructureMemoryInfoNV *pBindInfos) const
VkResult | vkBindBufferMemory (VkDevice device, VkBuffer buffer, VkDeviceMemory memory, VkDeviceSize memoryOffset) const
VkResult | vkBindBufferMemory2 (VkDevice device, uint32_t bindInfoCount, const VkBindBufferMemoryInfo *pBindInfos) const
VkResult | vkBindBufferMemory2KHR (VkDevice device, uint32_t bindInfoCount, const VkBindBufferMemoryInfo *pBindInfos) const
VkResult | vkBindImageMemory (VkDevice device, VkImage image, VkDeviceMemory memory, VkDeviceSize memoryOffset) const
VkResult | vkBindImageMemory2 (VkDevice device, uint32_t bindInfoCount, const VkBindImageMemoryInfo *pBindInfos) const
VkResult | vkBindImageMemory2KHR (VkDevice device, uint32_t bindInfoCount, const VkBindImageMemoryInfo *pBindInfos) const
void | vkCmdBeginConditionalRenderingEXT (VkCommandBuffer commandBuffer, const VkConditionalRenderingBeginInfoEXT *pConditionalRenderingBegin) const
void | vkCmdBeginDebugUtilsLabelEXT (VkCommandBuffer commandBuffer, const VkDebugUtilsLabelEXT *pLabelInfo) const
void | vkCmdBeginQuery (VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, VkQueryControlFlags flags) const
void | vkCmdBeginQueryIndexedEXT (VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, VkQueryControlFlags flags, uint32_t index) const
void | vkCmdBeginRenderPass (VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo *pRenderPassBegin, VkSubpassContents contents) const
void | vkCmdBeginRenderPass2KHR (VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo *pRenderPassBegin, const VkSubpassBeginInfoKHR *pSubpassBeginInfo) const
void | vkCmdBeginTransformFeedbackEXT (VkCommandBuffer commandBuffer, uint32_t firstCounterBuffer, uint32_t counterBufferCount, const VkBuffer *pCounterBuffers, const VkDeviceSize *pCounterBufferOffsets) const
void | vkCmdBindDescriptorSets (VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipelineLayout layout, uint32_t firstSet, uint32_t descriptorSetCount, const VkDescriptorSet *pDescriptorSets, uint32_t dynamicOffsetCount, const uint32_t *pDynamicOffsets) const
void | vkCmdBindIndexBuffer (VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkIndexType indexType) const
void | vkCmdBindPipeline (VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipeline pipeline) const
void | vkCmdBindShadingRateImageNV (VkCommandBuffer commandBuffer, VkImageView imageView, VkImageLayout imageLayout) const
void | vkCmdBindTransformFeedbackBuffersEXT (VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer *pBuffers, const VkDeviceSize *pOffsets, const VkDeviceSize *pSizes) const
void | vkCmdBindVertexBuffers (VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer *pBuffers, const VkDeviceSize *pOffsets) const
void | vkCmdBlitImage (VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageBlit *pRegions, VkFilter filter) const
void | vkCmdBuildAccelerationStructureNV (VkCommandBuffer commandBuffer, const VkAccelerationStructureInfoNV *pInfo, VkBuffer instanceData, VkDeviceSize instanceOffset, VkBool32 update, VkAccelerationStructureNV dst, VkAccelerationStructureNV src, VkBuffer scratch, VkDeviceSize scratchOffset) const
void | vkCmdClearAttachments (VkCommandBuffer commandBuffer, uint32_t attachmentCount, const VkClearAttachment *pAttachments, uint32_t rectCount, const VkClearRect *pRects) const
void | vkCmdClearColorImage (VkCommandBuffer commandBuffer, VkImage image, VkImageLayout imageLayout, const VkClearColorValue *pColor, uint32_t rangeCount, const VkImageSubresourceRange *pRanges) const
void | vkCmdClearDepthStencilImage (VkCommandBuffer commandBuffer, VkImage image, VkImageLayout imageLayout, const VkClearDepthStencilValue *pDepthStencil, uint32_t rangeCount, const VkImageSubresourceRange *pRanges) const
void | vkCmdCopyAccelerationStructureNV (VkCommandBuffer commandBuffer, VkAccelerationStructureNV dst, VkAccelerationStructureNV src, VkCopyAccelerationStructureModeNV mode) const
void | vkCmdCopyBuffer (VkCommandBuffer commandBuffer, VkBuffer srcBuffer, VkBuffer dstBuffer, uint32_t regionCount, const VkBufferCopy *pRegions) const
void | vkCmdCopyBufferToImage (VkCommandBuffer commandBuffer, VkBuffer srcBuffer, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkBufferImageCopy *pRegions) const
void | vkCmdCopyImage (VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageCopy *pRegions) const
void | vkCmdCopyImageToBuffer (VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkBuffer dstBuffer, uint32_t regionCount, const VkBufferImageCopy *pRegions) const
void | vkCmdCopyQueryPoolResults (VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize stride, VkQueryResultFlags flags) const
void | vkCmdDebugMarkerBeginEXT (VkCommandBuffer commandBuffer, const VkDebugMarkerMarkerInfoEXT *pMarkerInfo) const
void | vkCmdDebugMarkerEndEXT (VkCommandBuffer commandBuffer) const
void | vkCmdDebugMarkerInsertEXT (VkCommandBuffer commandBuffer, const VkDebugMarkerMarkerInfoEXT *pMarkerInfo) const
void | vkCmdDispatch (VkCommandBuffer commandBuffer, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) const
void | vkCmdDispatchBase (VkCommandBuffer commandBuffer, uint32_t baseGroupX, uint32_t baseGroupY, uint32_t baseGroupZ, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) const
void | vkCmdDispatchBaseKHR (VkCommandBuffer commandBuffer, uint32_t baseGroupX, uint32_t baseGroupY, uint32_t baseGroupZ, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) const
void | vkCmdDispatchIndirect (VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset) const
void | vkCmdDraw (VkCommandBuffer commandBuffer, uint32_t vertexCount, uint32_t instanceCount, uint32_t firstVertex, uint32_t firstInstance) const
void | vkCmdDrawIndexed (VkCommandBuffer commandBuffer, uint32_t indexCount, uint32_t instanceCount, uint32_t firstIndex, int32_t vertexOffset, uint32_t firstInstance) const
void | vkCmdDrawIndexedIndirect (VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) const
void | vkCmdDrawIndexedIndirectCountAMD (VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) const
void | vkCmdDrawIndexedIndirectCountKHR (VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) const
void | vkCmdDrawIndirect (VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) const
void | vkCmdDrawIndirectByteCountEXT (VkCommandBuffer commandBuffer, uint32_t instanceCount, uint32_t firstInstance, VkBuffer counterBuffer, VkDeviceSize counterBufferOffset, uint32_t counterOffset, uint32_t vertexStride) const
void | vkCmdDrawIndirectCountAMD (VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) const
void | vkCmdDrawIndirectCountKHR (VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) const
void | vkCmdDrawMeshTasksIndirectCountNV (VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) const
void | vkCmdDrawMeshTasksIndirectNV (VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) const
void | vkCmdDrawMeshTasksNV (VkCommandBuffer commandBuffer, uint32_t taskCount, uint32_t firstTask) const
void | vkCmdEndConditionalRenderingEXT (VkCommandBuffer commandBuffer) const
void | vkCmdEndDebugUtilsLabelEXT (VkCommandBuffer commandBuffer) const
void | vkCmdEndQuery (VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query) const
void | vkCmdEndQueryIndexedEXT (VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, uint32_t index) const
void | vkCmdEndRenderPass (VkCommandBuffer commandBuffer) const
void | vkCmdEndRenderPass2KHR (VkCommandBuffer commandBuffer, const VkSubpassEndInfoKHR *pSubpassEndInfo) const
void | vkCmdEndTransformFeedbackEXT (VkCommandBuffer commandBuffer, uint32_t firstCounterBuffer, uint32_t counterBufferCount, const VkBuffer *pCounterBuffers, const VkDeviceSize *pCounterBufferOffsets) const
void | vkCmdExecuteCommands (VkCommandBuffer commandBuffer, uint32_t commandBufferCount, const VkCommandBuffer *pCommandBuffers) const
void | vkCmdFillBuffer (VkCommandBuffer commandBuffer, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize size, uint32_t data) const
void | vkCmdInsertDebugUtilsLabelEXT (VkCommandBuffer commandBuffer, const VkDebugUtilsLabelEXT *pLabelInfo) const
void | vkCmdNextSubpass (VkCommandBuffer commandBuffer, VkSubpassContents contents) const
void | vkCmdNextSubpass2KHR (VkCommandBuffer commandBuffer, const VkSubpassBeginInfoKHR *pSubpassBeginInfo, const VkSubpassEndInfoKHR *pSubpassEndInfo) const

void

vkCmdPipelineBarrier (VkCommandBuffer commandBuffer, VkPipelineStageFlags srcStageMask, VkPipelineStageFlags dstStageMask, VkDependencyFlags dependencyFlags, uint32_t memoryBarrierCount, const VkMemoryBarrier *pMemoryBarriers, uint32_t bufferMemoryBarrierCount, const VkBufferMemoryBarrier *pBufferMemoryBarriers, uint32_t imageMemoryBarrierCount, const VkImageMemoryBarrier *pImageMemoryBarriers) const

void | vkCmdProcessCommandsNVX (VkCommandBuffer commandBuffer, const VkCmdProcessCommandsInfoNVX *pProcessCommandsInfo) const
void | vkCmdPushConstants (VkCommandBuffer commandBuffer, VkPipelineLayout layout, VkShaderStageFlags stageFlags, uint32_t offset, uint32_t size, const void *pValues) const
void | vkCmdPushDescriptorSetKHR (VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipelineLayout layout, uint32_t set, uint32_t descriptorWriteCount, const VkWriteDescriptorSet *pDescriptorWrites) const
void | vkCmdPushDescriptorSetWithTemplateKHR (VkCommandBuffer commandBuffer, VkDescriptorUpdateTemplate descriptorUpdateTemplate, VkPipelineLayout layout, uint32_t set, const void *pData) const
void | vkCmdReserveSpaceForCommandsNVX (VkCommandBuffer commandBuffer, const VkCmdReserveSpaceForCommandsInfoNVX *pReserveSpaceInfo) const
void | vkCmdResetEvent (VkCommandBuffer commandBuffer, VkEvent event, VkPipelineStageFlags stageMask) const
void | vkCmdResetQueryPool (VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) const
void | vkCmdResolveImage (VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageResolve *pRegions) const
void | vkCmdSetBlendConstants (VkCommandBuffer commandBuffer, const float blendConstants[4]) const
void | vkCmdSetCheckpointNV (VkCommandBuffer commandBuffer, const void *pCheckpointMarker) const
void | vkCmdSetCoarseSampleOrderNV (VkCommandBuffer commandBuffer, VkCoarseSampleOrderTypeNV sampleOrderType, uint32_t customSampleOrderCount, const VkCoarseSampleOrderCustomNV *pCustomSampleOrders) const
void | vkCmdSetDepthBias (VkCommandBuffer commandBuffer, float depthBiasConstantFactor, float depthBiasClamp, float depthBiasSlopeFactor) const
void | vkCmdSetDepthBounds (VkCommandBuffer commandBuffer, float minDepthBounds, float maxDepthBounds) const
void | vkCmdSetDeviceMask (VkCommandBuffer commandBuffer, uint32_t deviceMask) const
void | vkCmdSetDeviceMaskKHR (VkCommandBuffer commandBuffer, uint32_t deviceMask) const
void | vkCmdSetDiscardRectangleEXT (VkCommandBuffer commandBuffer, uint32_t firstDiscardRectangle, uint32_t discardRectangleCount, const VkRect2D *pDiscardRectangles) const
void | vkCmdSetEvent (VkCommandBuffer commandBuffer, VkEvent event, VkPipelineStageFlags stageMask) const
void | vkCmdSetExclusiveScissorNV (VkCommandBuffer commandBuffer, uint32_t firstExclusiveScissor, uint32_t exclusiveScissorCount, const VkRect2D *pExclusiveScissors) const
void | vkCmdSetLineWidth (VkCommandBuffer commandBuffer, float lineWidth) const
void | vkCmdSetSampleLocationsEXT (VkCommandBuffer commandBuffer, const VkSampleLocationsInfoEXT *pSampleLocationsInfo) const
void | vkCmdSetScissor (VkCommandBuffer commandBuffer, uint32_t firstScissor, uint32_t scissorCount, const VkRect2D *pScissors) const
void | vkCmdSetStencilCompareMask (VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t compareMask) const
void | vkCmdSetStencilReference (VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t reference) const
void | vkCmdSetStencilWriteMask (VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t writeMask) const
void | vkCmdSetViewport (VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkViewport *pViewports) const
void | vkCmdSetViewportShadingRatePaletteNV (VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkShadingRatePaletteNV *pShadingRatePalettes) const
void | vkCmdSetViewportWScalingNV (VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkViewportWScalingNV *pViewportWScalings) const

void

vkCmdTraceRaysNV (VkCommandBuffer commandBuffer, VkBuffer raygenShaderBindingTableBuffer, VkDeviceSize raygenShaderBindingOffset, VkBuffer missShaderBindingTableBuffer, VkDeviceSize missShaderBindingOffset, VkDeviceSize missShaderBindingStride, VkBuffer hitShaderBindingTableBuffer, VkDeviceSize hitShaderBindingOffset, VkDeviceSize hitShaderBindingStride, VkBuffer callableShaderBindingTableBuffer, VkDeviceSize callableShaderBindingOffset, VkDeviceSize callableShaderBindingStride, uint32_t width, uint32_t height, uint32_t depth) const

void | vkCmdUpdateBuffer (VkCommandBuffer commandBuffer, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize dataSize, const void *pData) const

void

vkCmdWaitEvents (VkCommandBuffer commandBuffer, uint32_t eventCount, const VkEvent *pEvents, VkPipelineStageFlags srcStageMask, VkPipelineStageFlags dstStageMask, uint32_t memoryBarrierCount, const VkMemoryBarrier *pMemoryBarriers, uint32_t bufferMemoryBarrierCount, const VkBufferMemoryBarrier *pBufferMemoryBarriers, uint32_t imageMemoryBarrierCount, const VkImageMemoryBarrier *pImageMemoryBarriers) const

void | vkCmdWriteAccelerationStructuresPropertiesNV (VkCommandBuffer commandBuffer, uint32_t accelerationStructureCount, const VkAccelerationStructureNV *pAccelerationStructures, VkQueryType queryType, VkQueryPool queryPool, uint32_t firstQuery) const
void | vkCmdWriteBufferMarkerAMD (VkCommandBuffer commandBuffer, VkPipelineStageFlagBits pipelineStage, VkBuffer dstBuffer, VkDeviceSize dstOffset, uint32_t marker) const
void | vkCmdWriteTimestamp (VkCommandBuffer commandBuffer, VkPipelineStageFlagBits pipelineStage, VkQueryPool queryPool, uint32_t query) const
VkResult | vkCompileDeferredNV (VkDevice device, VkPipeline pipeline, uint32_t shader) const
VkResult | vkCreateAccelerationStructureNV (VkDevice device, const VkAccelerationStructureCreateInfoNV *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkAccelerationStructureNV *pAccelerationStructure) const
VkResult | vkCreateBuffer (VkDevice device, const VkBufferCreateInfo *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkBuffer *pBuffer) const
VkResult | vkCreateBufferView (VkDevice device, const VkBufferViewCreateInfo *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkBufferView *pView) const
VkResult | vkCreateCommandPool (VkDevice device, const VkCommandPoolCreateInfo *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkCommandPool *pCommandPool) const
VkResult | vkCreateComputePipelines (VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkComputePipelineCreateInfo *pCreateInfos, const VkAllocationCallbacks *pAllocator, VkPipeline *pPipelines) const
VkResult | vkCreateDebugReportCallbackEXT (VkInstance instance, const VkDebugReportCallbackCreateInfoEXT *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkDebugReportCallbackEXT *pCallback) const
VkResult | vkCreateDebugUtilsMessengerEXT (VkInstance instance, const VkDebugUtilsMessengerCreateInfoEXT *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkDebugUtilsMessengerEXT *pMessenger) const
VkResult | vkCreateDescriptorPool (VkDevice device, const VkDescriptorPoolCreateInfo *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkDescriptorPool *pDescriptorPool) const
VkResult | vkCreateDescriptorSetLayout (VkDevice device, const VkDescriptorSetLayoutCreateInfo *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkDescriptorSetLayout *pSetLayout) const
VkResult | vkCreateDescriptorUpdateTemplate (VkDevice device, const VkDescriptorUpdateTemplateCreateInfo *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkDescriptorUpdateTemplate *pDescriptorUpdateTemplate) const
VkResult | vkCreateDescriptorUpdateTemplateKHR (VkDevice device, const VkDescriptorUpdateTemplateCreateInfo *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkDescriptorUpdateTemplate *pDescriptorUpdateTemplate) const
VkResult | vkCreateDevice (VkPhysicalDevice physicalDevice, const VkDeviceCreateInfo *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkDevice *pDevice) const
VkResult | vkCreateDisplayModeKHR (VkPhysicalDevice physicalDevice, VkDisplayKHR display, const VkDisplayModeCreateInfoKHR *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkDisplayModeKHR *pMode) const
VkResult | vkCreateDisplayPlaneSurfaceKHR (VkInstance instance, const VkDisplaySurfaceCreateInfoKHR *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkSurfaceKHR *pSurface) const
VkResult | vkCreateEvent (VkDevice device, const VkEventCreateInfo *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkEvent *pEvent) const
VkResult | vkCreateFence (VkDevice device, const VkFenceCreateInfo *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkFence *pFence) const
VkResult | vkCreateFramebuffer (VkDevice device, const VkFramebufferCreateInfo *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkFramebuffer *pFramebuffer) const
VkResult | vkCreateGraphicsPipelines (VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkGraphicsPipelineCreateInfo *pCreateInfos, const VkAllocationCallbacks *pAllocator, VkPipeline *pPipelines) const
VkResult | vkCreateImage (VkDevice device, const VkImageCreateInfo *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkImage *pImage) const
VkResult | vkCreateImageView (VkDevice device, const VkImageViewCreateInfo *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkImageView *pView) const
VkResult | vkCreateIndirectCommandsLayoutNVX (VkDevice device, const VkIndirectCommandsLayoutCreateInfoNVX *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkIndirectCommandsLayoutNVX *pIndirectCommandsLayout) const
VkResult | vkCreateInstance (const VkInstanceCreateInfo *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkInstance *pInstance) const
VkResult | vkCreateObjectTableNVX (VkDevice device, const VkObjectTableCreateInfoNVX *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkObjectTableNVX *pObjectTable) const
VkResult | vkCreatePipelineCache (VkDevice device, const VkPipelineCacheCreateInfo *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkPipelineCache *pPipelineCache) const
VkResult | vkCreatePipelineLayout (VkDevice device, const VkPipelineLayoutCreateInfo *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkPipelineLayout *pPipelineLayout) const
VkResult | vkCreateQueryPool (VkDevice device, const VkQueryPoolCreateInfo *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkQueryPool *pQueryPool) const
VkResult | vkCreateRayTracingPipelinesNV (VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkRayTracingPipelineCreateInfoNV *pCreateInfos, const VkAllocationCallbacks *pAllocator, VkPipeline *pPipelines) const
VkResult | vkCreateRenderPass (VkDevice device, const VkRenderPassCreateInfo *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkRenderPass *pRenderPass) const
VkResult | vkCreateRenderPass2KHR (VkDevice device, const VkRenderPassCreateInfo2KHR *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkRenderPass *pRenderPass) const
VkResult | vkCreateSampler (VkDevice device, const VkSamplerCreateInfo *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkSampler *pSampler) const
VkResult | vkCreateSamplerYcbcrConversion (VkDevice device, const VkSamplerYcbcrConversionCreateInfo *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkSamplerYcbcrConversion *pYcbcrConversion) const
VkResult | vkCreateSamplerYcbcrConversionKHR (VkDevice device, const VkSamplerYcbcrConversionCreateInfo *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkSamplerYcbcrConversion *pYcbcrConversion) const
VkResult | vkCreateSemaphore (VkDevice device, const VkSemaphoreCreateInfo *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkSemaphore *pSemaphore) const
VkResult | vkCreateShaderModule (VkDevice device, const VkShaderModuleCreateInfo *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkShaderModule *pShaderModule) const
VkResult | vkCreateSharedSwapchainsKHR (VkDevice device, uint32_t swapchainCount, const VkSwapchainCreateInfoKHR *pCreateInfos, const VkAllocationCallbacks *pAllocator, VkSwapchainKHR *pSwapchains) const
VkResult | vkCreateSwapchainKHR (VkDevice device, const VkSwapchainCreateInfoKHR *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkSwapchainKHR *pSwapchain) const
VkResult | vkCreateValidationCacheEXT (VkDevice device, const VkValidationCacheCreateInfoEXT *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkValidationCacheEXT *pValidationCache) const
VkResult | vkDebugMarkerSetObjectNameEXT (VkDevice device, const VkDebugMarkerObjectNameInfoEXT *pNameInfo) const
VkResult | vkDebugMarkerSetObjectTagEXT (VkDevice device, const VkDebugMarkerObjectTagInfoEXT *pTagInfo) const
void | vkDebugReportMessageEXT (VkInstance instance, VkDebugReportFlagsEXT flags, VkDebugReportObjectTypeEXT objectType, uint64_t object, size_t location, int32_t messageCode, const char *pLayerPrefix, const char *pMessage) const
void | vkDestroyAccelerationStructureNV (VkDevice device, VkAccelerationStructureNV accelerationStructure, const VkAllocationCallbacks *pAllocator) const
void | vkDestroyBuffer (VkDevice device, VkBuffer buffer, const VkAllocationCallbacks *pAllocator) const
void | vkDestroyBufferView (VkDevice device, VkBufferView bufferView, const VkAllocationCallbacks *pAllocator) const
void | vkDestroyCommandPool (VkDevice device, VkCommandPool commandPool, const VkAllocationCallbacks *pAllocator) const
void | vkDestroyDebugReportCallbackEXT (VkInstance instance, VkDebugReportCallbackEXT callback, const VkAllocationCallbacks *pAllocator) const
void | vkDestroyDebugUtilsMessengerEXT (VkInstance instance, VkDebugUtilsMessengerEXT messenger, const VkAllocationCallbacks *pAllocator) const
void | vkDestroyDescriptorPool (VkDevice device, VkDescriptorPool descriptorPool, const VkAllocationCallbacks *pAllocator) const
void | vkDestroyDescriptorSetLayout (VkDevice device, VkDescriptorSetLayout descriptorSetLayout, const VkAllocationCallbacks *pAllocator) const
void | vkDestroyDescriptorUpdateTemplate (VkDevice device, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const VkAllocationCallbacks *pAllocator) const
void | vkDestroyDescriptorUpdateTemplateKHR (VkDevice device, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const VkAllocationCallbacks *pAllocator) const
void | vkDestroyDevice (VkDevice device, const VkAllocationCallbacks *pAllocator) const
void | vkDestroyEvent (VkDevice device, VkEvent event, const VkAllocationCallbacks *pAllocator) const
void | vkDestroyFence (VkDevice device, VkFence fence, const VkAllocationCallbacks *pAllocator) const
void | vkDestroyFramebuffer (VkDevice device, VkFramebuffer framebuffer, const VkAllocationCallbacks *pAllocator) const
void | vkDestroyImage (VkDevice device, VkImage image, const VkAllocationCallbacks *pAllocator) const
void | vkDestroyImageView (VkDevice device, VkImageView imageView, const VkAllocationCallbacks *pAllocator) const
void | vkDestroyIndirectCommandsLayoutNVX (VkDevice device, VkIndirectCommandsLayoutNVX indirectCommandsLayout, const VkAllocationCallbacks *pAllocator) const
void | vkDestroyInstance (VkInstance instance, const VkAllocationCallbacks *pAllocator) const
void | vkDestroyObjectTableNVX (VkDevice device, VkObjectTableNVX objectTable, const VkAllocationCallbacks *pAllocator) const
void | vkDestroyPipeline (VkDevice device, VkPipeline pipeline, const VkAllocationCallbacks *pAllocator) const
void | vkDestroyPipelineCache (VkDevice device, VkPipelineCache pipelineCache, const VkAllocationCallbacks *pAllocator) const
void | vkDestroyPipelineLayout (VkDevice device, VkPipelineLayout pipelineLayout, const VkAllocationCallbacks *pAllocator) const
void | vkDestroyQueryPool (VkDevice device, VkQueryPool queryPool, const VkAllocationCallbacks *pAllocator) const
void | vkDestroyRenderPass (VkDevice device, VkRenderPass renderPass, const VkAllocationCallbacks *pAllocator) const
void | vkDestroySampler (VkDevice device, VkSampler sampler, const VkAllocationCallbacks *pAllocator) const
void | vkDestroySamplerYcbcrConversion (VkDevice device, VkSamplerYcbcrConversion ycbcrConversion, const VkAllocationCallbacks *pAllocator) const
void | vkDestroySamplerYcbcrConversionKHR (VkDevice device, VkSamplerYcbcrConversion ycbcrConversion, const VkAllocationCallbacks *pAllocator) const
void | vkDestroySemaphore (VkDevice device, VkSemaphore semaphore, const VkAllocationCallbacks *pAllocator) const
void | vkDestroyShaderModule (VkDevice device, VkShaderModule shaderModule, const VkAllocationCallbacks *pAllocator) const
void | vkDestroySurfaceKHR (VkInstance instance, VkSurfaceKHR surface, const VkAllocationCallbacks *pAllocator) const
void | vkDestroySwapchainKHR (VkDevice device, VkSwapchainKHR swapchain, const VkAllocationCallbacks *pAllocator) const
void | vkDestroyValidationCacheEXT (VkDevice device, VkValidationCacheEXT validationCache, const VkAllocationCallbacks *pAllocator) const
VkResult | vkDeviceWaitIdle (VkDevice device) const
VkResult | vkDisplayPowerControlEXT (VkDevice device, VkDisplayKHR display, const VkDisplayPowerInfoEXT *pDisplayPowerInfo) const
VkResult | vkEndCommandBuffer (VkCommandBuffer commandBuffer) const
VkResult | vkEnumerateDeviceExtensionProperties (VkPhysicalDevice physicalDevice, const char *pLayerName, uint32_t *pPropertyCount, VkExtensionProperties *pProperties) const
VkResult | vkEnumerateDeviceLayerProperties (VkPhysicalDevice physicalDevice, uint32_t *pPropertyCount, VkLayerProperties *pProperties) const
VkResult | vkEnumerateInstanceExtensionProperties (const char *pLayerName, uint32_t *pPropertyCount, VkExtensionProperties *pProperties) const
VkResult | vkEnumerateInstanceLayerProperties (uint32_t *pPropertyCount, VkLayerProperties *pProperties) const
VkResult | vkEnumerateInstanceVersion (uint32_t *pApiVersion) const
VkResult | vkEnumeratePhysicalDeviceGroups (VkInstance instance, uint32_t *pPhysicalDeviceGroupCount, VkPhysicalDeviceGroupProperties *pPhysicalDeviceGroupProperties) const
VkResult | vkEnumeratePhysicalDeviceGroupsKHR (VkInstance instance, uint32_t *pPhysicalDeviceGroupCount, VkPhysicalDeviceGroupProperties *pPhysicalDeviceGroupProperties) const
VkResult | vkEnumeratePhysicalDevices (VkInstance instance, uint32_t *pPhysicalDeviceCount, VkPhysicalDevice *pPhysicalDevices) const
VkResult | vkFlushMappedMemoryRanges (VkDevice device, uint32_t memoryRangeCount, const VkMappedMemoryRange *pMemoryRanges) const
void | vkFreeCommandBuffers (VkDevice device, VkCommandPool commandPool, uint32_t commandBufferCount, const VkCommandBuffer *pCommandBuffers) const
VkResult | vkFreeDescriptorSets (VkDevice device, VkDescriptorPool descriptorPool, uint32_t descriptorSetCount, const VkDescriptorSet *pDescriptorSets) const
void | vkFreeMemory (VkDevice device, VkDeviceMemory memory, const VkAllocationCallbacks *pAllocator) const
VkResult | vkGetAccelerationStructureHandleNV (VkDevice device, VkAccelerationStructureNV accelerationStructure, size_t dataSize, void *pData) const
void | vkGetAccelerationStructureMemoryRequirementsNV (VkDevice device, const VkAccelerationStructureMemoryRequirementsInfoNV *pInfo, VkMemoryRequirements2KHR *pMemoryRequirements) const
void | vkGetBufferMemoryRequirements (VkDevice device, VkBuffer buffer, VkMemoryRequirements *pMemoryRequirements) const
void | vkGetBufferMemoryRequirements2 (VkDevice device, const VkBufferMemoryRequirementsInfo2 *pInfo, VkMemoryRequirements2 *pMemoryRequirements) const
void | vkGetBufferMemoryRequirements2KHR (VkDevice device, const VkBufferMemoryRequirementsInfo2 *pInfo, VkMemoryRequirements2 *pMemoryRequirements) const
VkResult | vkGetCalibratedTimestampsEXT (VkDevice device, uint32_t timestampCount, const VkCalibratedTimestampInfoEXT *pTimestampInfos, uint64_t *pTimestamps, uint64_t *pMaxDeviation) const
void | vkGetDescriptorSetLayoutSupport (VkDevice device, const VkDescriptorSetLayoutCreateInfo *pCreateInfo, VkDescriptorSetLayoutSupport *pSupport) const
void | vkGetDescriptorSetLayoutSupportKHR (VkDevice device, const VkDescriptorSetLayoutCreateInfo *pCreateInfo, VkDescriptorSetLayoutSupport *pSupport) const
void | vkGetDeviceGroupPeerMemoryFeatures (VkDevice device, uint32_t heapIndex, uint32_t localDeviceIndex, uint32_t remoteDeviceIndex, VkPeerMemoryFeatureFlags *pPeerMemoryFeatures) const
void | vkGetDeviceGroupPeerMemoryFeaturesKHR (VkDevice device, uint32_t heapIndex, uint32_t localDeviceIndex, uint32_t remoteDeviceIndex, VkPeerMemoryFeatureFlags *pPeerMemoryFeatures) const
VkResult | vkGetDeviceGroupPresentCapabilitiesKHR (VkDevice device, VkDeviceGroupPresentCapabilitiesKHR *pDeviceGroupPresentCapabilities) const
VkResult | vkGetDeviceGroupSurfacePresentModesKHR (VkDevice device, VkSurfaceKHR surface, VkDeviceGroupPresentModeFlagsKHR *pModes) const
void | vkGetDeviceMemoryCommitment (VkDevice device, VkDeviceMemory memory, VkDeviceSize *pCommittedMemoryInBytes) const
PFN_vkVoidFunction | vkGetDeviceProcAddr (VkDevice device, const char *pName) const
void | vkGetDeviceQueue (VkDevice device, uint32_t queueFamilyIndex, uint32_t queueIndex, VkQueue *pQueue) const
void | vkGetDeviceQueue2 (VkDevice device, const VkDeviceQueueInfo2 *pQueueInfo, VkQueue *pQueue) const
VkResult | vkGetDisplayModeProperties2KHR (VkPhysicalDevice physicalDevice, VkDisplayKHR display, uint32_t *pPropertyCount, VkDisplayModeProperties2KHR *pProperties) const
VkResult | vkGetDisplayModePropertiesKHR (VkPhysicalDevice physicalDevice, VkDisplayKHR display, uint32_t *pPropertyCount, VkDisplayModePropertiesKHR *pProperties) const
VkResult | vkGetDisplayPlaneCapabilities2KHR (VkPhysicalDevice physicalDevice, const VkDisplayPlaneInfo2KHR *pDisplayPlaneInfo, VkDisplayPlaneCapabilities2KHR *pCapabilities) const
VkResult | vkGetDisplayPlaneCapabilitiesKHR (VkPhysicalDevice physicalDevice, VkDisplayModeKHR mode, uint32_t planeIndex, VkDisplayPlaneCapabilitiesKHR *pCapabilities) const
VkResult | vkGetDisplayPlaneSupportedDisplaysKHR (VkPhysicalDevice physicalDevice, uint32_t planeIndex, uint32_t *pDisplayCount, VkDisplayKHR *pDisplays) const
VkResult | vkGetEventStatus (VkDevice device, VkEvent event) const
VkResult | vkGetFenceFdKHR (VkDevice device, const VkFenceGetFdInfoKHR *pGetFdInfo, int *pFd) const
VkResult | vkGetFenceStatus (VkDevice device, VkFence fence) const
VkResult | vkGetImageDrmFormatModifierPropertiesEXT (VkDevice device, VkImage image, VkImageDrmFormatModifierPropertiesEXT *pProperties) const
void | vkGetImageMemoryRequirements (VkDevice device, VkImage image, VkMemoryRequirements *pMemoryRequirements) const
void | vkGetImageMemoryRequirements2 (VkDevice device, const VkImageMemoryRequirementsInfo2 *pInfo, VkMemoryRequirements2 *pMemoryRequirements) const
void | vkGetImageMemoryRequirements2KHR (VkDevice device, const VkImageMemoryRequirementsInfo2 *pInfo, VkMemoryRequirements2 *pMemoryRequirements) const
void | vkGetImageSparseMemoryRequirements (VkDevice device, VkImage image, uint32_t *pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements *pSparseMemoryRequirements) const
void | vkGetImageSparseMemoryRequirements2 (VkDevice device, const VkImageSparseMemoryRequirementsInfo2 *pInfo, uint32_t *pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements2 *pSparseMemoryRequirements) const
void | vkGetImageSparseMemoryRequirements2KHR (VkDevice device, const VkImageSparseMemoryRequirementsInfo2 *pInfo, uint32_t *pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements2 *pSparseMemoryRequirements) const
void | vkGetImageSubresourceLayout (VkDevice device, VkImage image, const VkImageSubresource *pSubresource, VkSubresourceLayout *pLayout) const
PFN_vkVoidFunction | vkGetInstanceProcAddr (VkInstance instance, const char *pName) const
VkResult | vkGetMemoryFdKHR (VkDevice device, const VkMemoryGetFdInfoKHR *pGetFdInfo, int *pFd) const
VkResult | vkGetMemoryFdPropertiesKHR (VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, int fd, VkMemoryFdPropertiesKHR *pMemoryFdProperties) const
VkResult | vkGetMemoryHostPointerPropertiesEXT (VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, const void *pHostPointer, VkMemoryHostPointerPropertiesEXT *pMemoryHostPointerProperties) const
VkResult | vkGetPastPresentationTimingGOOGLE (VkDevice device, VkSwapchainKHR swapchain, uint32_t *pPresentationTimingCount, VkPastPresentationTimingGOOGLE *pPresentationTimings) const
VkResult | vkGetPhysicalDeviceCalibrateableTimeDomainsEXT (VkPhysicalDevice physicalDevice, uint32_t *pTimeDomainCount, VkTimeDomainEXT *pTimeDomains) const
VkResult | vkGetPhysicalDeviceDisplayPlaneProperties2KHR (VkPhysicalDevice physicalDevice, uint32_t *pPropertyCount, VkDisplayPlaneProperties2KHR *pProperties) const
VkResult | vkGetPhysicalDeviceDisplayPlanePropertiesKHR (VkPhysicalDevice physicalDevice, uint32_t *pPropertyCount, VkDisplayPlanePropertiesKHR *pProperties) const
VkResult | vkGetPhysicalDeviceDisplayProperties2KHR (VkPhysicalDevice physicalDevice, uint32_t *pPropertyCount, VkDisplayProperties2KHR *pProperties) const
VkResult | vkGetPhysicalDeviceDisplayPropertiesKHR (VkPhysicalDevice physicalDevice, uint32_t *pPropertyCount, VkDisplayPropertiesKHR *pProperties) const
void | vkGetPhysicalDeviceExternalBufferProperties (VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalBufferInfo *pExternalBufferInfo, VkExternalBufferProperties *pExternalBufferProperties) const
void | vkGetPhysicalDeviceExternalBufferPropertiesKHR (VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalBufferInfo *pExternalBufferInfo, VkExternalBufferProperties *pExternalBufferProperties) const
void | vkGetPhysicalDeviceExternalFenceProperties (VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalFenceInfo *pExternalFenceInfo, VkExternalFenceProperties *pExternalFenceProperties) const
void | vkGetPhysicalDeviceExternalFencePropertiesKHR (VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalFenceInfo *pExternalFenceInfo, VkExternalFenceProperties *pExternalFenceProperties) const
VkResult | vkGetPhysicalDeviceExternalImageFormatPropertiesNV (VkPhysicalDevice physicalDevice, VkFormat format, VkImageType type, VkImageTiling tiling, VkImageUsageFlags usage, VkImageCreateFlags flags, VkExternalMemoryHandleTypeFlagsNV externalHandleType, VkExternalImageFormatPropertiesNV *pExternalImageFormatProperties) const
void | vkGetPhysicalDeviceExternalSemaphoreProperties (VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalSemaphoreInfo *pExternalSemaphoreInfo, VkExternalSemaphoreProperties *pExternalSemaphoreProperties) const
void | vkGetPhysicalDeviceExternalSemaphorePropertiesKHR (VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalSemaphoreInfo *pExternalSemaphoreInfo, VkExternalSemaphoreProperties *pExternalSemaphoreProperties) const
void | vkGetPhysicalDeviceFeatures (VkPhysicalDevice physicalDevice, VkPhysicalDeviceFeatures *pFeatures) const
void | vkGetPhysicalDeviceFeatures2 (VkPhysicalDevice physicalDevice, VkPhysicalDeviceFeatures2 *pFeatures) const
void | vkGetPhysicalDeviceFeatures2KHR (VkPhysicalDevice physicalDevice, VkPhysicalDeviceFeatures2 *pFeatures) const
void | vkGetPhysicalDeviceFormatProperties (VkPhysicalDevice physicalDevice, VkFormat format, VkFormatProperties *pFormatProperties) const
void | vkGetPhysicalDeviceFormatProperties2 (VkPhysicalDevice physicalDevice, VkFormat format, VkFormatProperties2 *pFormatProperties) const
void | vkGetPhysicalDeviceFormatProperties2KHR (VkPhysicalDevice physicalDevice, VkFormat format, VkFormatProperties2 *pFormatProperties) const
void | vkGetPhysicalDeviceGeneratedCommandsPropertiesNVX (VkPhysicalDevice physicalDevice, VkDeviceGeneratedCommandsFeaturesNVX *pFeatures, VkDeviceGeneratedCommandsLimitsNVX *pLimits) const
VkResult | vkGetPhysicalDeviceImageFormatProperties (VkPhysicalDevice physicalDevice, VkFormat format, VkImageType type, VkImageTiling tiling, VkImageUsageFlags usage, VkImageCreateFlags flags, VkImageFormatProperties *pImageFormatProperties) const
VkResult | vkGetPhysicalDeviceImageFormatProperties2 (VkPhysicalDevice physicalDevice, const VkPhysicalDeviceImageFormatInfo2 *pImageFormatInfo, VkImageFormatProperties2 *pImageFormatProperties) const
VkResult | vkGetPhysicalDeviceImageFormatProperties2KHR (VkPhysicalDevice physicalDevice, const VkPhysicalDeviceImageFormatInfo2 *pImageFormatInfo, VkImageFormatProperties2 *pImageFormatProperties) const
void | vkGetPhysicalDeviceMemoryProperties (VkPhysicalDevice physicalDevice, VkPhysicalDeviceMemoryProperties *pMemoryProperties) const
void | vkGetPhysicalDeviceMemoryProperties2 (VkPhysicalDevice physicalDevice, VkPhysicalDeviceMemoryProperties2 *pMemoryProperties) const
void | vkGetPhysicalDeviceMemoryProperties2KHR (VkPhysicalDevice physicalDevice, VkPhysicalDeviceMemoryProperties2 *pMemoryProperties) const
void | vkGetPhysicalDeviceMultisamplePropertiesEXT (VkPhysicalDevice physicalDevice, VkSampleCountFlagBits samples, VkMultisamplePropertiesEXT *pMultisampleProperties) const
VkResult | vkGetPhysicalDevicePresentRectanglesKHR (VkPhysicalDevice physicalDevice, VkSurfaceKHR surface, uint32_t *pRectCount, VkRect2D *pRects) const
void | vkGetPhysicalDeviceProperties (VkPhysicalDevice physicalDevice, VkPhysicalDeviceProperties *pProperties) const
void | vkGetPhysicalDeviceProperties2 (VkPhysicalDevice physicalDevice, VkPhysicalDeviceProperties2 *pProperties) const
void | vkGetPhysicalDeviceProperties2KHR (VkPhysicalDevice physicalDevice, VkPhysicalDeviceProperties2 *pProperties) const
void | vkGetPhysicalDeviceQueueFamilyProperties (VkPhysicalDevice physicalDevice, uint32_t *pQueueFamilyPropertyCount, VkQueueFamilyProperties *pQueueFamilyProperties) const
void | vkGetPhysicalDeviceQueueFamilyProperties2 (VkPhysicalDevice physicalDevice, uint32_t *pQueueFamilyPropertyCount, VkQueueFamilyProperties2 *pQueueFamilyProperties) const
void | vkGetPhysicalDeviceQueueFamilyProperties2KHR (VkPhysicalDevice physicalDevice, uint32_t *pQueueFamilyPropertyCount, VkQueueFamilyProperties2 *pQueueFamilyProperties) const
void | vkGetPhysicalDeviceSparseImageFormatProperties (VkPhysicalDevice physicalDevice, VkFormat format, VkImageType type, VkSampleCountFlagBits samples, VkImageUsageFlags usage, VkImageTiling tiling, uint32_t *pPropertyCount, VkSparseImageFormatProperties *pProperties) const
void | vkGetPhysicalDeviceSparseImageFormatProperties2 (VkPhysicalDevice physicalDevice, const VkPhysicalDeviceSparseImageFormatInfo2 *pFormatInfo, uint32_t *pPropertyCount, VkSparseImageFormatProperties2 *pProperties) const
void | vkGetPhysicalDeviceSparseImageFormatProperties2KHR (VkPhysicalDevice physicalDevice, const VkPhysicalDeviceSparseImageFormatInfo2 *pFormatInfo, uint32_t *pPropertyCount, VkSparseImageFormatProperties2 *pProperties) const
VkResult | vkGetPhysicalDeviceSurfaceCapabilities2EXT (VkPhysicalDevice physicalDevice, VkSurfaceKHR surface, VkSurfaceCapabilities2EXT *pSurfaceCapabilities) const
VkResult | vkGetPhysicalDeviceSurfaceCapabilities2KHR (VkPhysicalDevice physicalDevice, const VkPhysicalDeviceSurfaceInfo2KHR *pSurfaceInfo, VkSurfaceCapabilities2KHR *pSurfaceCapabilities) const
VkResult | vkGetPhysicalDeviceSurfaceCapabilitiesKHR (VkPhysicalDevice physicalDevice, VkSurfaceKHR surface, VkSurfaceCapabilitiesKHR *pSurfaceCapabilities) const
VkResult | vkGetPhysicalDeviceSurfaceFormats2KHR (VkPhysicalDevice physicalDevice, const VkPhysicalDeviceSurfaceInfo2KHR *pSurfaceInfo, uint32_t *pSurfaceFormatCount, VkSurfaceFormat2KHR *pSurfaceFormats) const
VkResult | vkGetPhysicalDeviceSurfaceFormatsKHR (VkPhysicalDevice physicalDevice, VkSurfaceKHR surface, uint32_t *pSurfaceFormatCount, VkSurfaceFormatKHR *pSurfaceFormats) const
VkResult | vkGetPhysicalDeviceSurfacePresentModesKHR (VkPhysicalDevice physicalDevice, VkSurfaceKHR surface, uint32_t *pPresentModeCount, VkPresentModeKHR *pPresentModes) const
VkResult | vkGetPhysicalDeviceSurfaceSupportKHR (VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, VkSurfaceKHR surface, VkBool32 *pSupported) const
VkResult | vkGetPipelineCacheData (VkDevice device, VkPipelineCache pipelineCache, size_t *pDataSize, void *pData) const
VkResult | vkGetQueryPoolResults (VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount, size_t dataSize, void *pData, VkDeviceSize stride, VkQueryResultFlags flags) const
void | vkGetQueueCheckpointDataNV (VkQueue queue, uint32_t *pCheckpointDataCount, VkCheckpointDataNV *pCheckpointData) const
VkResult | vkGetRayTracingShaderGroupHandlesNV (VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void *pData) const
VkResult | vkGetRefreshCycleDurationGOOGLE (VkDevice device, VkSwapchainKHR swapchain, VkRefreshCycleDurationGOOGLE *pDisplayTimingProperties) const
void | vkGetRenderAreaGranularity (VkDevice device, VkRenderPass renderPass, VkExtent2D *pGranularity) const
VkResult | vkGetSemaphoreFdKHR (VkDevice device, const VkSemaphoreGetFdInfoKHR *pGetFdInfo, int *pFd) const
VkResult | vkGetShaderInfoAMD (VkDevice device, VkPipeline pipeline, VkShaderStageFlagBits shaderStage, VkShaderInfoTypeAMD infoType, size_t *pInfoSize, void *pInfo) const
VkResult | vkGetSwapchainCounterEXT (VkDevice device, VkSwapchainKHR swapchain, VkSurfaceCounterFlagBitsEXT counter, uint64_t *pCounterValue) const
VkResult | vkGetSwapchainImagesKHR (VkDevice device, VkSwapchainKHR swapchain, uint32_t *pSwapchainImageCount, VkImage *pSwapchainImages) const
VkResult | vkGetSwapchainStatusKHR (VkDevice device, VkSwapchainKHR swapchain) const
VkResult | vkGetValidationCacheDataEXT (VkDevice device, VkValidationCacheEXT validationCache, size_t *pDataSize, void *pData) const
VkResult | vkImportFenceFdKHR (VkDevice device, const VkImportFenceFdInfoKHR *pImportFenceFdInfo) const
VkResult | vkImportSemaphoreFdKHR (VkDevice device, const VkImportSemaphoreFdInfoKHR *pImportSemaphoreFdInfo) const
VkResult | vkInvalidateMappedMemoryRanges (VkDevice device, uint32_t memoryRangeCount, const VkMappedMemoryRange *pMemoryRanges) const
VkResult | vkMapMemory (VkDevice device, VkDeviceMemory memory, VkDeviceSize offset, VkDeviceSize size, VkMemoryMapFlags flags, void **ppData) const
VkResult | vkMergePipelineCaches (VkDevice device, VkPipelineCache dstCache, uint32_t srcCacheCount, const VkPipelineCache *pSrcCaches) const
VkResult | vkMergeValidationCachesEXT (VkDevice device, VkValidationCacheEXT dstCache, uint32_t srcCacheCount, const VkValidationCacheEXT *pSrcCaches) const
void | vkQueueBeginDebugUtilsLabelEXT (VkQueue queue, const VkDebugUtilsLabelEXT *pLabelInfo) const
VkResult | vkQueueBindSparse (VkQueue queue, uint32_t bindInfoCount, const VkBindSparseInfo *pBindInfo, VkFence fence) const
void | vkQueueEndDebugUtilsLabelEXT (VkQueue queue) const
void | vkQueueInsertDebugUtilsLabelEXT (VkQueue queue, const VkDebugUtilsLabelEXT *pLabelInfo) const
VkResult | vkQueuePresentKHR (VkQueue queue, const VkPresentInfoKHR *pPresentInfo) const
VkResult | vkQueueSubmit (VkQueue queue, uint32_t submitCount, const VkSubmitInfo *pSubmits, VkFence fence) const
VkResult | vkQueueWaitIdle (VkQueue queue) const
VkResult | vkRegisterDeviceEventEXT (VkDevice device, const VkDeviceEventInfoEXT *pDeviceEventInfo, const VkAllocationCallbacks *pAllocator, VkFence *pFence) const
VkResult | vkRegisterDisplayEventEXT (VkDevice device, VkDisplayKHR display, const VkDisplayEventInfoEXT *pDisplayEventInfo, const VkAllocationCallbacks *pAllocator, VkFence *pFence) const
VkResult | vkRegisterObjectsNVX (VkDevice device, VkObjectTableNVX objectTable, uint32_t objectCount, const VkObjectTableEntryNVX *const *ppObjectTableEntries, const uint32_t *pObjectIndices) const
VkResult | vkReleaseDisplayEXT (VkPhysicalDevice physicalDevice, VkDisplayKHR display) const
VkResult | vkResetCommandBuffer (VkCommandBuffer commandBuffer, VkCommandBufferResetFlags flags) const
VkResult | vkResetCommandPool (VkDevice device, VkCommandPool commandPool, VkCommandPoolResetFlags flags) const
VkResult | vkResetDescriptorPool (VkDevice device, VkDescriptorPool descriptorPool, VkDescriptorPoolResetFlags flags) const
VkResult | vkResetEvent (VkDevice device, VkEvent event) const
VkResult | vkResetFences (VkDevice device, uint32_t fenceCount, const VkFence *pFences) const
VkResult | vkSetDebugUtilsObjectNameEXT (VkDevice device, const VkDebugUtilsObjectNameInfoEXT *pNameInfo) const
VkResult | vkSetDebugUtilsObjectTagEXT (VkDevice device, const VkDebugUtilsObjectTagInfoEXT *pTagInfo) const
VkResult | vkSetEvent (VkDevice device, VkEvent event) const
void | vkSetHdrMetadataEXT (VkDevice device, uint32_t swapchainCount, const VkSwapchainKHR *pSwapchains, const VkHdrMetadataEXT *pMetadata) const
void | vkSubmitDebugUtilsMessageEXT (VkInstance instance, VkDebugUtilsMessageSeverityFlagBitsEXT messageSeverity, VkDebugUtilsMessageTypeFlagsEXT messageTypes, const VkDebugUtilsMessengerCallbackDataEXT *pCallbackData) const
void | vkTrimCommandPool (VkDevice device, VkCommandPool commandPool, VkCommandPoolTrimFlags flags) const
void | vkTrimCommandPoolKHR (VkDevice device, VkCommandPool commandPool, VkCommandPoolTrimFlags flags) const
void | vkUnmapMemory (VkDevice device, VkDeviceMemory memory) const
VkResult | vkUnregisterObjectsNVX (VkDevice device, VkObjectTableNVX objectTable, uint32_t objectCount, const VkObjectEntryTypeNVX *pObjectEntryTypes, const uint32_t *pObjectIndices) const
void | vkUpdateDescriptorSetWithTemplate (VkDevice device, VkDescriptorSet descriptorSet, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const void *pData) const
void | vkUpdateDescriptorSetWithTemplateKHR (VkDevice device, VkDescriptorSet descriptorSet, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const void *pData) const
void | vkUpdateDescriptorSets (VkDevice device, uint32_t descriptorWriteCount, const VkWriteDescriptorSet *pDescriptorWrites, uint32_t descriptorCopyCount, const VkCopyDescriptorSet *pDescriptorCopies) const
VkResult | vkWaitForFences (VkDevice device, uint32_t fenceCount, const VkFence *pFences, VkBool32 waitAll, uint64_t timeout) const

## Detailed Description

Definition at line 1094 of file vulkan.hpp.

## Member Function Documentation

## vkAcquireNextImage2KHR()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkAcquireNextImage2KHR | ( | VkDevice | device,
|  | const VkAcquireNextImageInfoKHR * | pAcquireInfo,
|  | uint32_t * | pImageIndex
| ) |  | const

inline

Definition at line 1097 of file vulkan.hpp.

{
return ::vkAcquireNextImage2KHR( device, pAcquireInfo, pImageIndex);
}

References device, and vkAcquireNextImage2KHR().

## vkAcquireNextImageKHR()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkAcquireNextImageKHR | ( | VkDevice | device,
|  | VkSwapchainKHR | swapchain,
|  | uint64_t | timeout,
|  | VkSemaphore | semaphore,
|  | VkFence | fence,
|  | uint32_t * | pImageIndex
| ) |  | const

inline

Definition at line 1101 of file vulkan.hpp.

{
return ::vkAcquireNextImageKHR( device, swapchain, timeout, semaphore, fence, pImageIndex);
}

References device, and vkAcquireNextImageKHR().

## vkAllocateCommandBuffers()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkAllocateCommandBuffers | ( | VkDevice | device,
|  | const VkCommandBufferAllocateInfo * | pAllocateInfo,
|  | VkCommandBuffer * | pCommandBuffers
| ) |  | const

inline

Definition at line 1111 of file vulkan.hpp.

{
return ::vkAllocateCommandBuffers( device, pAllocateInfo, pCommandBuffers);
}

References device, and vkAllocateCommandBuffers().

## vkAllocateDescriptorSets()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkAllocateDescriptorSets | ( | VkDevice | device,
|  | const VkDescriptorSetAllocateInfo * | pAllocateInfo,
|  | VkDescriptorSet * | pDescriptorSets
| ) |  | const

inline

Definition at line 1115 of file vulkan.hpp.

{
return ::vkAllocateDescriptorSets( device, pAllocateInfo, pDescriptorSets);
}

References device, and vkAllocateDescriptorSets().

## vkAllocateMemory()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkAllocateMemory | ( | VkDevice | device,
|  | const VkMemoryAllocateInfo * | pAllocateInfo,
|  | const VkAllocationCallbacks * | pAllocator,
|  | VkDeviceMemory * | pMemory
| ) |  | const

inline

Definition at line 1119 of file vulkan.hpp.

{
return ::vkAllocateMemory( device, pAllocateInfo, pAllocator, pMemory);
}

References device, and vkAllocateMemory().

## vkBeginCommandBuffer()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkBeginCommandBuffer | ( | VkCommandBuffer | commandBuffer,
|  | const VkCommandBufferBeginInfo * | pBeginInfo
| ) |  | const

inline

Definition at line 1123 of file vulkan.hpp.

{
return ::vkBeginCommandBuffer( commandBuffer, pBeginInfo);
}

References vkBeginCommandBuffer().

## vkBindAccelerationStructureMemoryNV()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkBindAccelerationStructureMemoryNV | ( | VkDevice | device,
|  | uint32_t | bindInfoCount,
|  | const VkBindAccelerationStructureMemoryInfoNV * | pBindInfos
| ) |  | const

inline

Definition at line 1127 of file vulkan.hpp.

{
return ::vkBindAccelerationStructureMemoryNV( device, bindInfoCount, pBindInfos);
}

References device, and vkBindAccelerationStructureMemoryNV().

## vkBindBufferMemory()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkBindBufferMemory | ( | VkDevice | device,
|  | VkBuffer | buffer,
|  | VkDeviceMemory | memory,
|  | VkDeviceSize | memoryOffset
| ) |  | const

inline

Definition at line 1131 of file vulkan.hpp.

{
return ::vkBindBufferMemory( device, buffer, memory, memoryOffset);
}

References device, and vkBindBufferMemory().

## vkBindBufferMemory2()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkBindBufferMemory2 | ( | VkDevice | device,
|  | uint32_t | bindInfoCount,
|  | const VkBindBufferMemoryInfo * | pBindInfos
| ) |  | const

inline

Definition at line 1135 of file vulkan.hpp.

{
return ::vkBindBufferMemory2( device, bindInfoCount, pBindInfos);
}

References device, and vkBindBufferMemory2().

## vkBindBufferMemory2KHR()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkBindBufferMemory2KHR | ( | VkDevice | device,
|  | uint32_t | bindInfoCount,
|  | const VkBindBufferMemoryInfo * | pBindInfos
| ) |  | const

inline

Definition at line 1139 of file vulkan.hpp.

{
return ::vkBindBufferMemory2KHR( device, bindInfoCount, pBindInfos);
}

References device, and vkBindBufferMemory2KHR().

## vkBindImageMemory()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkBindImageMemory | ( | VkDevice | device,
|  | VkImage | image,
|  | VkDeviceMemory | memory,
|  | VkDeviceSize | memoryOffset
| ) |  | const

inline

Definition at line 1143 of file vulkan.hpp.

{
return ::vkBindImageMemory( device, image, memory, memoryOffset);
}

References device, and vkBindImageMemory().

## vkBindImageMemory2()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkBindImageMemory2 | ( | VkDevice | device,
|  | uint32_t | bindInfoCount,
|  | const VkBindImageMemoryInfo * | pBindInfos
| ) |  | const

inline

Definition at line 1147 of file vulkan.hpp.

{
return ::vkBindImageMemory2( device, bindInfoCount, pBindInfos);
}

References device, and vkBindImageMemory2().

## vkBindImageMemory2KHR()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkBindImageMemory2KHR | ( | VkDevice | device,
|  | uint32_t | bindInfoCount,
|  | const VkBindImageMemoryInfo * | pBindInfos
| ) |  | const

inline

Definition at line 1151 of file vulkan.hpp.

{
return ::vkBindImageMemory2KHR( device, bindInfoCount, pBindInfos);
}

References device, and vkBindImageMemory2KHR().

## vkCmdBeginConditionalRenderingEXT()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdBeginConditionalRenderingEXT | ( | VkCommandBuffer | commandBuffer,
|  | const VkConditionalRenderingBeginInfoEXT * | pConditionalRenderingBegin
| ) |  | const

inline

Definition at line 1155 of file vulkan.hpp.

{
return ::vkCmdBeginConditionalRenderingEXT( commandBuffer, pConditionalRenderingBegin);
}

References vkCmdBeginConditionalRenderingEXT().

## vkCmdBeginDebugUtilsLabelEXT()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdBeginDebugUtilsLabelEXT | ( | VkCommandBuffer | commandBuffer,
|  | const VkDebugUtilsLabelEXT * | pLabelInfo
| ) |  | const

inline

Definition at line 1159 of file vulkan.hpp.

{
return ::vkCmdBeginDebugUtilsLabelEXT( commandBuffer, pLabelInfo);
}

References vkCmdBeginDebugUtilsLabelEXT().

## vkCmdBeginQuery()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdBeginQuery | ( | VkCommandBuffer | commandBuffer,
|  | VkQueryPool | queryPool,
|  | uint32_t | query,
|  | VkQueryControlFlags | flags
| ) |  | const

inline

Definition at line 1163 of file vulkan.hpp.

{
return ::vkCmdBeginQuery( commandBuffer, queryPool, query, flags);
}

References vkCmdBeginQuery().

## vkCmdBeginQueryIndexedEXT()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdBeginQueryIndexedEXT | ( | VkCommandBuffer | commandBuffer,
|  | VkQueryPool | queryPool,
|  | uint32_t | query,
|  | VkQueryControlFlags | flags,
|  | uint32_t | index
| ) |  | const

inline

Definition at line 1167 of file vulkan.hpp.

{
return ::vkCmdBeginQueryIndexedEXT( commandBuffer, queryPool, query, flags, index);
}

References vkCmdBeginQueryIndexedEXT().

## vkCmdBeginRenderPass()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdBeginRenderPass | ( | VkCommandBuffer | commandBuffer,
|  | const VkRenderPassBeginInfo * | pRenderPassBegin,
|  | VkSubpassContents | contents
| ) |  | const

inline

Definition at line 1171 of file vulkan.hpp.

{
return ::vkCmdBeginRenderPass( commandBuffer, pRenderPassBegin, contents);
}

References vkCmdBeginRenderPass().

## vkCmdBeginRenderPass2KHR()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdBeginRenderPass2KHR | ( | VkCommandBuffer | commandBuffer,
|  | const VkRenderPassBeginInfo * | pRenderPassBegin,
|  | const VkSubpassBeginInfoKHR * | pSubpassBeginInfo
| ) |  | const

inline

Definition at line 1175 of file vulkan.hpp.

{
return ::vkCmdBeginRenderPass2KHR( commandBuffer, pRenderPassBegin, pSubpassBeginInfo);
}

References vkCmdBeginRenderPass2KHR().

## vkCmdBeginTransformFeedbackEXT()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdBeginTransformFeedbackEXT | ( | VkCommandBuffer | commandBuffer,
|  | uint32_t | firstCounterBuffer,
|  | uint32_t | counterBufferCount,
|  | const VkBuffer * | pCounterBuffers,
|  | const VkDeviceSize * | pCounterBufferOffsets
| ) |  | const

inline

Definition at line 1179 of file vulkan.hpp.

{
return ::vkCmdBeginTransformFeedbackEXT( commandBuffer, firstCounterBuffer, counterBufferCount, pCounterBuffers, pCounterBufferOffsets);
}

References vkCmdBeginTransformFeedbackEXT().

## vkCmdBindDescriptorSets()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdBindDescriptorSets | ( | VkCommandBuffer | commandBuffer,
|  | VkPipelineBindPoint | pipelineBindPoint,
|  | VkPipelineLayout | layout,
|  | uint32_t | firstSet,
|  | uint32_t | descriptorSetCount,
|  | const VkDescriptorSet * | pDescriptorSets,
|  | uint32_t | dynamicOffsetCount,
|  | const uint32_t * | pDynamicOffsets
| ) |  | const

inline

Definition at line 1183 of file vulkan.hpp.

{
return ::vkCmdBindDescriptorSets( commandBuffer, pipelineBindPoint, layout, firstSet, descriptorSetCount, pDescriptorSets, dynamicOffsetCount, pDynamicOffsets);
}

References vkCmdBindDescriptorSets().

## vkCmdBindIndexBuffer()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdBindIndexBuffer | ( | VkCommandBuffer | commandBuffer,
|  | VkBuffer | buffer,
|  | VkDeviceSize | offset,
|  | VkIndexType | indexType
| ) |  | const

inline

Definition at line 1187 of file vulkan.hpp.

{
return ::vkCmdBindIndexBuffer( commandBuffer, buffer, offset, indexType);
}

References vkCmdBindIndexBuffer().

## vkCmdBindPipeline()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdBindPipeline | ( | VkCommandBuffer | commandBuffer,
|  | VkPipelineBindPoint | pipelineBindPoint,
|  | VkPipeline | pipeline
| ) |  | const

inline

Definition at line 1191 of file vulkan.hpp.

{
return ::vkCmdBindPipeline( commandBuffer, pipelineBindPoint, pipeline);
}

References vkCmdBindPipeline().

## vkCmdBindShadingRateImageNV()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdBindShadingRateImageNV | ( | VkCommandBuffer | commandBuffer,
|  | VkImageView | imageView,
|  | VkImageLayout | imageLayout
| ) |  | const

inline

Definition at line 1195 of file vulkan.hpp.

{
return ::vkCmdBindShadingRateImageNV( commandBuffer, imageView, imageLayout);
}

References vkCmdBindShadingRateImageNV().

## vkCmdBindTransformFeedbackBuffersEXT()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdBindTransformFeedbackBuffersEXT | ( | VkCommandBuffer | commandBuffer,
|  | uint32_t | firstBinding,
|  | uint32_t | bindingCount,
|  | const VkBuffer * | pBuffers,
|  | const VkDeviceSize * | pOffsets,
|  | const VkDeviceSize * | pSizes
| ) |  | const

inline

Definition at line 1199 of file vulkan.hpp.

{
return ::vkCmdBindTransformFeedbackBuffersEXT( commandBuffer, firstBinding, bindingCount, pBuffers, pOffsets, pSizes);
}

References vkCmdBindTransformFeedbackBuffersEXT().

## vkCmdBindVertexBuffers()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdBindVertexBuffers | ( | VkCommandBuffer | commandBuffer,
|  | uint32_t | firstBinding,
|  | uint32_t | bindingCount,
|  | const VkBuffer * | pBuffers,
|  | const VkDeviceSize * | pOffsets
| ) |  | const

inline

Definition at line 1203 of file vulkan.hpp.

{
return ::vkCmdBindVertexBuffers( commandBuffer, firstBinding, bindingCount, pBuffers, pOffsets);
}

References vkCmdBindVertexBuffers().

## vkCmdBlitImage()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdBlitImage | ( | VkCommandBuffer | commandBuffer,
|  | VkImage | srcImage,
|  | VkImageLayout | srcImageLayout,
|  | VkImage | dstImage,
|  | VkImageLayout | dstImageLayout,
|  | uint32_t | regionCount,
|  | const VkImageBlit * | pRegions,
|  | VkFilter | filter
| ) |  | const

inline

Definition at line 1207 of file vulkan.hpp.

{
return ::vkCmdBlitImage( commandBuffer, srcImage, srcImageLayout, dstImage, dstImageLayout, regionCount, pRegions, filter);
}

References vkCmdBlitImage().

## vkCmdBuildAccelerationStructureNV()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdBuildAccelerationStructureNV | ( | VkCommandBuffer | commandBuffer,
|  | const VkAccelerationStructureInfoNV * | pInfo,
|  | VkBuffer | instanceData,
|  | VkDeviceSize | instanceOffset,
|  | VkBool32 | update,
|  | VkAccelerationStructureNV | dst,
|  | VkAccelerationStructureNV | src,
|  | VkBuffer | scratch,
|  | VkDeviceSize | scratchOffset
| ) |  | const

inline

Definition at line 1211 of file vulkan.hpp.

{
return ::vkCmdBuildAccelerationStructureNV( commandBuffer, pInfo, instanceData, instanceOffset, update, dst, src, scratch, scratchOffset);
}

References vkCmdBuildAccelerationStructureNV().

## vkCmdClearAttachments()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdClearAttachments | ( | VkCommandBuffer | commandBuffer,
|  | uint32_t | attachmentCount,
|  | const VkClearAttachment * | pAttachments,
|  | uint32_t | rectCount,
|  | const VkClearRect * | pRects
| ) |  | const

inline

Definition at line 1215 of file vulkan.hpp.

{
return ::vkCmdClearAttachments( commandBuffer, attachmentCount, pAttachments, rectCount, pRects);
}

References vkCmdClearAttachments().

## vkCmdClearColorImage()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdClearColorImage | ( | VkCommandBuffer | commandBuffer,
|  | VkImage | image,
|  | VkImageLayout | imageLayout,
|  | const VkClearColorValue * | pColor,
|  | uint32_t | rangeCount,
|  | const VkImageSubresourceRange * | pRanges
| ) |  | const

inline

Definition at line 1219 of file vulkan.hpp.

{
return ::vkCmdClearColorImage( commandBuffer, image, imageLayout, pColor, rangeCount, pRanges);
}

References vkCmdClearColorImage().

## vkCmdClearDepthStencilImage()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdClearDepthStencilImage | ( | VkCommandBuffer | commandBuffer,
|  | VkImage | image,
|  | VkImageLayout | imageLayout,
|  | const VkClearDepthStencilValue * | pDepthStencil,
|  | uint32_t | rangeCount,
|  | const VkImageSubresourceRange * | pRanges
| ) |  | const

inline

Definition at line 1223 of file vulkan.hpp.

{
return ::vkCmdClearDepthStencilImage( commandBuffer, image, imageLayout, pDepthStencil, rangeCount, pRanges);
}

References vkCmdClearDepthStencilImage().

## vkCmdCopyAccelerationStructureNV()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdCopyAccelerationStructureNV | ( | VkCommandBuffer | commandBuffer,
|  | VkAccelerationStructureNV | dst,
|  | VkAccelerationStructureNV | src,
|  | VkCopyAccelerationStructureModeNV | mode
| ) |  | const

inline

Definition at line 1227 of file vulkan.hpp.

{
return ::vkCmdCopyAccelerationStructureNV( commandBuffer, dst, src, mode);
}

References vkCmdCopyAccelerationStructureNV().

## vkCmdCopyBuffer()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdCopyBuffer | ( | VkCommandBuffer | commandBuffer,
|  | VkBuffer | srcBuffer,
|  | VkBuffer | dstBuffer,
|  | uint32_t | regionCount,
|  | const VkBufferCopy * | pRegions
| ) |  | const

inline

Definition at line 1231 of file vulkan.hpp.

{
return ::vkCmdCopyBuffer( commandBuffer, srcBuffer, dstBuffer, regionCount, pRegions);
}

References vkCmdCopyBuffer().

## vkCmdCopyBufferToImage()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdCopyBufferToImage | ( | VkCommandBuffer | commandBuffer,
|  | VkBuffer | srcBuffer,
|  | VkImage | dstImage,
|  | VkImageLayout | dstImageLayout,
|  | uint32_t | regionCount,
|  | const VkBufferImageCopy * | pRegions
| ) |  | const

inline

Definition at line 1235 of file vulkan.hpp.

{
return ::vkCmdCopyBufferToImage( commandBuffer, srcBuffer, dstImage, dstImageLayout, regionCount, pRegions);
}

References vkCmdCopyBufferToImage().

## vkCmdCopyImage()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdCopyImage | ( | VkCommandBuffer | commandBuffer,
|  | VkImage | srcImage,
|  | VkImageLayout | srcImageLayout,
|  | VkImage | dstImage,
|  | VkImageLayout | dstImageLayout,
|  | uint32_t | regionCount,
|  | const VkImageCopy * | pRegions
| ) |  | const

inline

Definition at line 1239 of file vulkan.hpp.

{
return ::vkCmdCopyImage( commandBuffer, srcImage, srcImageLayout, dstImage, dstImageLayout, regionCount, pRegions);
}

References vkCmdCopyImage().

## vkCmdCopyImageToBuffer()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdCopyImageToBuffer | ( | VkCommandBuffer | commandBuffer,
|  | VkImage | srcImage,
|  | VkImageLayout | srcImageLayout,
|  | VkBuffer | dstBuffer,
|  | uint32_t | regionCount,
|  | const VkBufferImageCopy * | pRegions
| ) |  | const

inline

Definition at line 1243 of file vulkan.hpp.

{
return ::vkCmdCopyImageToBuffer( commandBuffer, srcImage, srcImageLayout, dstBuffer, regionCount, pRegions);
}

References vkCmdCopyImageToBuffer().

## vkCmdCopyQueryPoolResults()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdCopyQueryPoolResults | ( | VkCommandBuffer | commandBuffer,
|  | VkQueryPool | queryPool,
|  | uint32_t | firstQuery,
|  | uint32_t | queryCount,
|  | VkBuffer | dstBuffer,
|  | VkDeviceSize | dstOffset,
|  | VkDeviceSize | stride,
|  | VkQueryResultFlags | flags
| ) |  | const

inline

Definition at line 1247 of file vulkan.hpp.

{
return ::vkCmdCopyQueryPoolResults( commandBuffer, queryPool, firstQuery, queryCount, dstBuffer, dstOffset, stride, flags);
}

References vkCmdCopyQueryPoolResults().

## vkCmdDebugMarkerBeginEXT()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdDebugMarkerBeginEXT | ( | VkCommandBuffer | commandBuffer,
|  | const VkDebugMarkerMarkerInfoEXT * | pMarkerInfo
| ) |  | const

inline

Definition at line 1251 of file vulkan.hpp.

{
return ::vkCmdDebugMarkerBeginEXT( commandBuffer, pMarkerInfo);
}

References vkCmdDebugMarkerBeginEXT().

## vkCmdDebugMarkerEndEXT()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdDebugMarkerEndEXT | ( | VkCommandBuffer | commandBuffer | ) | const

inline

Definition at line 1255 of file vulkan.hpp.

{
return ::vkCmdDebugMarkerEndEXT( commandBuffer);
}

References vkCmdDebugMarkerEndEXT().

## vkCmdDebugMarkerInsertEXT()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdDebugMarkerInsertEXT | ( | VkCommandBuffer | commandBuffer,
|  | const VkDebugMarkerMarkerInfoEXT * | pMarkerInfo
| ) |  | const

inline

Definition at line 1259 of file vulkan.hpp.

{
return ::vkCmdDebugMarkerInsertEXT( commandBuffer, pMarkerInfo);
}

References vkCmdDebugMarkerInsertEXT().

## vkCmdDispatch()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdDispatch | ( | VkCommandBuffer | commandBuffer,
|  | uint32_t | groupCountX,
|  | uint32_t | groupCountY,
|  | uint32_t | groupCountZ
| ) |  | const

inline

Definition at line 1263 of file vulkan.hpp.

{
return ::vkCmdDispatch( commandBuffer, groupCountX, groupCountY, groupCountZ);
}

References vkCmdDispatch().

## vkCmdDispatchBase()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdDispatchBase | ( | VkCommandBuffer | commandBuffer,
|  | uint32_t | baseGroupX,
|  | uint32_t | baseGroupY,
|  | uint32_t | baseGroupZ,
|  | uint32_t | groupCountX,
|  | uint32_t | groupCountY,
|  | uint32_t | groupCountZ
| ) |  | const

inline

Definition at line 1267 of file vulkan.hpp.

{
return ::vkCmdDispatchBase( commandBuffer, baseGroupX, baseGroupY, baseGroupZ, groupCountX, groupCountY, groupCountZ);
}

References vkCmdDispatchBase().

## vkCmdDispatchBaseKHR()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdDispatchBaseKHR | ( | VkCommandBuffer | commandBuffer,
|  | uint32_t | baseGroupX,
|  | uint32_t | baseGroupY,
|  | uint32_t | baseGroupZ,
|  | uint32_t | groupCountX,
|  | uint32_t | groupCountY,
|  | uint32_t | groupCountZ
| ) |  | const

inline

Definition at line 1271 of file vulkan.hpp.

{
return ::vkCmdDispatchBaseKHR( commandBuffer, baseGroupX, baseGroupY, baseGroupZ, groupCountX, groupCountY, groupCountZ);
}

References vkCmdDispatchBaseKHR().

## vkCmdDispatchIndirect()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdDispatchIndirect | ( | VkCommandBuffer | commandBuffer,
|  | VkBuffer | buffer,
|  | VkDeviceSize | offset
| ) |  | const

inline

Definition at line 1275 of file vulkan.hpp.

{
return ::vkCmdDispatchIndirect( commandBuffer, buffer, offset);
}

References vkCmdDispatchIndirect().

## vkCmdDraw()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdDraw | ( | VkCommandBuffer | commandBuffer,
|  | uint32_t | vertexCount,
|  | uint32_t | instanceCount,
|  | uint32_t | firstVertex,
|  | uint32_t | firstInstance
| ) |  | const

inline

Definition at line 1279 of file vulkan.hpp.

{
return ::vkCmdDraw( commandBuffer, vertexCount, instanceCount, firstVertex, firstInstance);
}

References vkCmdDraw().

## vkCmdDrawIndexed()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdDrawIndexed | ( | VkCommandBuffer | commandBuffer,
|  | uint32_t | indexCount,
|  | uint32_t | instanceCount,
|  | uint32_t | firstIndex,
|  | int32_t | vertexOffset,
|  | uint32_t | firstInstance
| ) |  | const

inline

Definition at line 1283 of file vulkan.hpp.

{
return ::vkCmdDrawIndexed( commandBuffer, indexCount, instanceCount, firstIndex, vertexOffset, firstInstance);
}

References vkCmdDrawIndexed().

## vkCmdDrawIndexedIndirect()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdDrawIndexedIndirect | ( | VkCommandBuffer | commandBuffer,
|  | VkBuffer | buffer,
|  | VkDeviceSize | offset,
|  | uint32_t | drawCount,
|  | uint32_t | stride
| ) |  | const

inline

Definition at line 1287 of file vulkan.hpp.

{
return ::vkCmdDrawIndexedIndirect( commandBuffer, buffer, offset, drawCount, stride);
}

References vkCmdDrawIndexedIndirect().

## vkCmdDrawIndexedIndirectCountAMD()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdDrawIndexedIndirectCountAMD | ( | VkCommandBuffer | commandBuffer,
|  | VkBuffer | buffer,
|  | VkDeviceSize | offset,
|  | VkBuffer | countBuffer,
|  | VkDeviceSize | countBufferOffset,
|  | uint32_t | maxDrawCount,
|  | uint32_t | stride
| ) |  | const

inline

Definition at line 1291 of file vulkan.hpp.

{
return ::vkCmdDrawIndexedIndirectCountAMD( commandBuffer, buffer, offset, countBuffer, countBufferOffset, maxDrawCount, stride);
}

References vkCmdDrawIndexedIndirectCountAMD().

## vkCmdDrawIndexedIndirectCountKHR()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdDrawIndexedIndirectCountKHR | ( | VkCommandBuffer | commandBuffer,
|  | VkBuffer | buffer,
|  | VkDeviceSize | offset,
|  | VkBuffer | countBuffer,
|  | VkDeviceSize | countBufferOffset,
|  | uint32_t | maxDrawCount,
|  | uint32_t | stride
| ) |  | const

inline

Definition at line 1295 of file vulkan.hpp.

{
return ::vkCmdDrawIndexedIndirectCountKHR( commandBuffer, buffer, offset, countBuffer, countBufferOffset, maxDrawCount, stride);
}

References vkCmdDrawIndexedIndirectCountKHR().

## vkCmdDrawIndirect()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdDrawIndirect | ( | VkCommandBuffer | commandBuffer,
|  | VkBuffer | buffer,
|  | VkDeviceSize | offset,
|  | uint32_t | drawCount,
|  | uint32_t | stride
| ) |  | const

inline

Definition at line 1299 of file vulkan.hpp.

{
return ::vkCmdDrawIndirect( commandBuffer, buffer, offset, drawCount, stride);
}

References vkCmdDrawIndirect().

## vkCmdDrawIndirectByteCountEXT()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdDrawIndirectByteCountEXT | ( | VkCommandBuffer | commandBuffer,
|  | uint32_t | instanceCount,
|  | uint32_t | firstInstance,
|  | VkBuffer | counterBuffer,
|  | VkDeviceSize | counterBufferOffset,
|  | uint32_t | counterOffset,
|  | uint32_t | vertexStride
| ) |  | const

inline

Definition at line 1303 of file vulkan.hpp.

{
return ::vkCmdDrawIndirectByteCountEXT( commandBuffer, instanceCount, firstInstance, counterBuffer, counterBufferOffset, counterOffset, vertexStride);
}

References vkCmdDrawIndirectByteCountEXT().

## vkCmdDrawIndirectCountAMD()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdDrawIndirectCountAMD | ( | VkCommandBuffer | commandBuffer,
|  | VkBuffer | buffer,
|  | VkDeviceSize | offset,
|  | VkBuffer | countBuffer,
|  | VkDeviceSize | countBufferOffset,
|  | uint32_t | maxDrawCount,
|  | uint32_t | stride
| ) |  | const

inline

Definition at line 1307 of file vulkan.hpp.

{
return ::vkCmdDrawIndirectCountAMD( commandBuffer, buffer, offset, countBuffer, countBufferOffset, maxDrawCount, stride);
}

References vkCmdDrawIndirectCountAMD().

## vkCmdDrawIndirectCountKHR()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdDrawIndirectCountKHR | ( | VkCommandBuffer | commandBuffer,
|  | VkBuffer | buffer,
|  | VkDeviceSize | offset,
|  | VkBuffer | countBuffer,
|  | VkDeviceSize | countBufferOffset,
|  | uint32_t | maxDrawCount,
|  | uint32_t | stride
| ) |  | const

inline

Definition at line 1311 of file vulkan.hpp.

{
return ::vkCmdDrawIndirectCountKHR( commandBuffer, buffer, offset, countBuffer, countBufferOffset, maxDrawCount, stride);
}

References vkCmdDrawIndirectCountKHR().

## vkCmdDrawMeshTasksIndirectCountNV()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdDrawMeshTasksIndirectCountNV | ( | VkCommandBuffer | commandBuffer,
|  | VkBuffer | buffer,
|  | VkDeviceSize | offset,
|  | VkBuffer | countBuffer,
|  | VkDeviceSize | countBufferOffset,
|  | uint32_t | maxDrawCount,
|  | uint32_t | stride
| ) |  | const

inline

Definition at line 1315 of file vulkan.hpp.

{
return ::vkCmdDrawMeshTasksIndirectCountNV( commandBuffer, buffer, offset, countBuffer, countBufferOffset, maxDrawCount, stride);
}

References vkCmdDrawMeshTasksIndirectCountNV().

## vkCmdDrawMeshTasksIndirectNV()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdDrawMeshTasksIndirectNV | ( | VkCommandBuffer | commandBuffer,
|  | VkBuffer | buffer,
|  | VkDeviceSize | offset,
|  | uint32_t | drawCount,
|  | uint32_t | stride
| ) |  | const

inline

Definition at line 1319 of file vulkan.hpp.

{
return ::vkCmdDrawMeshTasksIndirectNV( commandBuffer, buffer, offset, drawCount, stride);
}

References vkCmdDrawMeshTasksIndirectNV().

## vkCmdDrawMeshTasksNV()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdDrawMeshTasksNV | ( | VkCommandBuffer | commandBuffer,
|  | uint32_t | taskCount,
|  | uint32_t | firstTask
| ) |  | const

inline

Definition at line 1323 of file vulkan.hpp.

{
return ::vkCmdDrawMeshTasksNV( commandBuffer, taskCount, firstTask);
}

References vkCmdDrawMeshTasksNV().

## vkCmdEndConditionalRenderingEXT()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdEndConditionalRenderingEXT | ( | VkCommandBuffer | commandBuffer | ) | const

inline

Definition at line 1327 of file vulkan.hpp.

{
return ::vkCmdEndConditionalRenderingEXT( commandBuffer);
}

References vkCmdEndConditionalRenderingEXT().

## vkCmdEndDebugUtilsLabelEXT()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdEndDebugUtilsLabelEXT | ( | VkCommandBuffer | commandBuffer | ) | const

inline

Definition at line 1331 of file vulkan.hpp.

{
return ::vkCmdEndDebugUtilsLabelEXT( commandBuffer);
}

References vkCmdEndDebugUtilsLabelEXT().

## vkCmdEndQuery()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdEndQuery | ( | VkCommandBuffer | commandBuffer,
|  | VkQueryPool | queryPool,
|  | uint32_t | query
| ) |  | const

inline

Definition at line 1335 of file vulkan.hpp.

{
return ::vkCmdEndQuery( commandBuffer, queryPool, query);
}

References vkCmdEndQuery().

## vkCmdEndQueryIndexedEXT()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdEndQueryIndexedEXT | ( | VkCommandBuffer | commandBuffer,
|  | VkQueryPool | queryPool,
|  | uint32_t | query,
|  | uint32_t | index
| ) |  | const

inline

Definition at line 1339 of file vulkan.hpp.

{
return ::vkCmdEndQueryIndexedEXT( commandBuffer, queryPool, query, index);
}

References vkCmdEndQueryIndexedEXT().

## vkCmdEndRenderPass()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdEndRenderPass | ( | VkCommandBuffer | commandBuffer | ) | const

inline

Definition at line 1343 of file vulkan.hpp.

{
return ::vkCmdEndRenderPass( commandBuffer);
}

References vkCmdEndRenderPass().

## vkCmdEndRenderPass2KHR()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdEndRenderPass2KHR | ( | VkCommandBuffer | commandBuffer,
|  | const VkSubpassEndInfoKHR * | pSubpassEndInfo
| ) |  | const

inline

Definition at line 1347 of file vulkan.hpp.

{
return ::vkCmdEndRenderPass2KHR( commandBuffer, pSubpassEndInfo);
}

References vkCmdEndRenderPass2KHR().

## vkCmdEndTransformFeedbackEXT()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdEndTransformFeedbackEXT | ( | VkCommandBuffer | commandBuffer,
|  | uint32_t | firstCounterBuffer,
|  | uint32_t | counterBufferCount,
|  | const VkBuffer * | pCounterBuffers,
|  | const VkDeviceSize * | pCounterBufferOffsets
| ) |  | const

inline

Definition at line 1351 of file vulkan.hpp.

{
return ::vkCmdEndTransformFeedbackEXT( commandBuffer, firstCounterBuffer, counterBufferCount, pCounterBuffers, pCounterBufferOffsets);
}

References vkCmdEndTransformFeedbackEXT().

## vkCmdExecuteCommands()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdExecuteCommands | ( | VkCommandBuffer | commandBuffer,
|  | uint32_t | commandBufferCount,
|  | const VkCommandBuffer * | pCommandBuffers
| ) |  | const

inline

Definition at line 1355 of file vulkan.hpp.

{
return ::vkCmdExecuteCommands( commandBuffer, commandBufferCount, pCommandBuffers);
}

References vkCmdExecuteCommands().

## vkCmdFillBuffer()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdFillBuffer | ( | VkCommandBuffer | commandBuffer,
|  | VkBuffer | dstBuffer,
|  | VkDeviceSize | dstOffset,
|  | VkDeviceSize | size,
|  | uint32_t | data
| ) |  | const

inline

Definition at line 1359 of file vulkan.hpp.

{
return ::vkCmdFillBuffer( commandBuffer, dstBuffer, dstOffset, size, data);
}

References vkCmdFillBuffer().

## vkCmdInsertDebugUtilsLabelEXT()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdInsertDebugUtilsLabelEXT | ( | VkCommandBuffer | commandBuffer,
|  | const VkDebugUtilsLabelEXT * | pLabelInfo
| ) |  | const

inline

Definition at line 1363 of file vulkan.hpp.

{
return ::vkCmdInsertDebugUtilsLabelEXT( commandBuffer, pLabelInfo);
}

References vkCmdInsertDebugUtilsLabelEXT().

## vkCmdNextSubpass()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdNextSubpass | ( | VkCommandBuffer | commandBuffer,
|  | VkSubpassContents | contents
| ) |  | const

inline

Definition at line 1367 of file vulkan.hpp.

{
return ::vkCmdNextSubpass( commandBuffer, contents);
}

References vkCmdNextSubpass().

## vkCmdNextSubpass2KHR()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdNextSubpass2KHR | ( | VkCommandBuffer | commandBuffer,
|  | const VkSubpassBeginInfoKHR * | pSubpassBeginInfo,
|  | const VkSubpassEndInfoKHR * | pSubpassEndInfo
| ) |  | const

inline

Definition at line 1371 of file vulkan.hpp.

{
return ::vkCmdNextSubpass2KHR( commandBuffer, pSubpassBeginInfo, pSubpassEndInfo);
}

References vkCmdNextSubpass2KHR().

## vkCmdPipelineBarrier()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdPipelineBarrier | ( | VkCommandBuffer | commandBuffer,
|  | VkPipelineStageFlags | srcStageMask,
|  | VkPipelineStageFlags | dstStageMask,
|  | VkDependencyFlags | dependencyFlags,
|  | uint32_t | memoryBarrierCount,
|  | const VkMemoryBarrier * | pMemoryBarriers,
|  | uint32_t | bufferMemoryBarrierCount,
|  | const VkBufferMemoryBarrier * | pBufferMemoryBarriers,
|  | uint32_t | imageMemoryBarrierCount,
|  | const VkImageMemoryBarrier * | pImageMemoryBarriers
| ) |  | const

inline

Definition at line 1375 of file vulkan.hpp.

{
return ::vkCmdPipelineBarrier( commandBuffer, srcStageMask, dstStageMask, dependencyFlags, memoryBarrierCount, pMemoryBarriers, bufferMemoryBarrierCount, pBufferMemoryBarriers, imageMemoryBarrierCount, pImageMemoryBarriers);
}

References vkCmdPipelineBarrier().

## vkCmdProcessCommandsNVX()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdProcessCommandsNVX | ( | VkCommandBuffer | commandBuffer,
|  | const VkCmdProcessCommandsInfoNVX * | pProcessCommandsInfo
| ) |  | const

inline

Definition at line 1379 of file vulkan.hpp.

{
return ::vkCmdProcessCommandsNVX( commandBuffer, pProcessCommandsInfo);
}

References vkCmdProcessCommandsNVX().

## vkCmdPushConstants()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdPushConstants | ( | VkCommandBuffer | commandBuffer,
|  | VkPipelineLayout | layout,
|  | VkShaderStageFlags | stageFlags,
|  | uint32_t | offset,
|  | uint32_t | size,
|  | const void * | pValues
| ) |  | const

inline

Definition at line 1383 of file vulkan.hpp.

{
return ::vkCmdPushConstants( commandBuffer, layout, stageFlags, offset, size, pValues);
}

References vkCmdPushConstants().

## vkCmdPushDescriptorSetKHR()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdPushDescriptorSetKHR | ( | VkCommandBuffer | commandBuffer,
|  | VkPipelineBindPoint | pipelineBindPoint,
|  | VkPipelineLayout | layout,
|  | uint32_t | set,
|  | uint32_t | descriptorWriteCount,
|  | const VkWriteDescriptorSet * | pDescriptorWrites
| ) |  | const

inline

Definition at line 1387 of file vulkan.hpp.

{
return ::vkCmdPushDescriptorSetKHR( commandBuffer, pipelineBindPoint, layout, set, descriptorWriteCount, pDescriptorWrites);
}

References vkCmdPushDescriptorSetKHR().

## vkCmdPushDescriptorSetWithTemplateKHR()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdPushDescriptorSetWithTemplateKHR | ( | VkCommandBuffer | commandBuffer,
|  | VkDescriptorUpdateTemplate | descriptorUpdateTemplate,
|  | VkPipelineLayout | layout,
|  | uint32_t | set,
|  | const void * | pData
| ) |  | const

inline

Definition at line 1391 of file vulkan.hpp.

{
return ::vkCmdPushDescriptorSetWithTemplateKHR( commandBuffer, descriptorUpdateTemplate, layout, set, pData);
}

References vkCmdPushDescriptorSetWithTemplateKHR().

## vkCmdReserveSpaceForCommandsNVX()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdReserveSpaceForCommandsNVX | ( | VkCommandBuffer | commandBuffer,
|  | const VkCmdReserveSpaceForCommandsInfoNVX * | pReserveSpaceInfo
| ) |  | const

inline

Definition at line 1395 of file vulkan.hpp.

{
return ::vkCmdReserveSpaceForCommandsNVX( commandBuffer, pReserveSpaceInfo);
}

References vkCmdReserveSpaceForCommandsNVX().

## vkCmdResetEvent()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdResetEvent | ( | VkCommandBuffer | commandBuffer,
|  | VkEvent | event,
|  | VkPipelineStageFlags | stageMask
| ) |  | const

inline

Definition at line 1399 of file vulkan.hpp.

{
return ::vkCmdResetEvent( commandBuffer, event, stageMask);
}

References vkCmdResetEvent().

## vkCmdResetQueryPool()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdResetQueryPool | ( | VkCommandBuffer | commandBuffer,
|  | VkQueryPool | queryPool,
|  | uint32_t | firstQuery,
|  | uint32_t | queryCount
| ) |  | const

inline

Definition at line 1403 of file vulkan.hpp.

{
return ::vkCmdResetQueryPool( commandBuffer, queryPool, firstQuery, queryCount);
}

References vkCmdResetQueryPool().

## vkCmdResolveImage()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdResolveImage | ( | VkCommandBuffer | commandBuffer,
|  | VkImage | srcImage,
|  | VkImageLayout | srcImageLayout,
|  | VkImage | dstImage,
|  | VkImageLayout | dstImageLayout,
|  | uint32_t | regionCount,
|  | const VkImageResolve * | pRegions
| ) |  | const

inline

Definition at line 1407 of file vulkan.hpp.

{
return ::vkCmdResolveImage( commandBuffer, srcImage, srcImageLayout, dstImage, dstImageLayout, regionCount, pRegions);
}

References vkCmdResolveImage().

## vkCmdSetBlendConstants()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdSetBlendConstants | ( | VkCommandBuffer | commandBuffer,
|  | const float | blendConstants[4]
| ) |  | const

inline

Definition at line 1411 of file vulkan.hpp.

{
return ::vkCmdSetBlendConstants( commandBuffer, blendConstants);
}

References vkCmdSetBlendConstants().

## vkCmdSetCheckpointNV()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdSetCheckpointNV | ( | VkCommandBuffer | commandBuffer,
|  | const void * | pCheckpointMarker
| ) |  | const

inline

Definition at line 1415 of file vulkan.hpp.

{
return ::vkCmdSetCheckpointNV( commandBuffer, pCheckpointMarker);
}

References vkCmdSetCheckpointNV().

## vkCmdSetCoarseSampleOrderNV()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdSetCoarseSampleOrderNV | ( | VkCommandBuffer | commandBuffer,
|  | VkCoarseSampleOrderTypeNV | sampleOrderType,
|  | uint32_t | customSampleOrderCount,
|  | const VkCoarseSampleOrderCustomNV * | pCustomSampleOrders
| ) |  | const

inline

Definition at line 1419 of file vulkan.hpp.

{
return ::vkCmdSetCoarseSampleOrderNV( commandBuffer, sampleOrderType, customSampleOrderCount, pCustomSampleOrders);
}

References vkCmdSetCoarseSampleOrderNV().

## vkCmdSetDepthBias()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdSetDepthBias | ( | VkCommandBuffer | commandBuffer,
|  | float | depthBiasConstantFactor,
|  | float | depthBiasClamp,
|  | float | depthBiasSlopeFactor
| ) |  | const

inline

Definition at line 1423 of file vulkan.hpp.

{
return ::vkCmdSetDepthBias( commandBuffer, depthBiasConstantFactor, depthBiasClamp, depthBiasSlopeFactor);
}

References vkCmdSetDepthBias().

## vkCmdSetDepthBounds()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdSetDepthBounds | ( | VkCommandBuffer | commandBuffer,
|  | float | minDepthBounds,
|  | float | maxDepthBounds
| ) |  | const

inline

Definition at line 1427 of file vulkan.hpp.

{
return ::vkCmdSetDepthBounds( commandBuffer, minDepthBounds, maxDepthBounds);
}

References vkCmdSetDepthBounds().

## vkCmdSetDeviceMask()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdSetDeviceMask | ( | VkCommandBuffer | commandBuffer,
|  | uint32_t | deviceMask
| ) |  | const

inline

Definition at line 1431 of file vulkan.hpp.

{
return ::vkCmdSetDeviceMask( commandBuffer, deviceMask);
}

References vkCmdSetDeviceMask().

## vkCmdSetDeviceMaskKHR()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdSetDeviceMaskKHR | ( | VkCommandBuffer | commandBuffer,
|  | uint32_t | deviceMask
| ) |  | const

inline

Definition at line 1435 of file vulkan.hpp.

{
return ::vkCmdSetDeviceMaskKHR( commandBuffer, deviceMask);
}

References vkCmdSetDeviceMaskKHR().

## vkCmdSetDiscardRectangleEXT()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdSetDiscardRectangleEXT | ( | VkCommandBuffer | commandBuffer,
|  | uint32_t | firstDiscardRectangle,
|  | uint32_t | discardRectangleCount,
|  | const VkRect2D * | pDiscardRectangles
| ) |  | const

inline

Definition at line 1439 of file vulkan.hpp.

{
return ::vkCmdSetDiscardRectangleEXT( commandBuffer, firstDiscardRectangle, discardRectangleCount, pDiscardRectangles);
}

References vkCmdSetDiscardRectangleEXT().

## vkCmdSetEvent()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdSetEvent | ( | VkCommandBuffer | commandBuffer,
|  | VkEvent | event,
|  | VkPipelineStageFlags | stageMask
| ) |  | const

inline

Definition at line 1443 of file vulkan.hpp.

{
return ::vkCmdSetEvent( commandBuffer, event, stageMask);
}

References vkCmdSetEvent().

## vkCmdSetExclusiveScissorNV()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdSetExclusiveScissorNV | ( | VkCommandBuffer | commandBuffer,
|  | uint32_t | firstExclusiveScissor,
|  | uint32_t | exclusiveScissorCount,
|  | const VkRect2D * | pExclusiveScissors
| ) |  | const

inline

Definition at line 1447 of file vulkan.hpp.

{
return ::vkCmdSetExclusiveScissorNV( commandBuffer, firstExclusiveScissor, exclusiveScissorCount, pExclusiveScissors);
}

References vkCmdSetExclusiveScissorNV().

## vkCmdSetLineWidth()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdSetLineWidth | ( | VkCommandBuffer | commandBuffer,
|  | float | lineWidth
| ) |  | const

inline

Definition at line 1451 of file vulkan.hpp.

{
return ::vkCmdSetLineWidth( commandBuffer, lineWidth);
}

References vkCmdSetLineWidth().

## vkCmdSetSampleLocationsEXT()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdSetSampleLocationsEXT | ( | VkCommandBuffer | commandBuffer,
|  | const VkSampleLocationsInfoEXT * | pSampleLocationsInfo
| ) |  | const

inline

Definition at line 1455 of file vulkan.hpp.

{
return ::vkCmdSetSampleLocationsEXT( commandBuffer, pSampleLocationsInfo);
}

References vkCmdSetSampleLocationsEXT().

## vkCmdSetScissor()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdSetScissor | ( | VkCommandBuffer | commandBuffer,
|  | uint32_t | firstScissor,
|  | uint32_t | scissorCount,
|  | const VkRect2D * | pScissors
| ) |  | const

inline

Definition at line 1459 of file vulkan.hpp.

{
return ::vkCmdSetScissor( commandBuffer, firstScissor, scissorCount, pScissors);
}

References vkCmdSetScissor().

## vkCmdSetStencilCompareMask()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdSetStencilCompareMask | ( | VkCommandBuffer | commandBuffer,
|  | VkStencilFaceFlags | faceMask,
|  | uint32_t | compareMask
| ) |  | const

inline

Definition at line 1463 of file vulkan.hpp.

{
return ::vkCmdSetStencilCompareMask( commandBuffer, faceMask, compareMask);
}

References vkCmdSetStencilCompareMask().

## vkCmdSetStencilReference()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdSetStencilReference | ( | VkCommandBuffer | commandBuffer,
|  | VkStencilFaceFlags | faceMask,
|  | uint32_t | reference
| ) |  | const

inline

Definition at line 1467 of file vulkan.hpp.

{
return ::vkCmdSetStencilReference( commandBuffer, faceMask, reference);
}

References vkCmdSetStencilReference().

## vkCmdSetStencilWriteMask()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdSetStencilWriteMask | ( | VkCommandBuffer | commandBuffer,
|  | VkStencilFaceFlags | faceMask,
|  | uint32_t | writeMask
| ) |  | const

inline

Definition at line 1471 of file vulkan.hpp.

{
return ::vkCmdSetStencilWriteMask( commandBuffer, faceMask, writeMask);
}

References vkCmdSetStencilWriteMask().

## vkCmdSetViewport()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdSetViewport | ( | VkCommandBuffer | commandBuffer,
|  | uint32_t | firstViewport,
|  | uint32_t | viewportCount,
|  | const VkViewport * | pViewports
| ) |  | const

inline

Definition at line 1475 of file vulkan.hpp.

{
return ::vkCmdSetViewport( commandBuffer, firstViewport, viewportCount, pViewports);
}

References vkCmdSetViewport().

## vkCmdSetViewportShadingRatePaletteNV()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdSetViewportShadingRatePaletteNV | ( | VkCommandBuffer | commandBuffer,
|  | uint32_t | firstViewport,
|  | uint32_t | viewportCount,
|  | const VkShadingRatePaletteNV * | pShadingRatePalettes
| ) |  | const

inline

Definition at line 1479 of file vulkan.hpp.

{
return ::vkCmdSetViewportShadingRatePaletteNV( commandBuffer, firstViewport, viewportCount, pShadingRatePalettes);
}

References vkCmdSetViewportShadingRatePaletteNV().

## vkCmdSetViewportWScalingNV()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdSetViewportWScalingNV | ( | VkCommandBuffer | commandBuffer,
|  | uint32_t | firstViewport,
|  | uint32_t | viewportCount,
|  | const VkViewportWScalingNV * | pViewportWScalings
| ) |  | const

inline

Definition at line 1483 of file vulkan.hpp.

{
return ::vkCmdSetViewportWScalingNV( commandBuffer, firstViewport, viewportCount, pViewportWScalings);
}

References vkCmdSetViewportWScalingNV().

## vkCmdTraceRaysNV()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdTraceRaysNV | ( | VkCommandBuffer | commandBuffer,
|  | VkBuffer | raygenShaderBindingTableBuffer,
|  | VkDeviceSize | raygenShaderBindingOffset,
|  | VkBuffer | missShaderBindingTableBuffer,
|  | VkDeviceSize | missShaderBindingOffset,
|  | VkDeviceSize | missShaderBindingStride,
|  | VkBuffer | hitShaderBindingTableBuffer,
|  | VkDeviceSize | hitShaderBindingOffset,
|  | VkDeviceSize | hitShaderBindingStride,
|  | VkBuffer | callableShaderBindingTableBuffer,
|  | VkDeviceSize | callableShaderBindingOffset,
|  | VkDeviceSize | callableShaderBindingStride,
|  | uint32_t | width,
|  | uint32_t | height,
|  | uint32_t | depth
| ) |  | const

inline

Definition at line 1487 of file vulkan.hpp.

{
return ::vkCmdTraceRaysNV( commandBuffer, raygenShaderBindingTableBuffer, raygenShaderBindingOffset, missShaderBindingTableBuffer, missShaderBindingOffset, missShaderBindingStride, hitShaderBindingTableBuffer, hitShaderBindingOffset, hitShaderBindingStride, callableShaderBindingTableBuffer, callableShaderBindingOffset, callableShaderBindingStride, width, height, depth);
}

References vkCmdTraceRaysNV().

## vkCmdUpdateBuffer()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdUpdateBuffer | ( | VkCommandBuffer | commandBuffer,
|  | VkBuffer | dstBuffer,
|  | VkDeviceSize | dstOffset,
|  | VkDeviceSize | dataSize,
|  | const void * | pData
| ) |  | const

inline

Definition at line 1491 of file vulkan.hpp.

{
return ::vkCmdUpdateBuffer( commandBuffer, dstBuffer, dstOffset, dataSize, pData);
}

References vkCmdUpdateBuffer().

## vkCmdWaitEvents()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdWaitEvents | ( | VkCommandBuffer | commandBuffer,
|  | uint32_t | eventCount,
|  | const VkEvent * | pEvents,
|  | VkPipelineStageFlags | srcStageMask,
|  | VkPipelineStageFlags | dstStageMask,
|  | uint32_t | memoryBarrierCount,
|  | const VkMemoryBarrier * | pMemoryBarriers,
|  | uint32_t | bufferMemoryBarrierCount,
|  | const VkBufferMemoryBarrier * | pBufferMemoryBarriers,
|  | uint32_t | imageMemoryBarrierCount,
|  | const VkImageMemoryBarrier * | pImageMemoryBarriers
| ) |  | const

inline

Definition at line 1495 of file vulkan.hpp.

{
return ::vkCmdWaitEvents( commandBuffer, eventCount, pEvents, srcStageMask, dstStageMask, memoryBarrierCount, pMemoryBarriers, bufferMemoryBarrierCount, pBufferMemoryBarriers, imageMemoryBarrierCount, pImageMemoryBarriers);
}

References vkCmdWaitEvents().

## vkCmdWriteAccelerationStructuresPropertiesNV()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdWriteAccelerationStructuresPropertiesNV | ( | VkCommandBuffer | commandBuffer,
|  | uint32_t | accelerationStructureCount,
|  | const VkAccelerationStructureNV * | pAccelerationStructures,
|  | VkQueryType | queryType,
|  | VkQueryPool | queryPool,
|  | uint32_t | firstQuery
| ) |  | const

inline

Definition at line 1499 of file vulkan.hpp.

{
return ::vkCmdWriteAccelerationStructuresPropertiesNV( commandBuffer, accelerationStructureCount, pAccelerationStructures, queryType, queryPool, firstQuery);
}

References vkCmdWriteAccelerationStructuresPropertiesNV().

## vkCmdWriteBufferMarkerAMD()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdWriteBufferMarkerAMD | ( | VkCommandBuffer | commandBuffer,
|  | VkPipelineStageFlagBits | pipelineStage,
|  | VkBuffer | dstBuffer,
|  | VkDeviceSize | dstOffset,
|  | uint32_t | marker
| ) |  | const

inline

Definition at line 1503 of file vulkan.hpp.

{
return ::vkCmdWriteBufferMarkerAMD( commandBuffer, pipelineStage, dstBuffer, dstOffset, marker);
}

References vkCmdWriteBufferMarkerAMD().

## vkCmdWriteTimestamp()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCmdWriteTimestamp | ( | VkCommandBuffer | commandBuffer,
|  | VkPipelineStageFlagBits | pipelineStage,
|  | VkQueryPool | queryPool,
|  | uint32_t | query
| ) |  | const

inline

Definition at line 1507 of file vulkan.hpp.

{
return ::vkCmdWriteTimestamp( commandBuffer, pipelineStage, queryPool, query);
}

References vkCmdWriteTimestamp().

## vkCompileDeferredNV()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCompileDeferredNV | ( | VkDevice | device,
|  | VkPipeline | pipeline,
|  | uint32_t | shader
| ) |  | const

inline

Definition at line 1511 of file vulkan.hpp.

{
return ::vkCompileDeferredNV( device, pipeline, shader);
}

References device, and vkCompileDeferredNV().

## vkCreateAccelerationStructureNV()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCreateAccelerationStructureNV | ( | VkDevice | device,
|  | const VkAccelerationStructureCreateInfoNV * | pCreateInfo,
|  | const VkAllocationCallbacks * | pAllocator,
|  | VkAccelerationStructureNV * | pAccelerationStructure
| ) |  | const

inline

Definition at line 1515 of file vulkan.hpp.

{
return ::vkCreateAccelerationStructureNV( device, pCreateInfo, pAllocator, pAccelerationStructure);
}

References device, and vkCreateAccelerationStructureNV().

## vkCreateBuffer()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCreateBuffer | ( | VkDevice | device,
|  | const VkBufferCreateInfo * | pCreateInfo,
|  | const VkAllocationCallbacks * | pAllocator,
|  | VkBuffer * | pBuffer
| ) |  | const

inline

Definition at line 1525 of file vulkan.hpp.

{
return ::vkCreateBuffer( device, pCreateInfo, pAllocator, pBuffer);
}

References device, and vkCreateBuffer().

## vkCreateBufferView()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCreateBufferView | ( | VkDevice | device,
|  | const VkBufferViewCreateInfo * | pCreateInfo,
|  | const VkAllocationCallbacks * | pAllocator,
|  | VkBufferView * | pView
| ) |  | const

inline

Definition at line 1529 of file vulkan.hpp.

{
return ::vkCreateBufferView( device, pCreateInfo, pAllocator, pView);
}

References device, and vkCreateBufferView().

## vkCreateCommandPool()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCreateCommandPool | ( | VkDevice | device,
|  | const VkCommandPoolCreateInfo * | pCreateInfo,
|  | const VkAllocationCallbacks * | pAllocator,
|  | VkCommandPool * | pCommandPool
| ) |  | const

inline

Definition at line 1533 of file vulkan.hpp.

{
return ::vkCreateCommandPool( device, pCreateInfo, pAllocator, pCommandPool);
}

References device, and vkCreateCommandPool().

## vkCreateComputePipelines()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCreateComputePipelines | ( | VkDevice | device,
|  | VkPipelineCache | pipelineCache,
|  | uint32_t | createInfoCount,
|  | const VkComputePipelineCreateInfo * | pCreateInfos,
|  | const VkAllocationCallbacks * | pAllocator,
|  | VkPipeline * | pPipelines
| ) |  | const

inline

Definition at line 1537 of file vulkan.hpp.

{
return ::vkCreateComputePipelines( device, pipelineCache, createInfoCount, pCreateInfos, pAllocator, pPipelines);
}

References device, and vkCreateComputePipelines().

## vkCreateDebugReportCallbackEXT()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCreateDebugReportCallbackEXT | ( | VkInstance | instance,
|  | const VkDebugReportCallbackCreateInfoEXT * | pCreateInfo,
|  | const VkAllocationCallbacks * | pAllocator,
|  | VkDebugReportCallbackEXT * | pCallback
| ) |  | const

inline

Definition at line 1541 of file vulkan.hpp.

{
return ::vkCreateDebugReportCallbackEXT( instance, pCreateInfo, pAllocator, pCallback);
}

References vkCreateDebugReportCallbackEXT().

## vkCreateDebugUtilsMessengerEXT()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCreateDebugUtilsMessengerEXT | ( | VkInstance | instance,
|  | const VkDebugUtilsMessengerCreateInfoEXT * | pCreateInfo,
|  | const VkAllocationCallbacks * | pAllocator,
|  | VkDebugUtilsMessengerEXT * | pMessenger
| ) |  | const

inline

Definition at line 1545 of file vulkan.hpp.

{
return ::vkCreateDebugUtilsMessengerEXT( instance, pCreateInfo, pAllocator, pMessenger);
}

References vkCreateDebugUtilsMessengerEXT().

## vkCreateDescriptorPool()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCreateDescriptorPool | ( | VkDevice | device,
|  | const VkDescriptorPoolCreateInfo * | pCreateInfo,
|  | const VkAllocationCallbacks * | pAllocator,
|  | VkDescriptorPool * | pDescriptorPool
| ) |  | const

inline

Definition at line 1549 of file vulkan.hpp.

{
return ::vkCreateDescriptorPool( device, pCreateInfo, pAllocator, pDescriptorPool);
}

References device, and vkCreateDescriptorPool().

## vkCreateDescriptorSetLayout()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCreateDescriptorSetLayout | ( | VkDevice | device,
|  | const VkDescriptorSetLayoutCreateInfo * | pCreateInfo,
|  | const VkAllocationCallbacks * | pAllocator,
|  | VkDescriptorSetLayout * | pSetLayout
| ) |  | const

inline

Definition at line 1553 of file vulkan.hpp.

{
return ::vkCreateDescriptorSetLayout( device, pCreateInfo, pAllocator, pSetLayout);
}

References device, and vkCreateDescriptorSetLayout().

## vkCreateDescriptorUpdateTemplate()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCreateDescriptorUpdateTemplate | ( | VkDevice | device,
|  | const VkDescriptorUpdateTemplateCreateInfo * | pCreateInfo,
|  | const VkAllocationCallbacks * | pAllocator,
|  | VkDescriptorUpdateTemplate * | pDescriptorUpdateTemplate
| ) |  | const

inline

Definition at line 1557 of file vulkan.hpp.

{
return ::vkCreateDescriptorUpdateTemplate( device, pCreateInfo, pAllocator, pDescriptorUpdateTemplate);
}

References device, and vkCreateDescriptorUpdateTemplate().

## vkCreateDescriptorUpdateTemplateKHR()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCreateDescriptorUpdateTemplateKHR | ( | VkDevice | device,
|  | const VkDescriptorUpdateTemplateCreateInfo * | pCreateInfo,
|  | const VkAllocationCallbacks * | pAllocator,
|  | VkDescriptorUpdateTemplate * | pDescriptorUpdateTemplate
| ) |  | const

inline

Definition at line 1561 of file vulkan.hpp.

{
return ::vkCreateDescriptorUpdateTemplateKHR( device, pCreateInfo, pAllocator, pDescriptorUpdateTemplate);
}

References device, and vkCreateDescriptorUpdateTemplateKHR().

## vkCreateDevice()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCreateDevice | ( | VkPhysicalDevice | physicalDevice,
|  | const VkDeviceCreateInfo * | pCreateInfo,
|  | const VkAllocationCallbacks * | pAllocator,
|  | VkDevice * | pDevice
| ) |  | const

inline

Definition at line 1565 of file vulkan.hpp.

{
return ::vkCreateDevice( physicalDevice, pCreateInfo, pAllocator, pDevice);
}

References vkCreateDevice().

## vkCreateDisplayModeKHR()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCreateDisplayModeKHR | ( | VkPhysicalDevice | physicalDevice,
|  | VkDisplayKHR | display,
|  | const VkDisplayModeCreateInfoKHR * | pCreateInfo,
|  | const VkAllocationCallbacks * | pAllocator,
|  | VkDisplayModeKHR * | pMode
| ) |  | const

inline

Definition at line 1569 of file vulkan.hpp.

{
return ::vkCreateDisplayModeKHR( physicalDevice, display, pCreateInfo, pAllocator, pMode);
}

References vkCreateDisplayModeKHR().

## vkCreateDisplayPlaneSurfaceKHR()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCreateDisplayPlaneSurfaceKHR | ( | VkInstance | instance,
|  | const VkDisplaySurfaceCreateInfoKHR * | pCreateInfo,
|  | const VkAllocationCallbacks * | pAllocator,
|  | VkSurfaceKHR * | pSurface
| ) |  | const

inline

Definition at line 1573 of file vulkan.hpp.

{
return ::vkCreateDisplayPlaneSurfaceKHR( instance, pCreateInfo, pAllocator, pSurface);
}

References vkCreateDisplayPlaneSurfaceKHR().

## vkCreateEvent()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCreateEvent | ( | VkDevice | device,
|  | const VkEventCreateInfo * | pCreateInfo,
|  | const VkAllocationCallbacks * | pAllocator,
|  | VkEvent * | pEvent
| ) |  | const

inline

Definition at line 1577 of file vulkan.hpp.

{
return ::vkCreateEvent( device, pCreateInfo, pAllocator, pEvent);
}

References device, and vkCreateEvent().

## vkCreateFence()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCreateFence | ( | VkDevice | device,
|  | const VkFenceCreateInfo * | pCreateInfo,
|  | const VkAllocationCallbacks * | pAllocator,
|  | VkFence * | pFence
| ) |  | const

inline

Definition at line 1581 of file vulkan.hpp.

{
return ::vkCreateFence( device, pCreateInfo, pAllocator, pFence);
}

References device, and vkCreateFence().

## vkCreateFramebuffer()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCreateFramebuffer | ( | VkDevice | device,
|  | const VkFramebufferCreateInfo * | pCreateInfo,
|  | const VkAllocationCallbacks * | pAllocator,
|  | VkFramebuffer * | pFramebuffer
| ) |  | const

inline

Definition at line 1585 of file vulkan.hpp.

{
return ::vkCreateFramebuffer( device, pCreateInfo, pAllocator, pFramebuffer);
}

References device, and vkCreateFramebuffer().

## vkCreateGraphicsPipelines()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCreateGraphicsPipelines | ( | VkDevice | device,
|  | VkPipelineCache | pipelineCache,
|  | uint32_t | createInfoCount,
|  | const VkGraphicsPipelineCreateInfo * | pCreateInfos,
|  | const VkAllocationCallbacks * | pAllocator,
|  | VkPipeline * | pPipelines
| ) |  | const

inline

Definition at line 1589 of file vulkan.hpp.

{
return ::vkCreateGraphicsPipelines( device, pipelineCache, createInfoCount, pCreateInfos, pAllocator, pPipelines);
}

References device, and vkCreateGraphicsPipelines().

## vkCreateImage()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCreateImage | ( | VkDevice | device,
|  | const VkImageCreateInfo * | pCreateInfo,
|  | const VkAllocationCallbacks * | pAllocator,
|  | VkImage * | pImage
| ) |  | const

inline

Definition at line 1599 of file vulkan.hpp.

{
return ::vkCreateImage( device, pCreateInfo, pAllocator, pImage);
}

References device, and vkCreateImage().

## vkCreateImageView()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCreateImageView | ( | VkDevice | device,
|  | const VkImageViewCreateInfo * | pCreateInfo,
|  | const VkAllocationCallbacks * | pAllocator,
|  | VkImageView * | pView
| ) |  | const

inline

Definition at line 1609 of file vulkan.hpp.

{
return ::vkCreateImageView( device, pCreateInfo, pAllocator, pView);
}

References device, and vkCreateImageView().

## vkCreateIndirectCommandsLayoutNVX()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCreateIndirectCommandsLayoutNVX | ( | VkDevice | device,
|  | const VkIndirectCommandsLayoutCreateInfoNVX * | pCreateInfo,
|  | const VkAllocationCallbacks * | pAllocator,
|  | VkIndirectCommandsLayoutNVX * | pIndirectCommandsLayout
| ) |  | const

inline

Definition at line 1613 of file vulkan.hpp.

{
return ::vkCreateIndirectCommandsLayoutNVX( device, pCreateInfo, pAllocator, pIndirectCommandsLayout);
}

References device, and vkCreateIndirectCommandsLayoutNVX().

## vkCreateInstance()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCreateInstance | ( | const VkInstanceCreateInfo * | pCreateInfo,
|  | const VkAllocationCallbacks * | pAllocator,
|  | VkInstance * | pInstance
| ) |  | const

inline

Definition at line 1617 of file vulkan.hpp.

{
return ::vkCreateInstance( pCreateInfo, pAllocator, pInstance);
}

References vkCreateInstance().

## vkCreateObjectTableNVX()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCreateObjectTableNVX | ( | VkDevice | device,
|  | const VkObjectTableCreateInfoNVX * | pCreateInfo,
|  | const VkAllocationCallbacks * | pAllocator,
|  | VkObjectTableNVX * | pObjectTable
| ) |  | const

inline

Definition at line 1627 of file vulkan.hpp.

{
return ::vkCreateObjectTableNVX( device, pCreateInfo, pAllocator, pObjectTable);
}

References device, and vkCreateObjectTableNVX().

## vkCreatePipelineCache()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCreatePipelineCache | ( | VkDevice | device,
|  | const VkPipelineCacheCreateInfo * | pCreateInfo,
|  | const VkAllocationCallbacks * | pAllocator,
|  | VkPipelineCache * | pPipelineCache
| ) |  | const

inline

Definition at line 1631 of file vulkan.hpp.

{
return ::vkCreatePipelineCache( device, pCreateInfo, pAllocator, pPipelineCache);
}

References device, and vkCreatePipelineCache().

## vkCreatePipelineLayout()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCreatePipelineLayout | ( | VkDevice | device,
|  | const VkPipelineLayoutCreateInfo * | pCreateInfo,
|  | const VkAllocationCallbacks * | pAllocator,
|  | VkPipelineLayout * | pPipelineLayout
| ) |  | const

inline

Definition at line 1635 of file vulkan.hpp.

{
return ::vkCreatePipelineLayout( device, pCreateInfo, pAllocator, pPipelineLayout);
}

References device, and vkCreatePipelineLayout().

## vkCreateQueryPool()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCreateQueryPool | ( | VkDevice | device,
|  | const VkQueryPoolCreateInfo * | pCreateInfo,
|  | const VkAllocationCallbacks * | pAllocator,
|  | VkQueryPool * | pQueryPool
| ) |  | const

inline

Definition at line 1639 of file vulkan.hpp.

{
return ::vkCreateQueryPool( device, pCreateInfo, pAllocator, pQueryPool);
}

References device, and vkCreateQueryPool().

## vkCreateRayTracingPipelinesNV()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCreateRayTracingPipelinesNV | ( | VkDevice | device,
|  | VkPipelineCache | pipelineCache,
|  | uint32_t | createInfoCount,
|  | const VkRayTracingPipelineCreateInfoNV * | pCreateInfos,
|  | const VkAllocationCallbacks * | pAllocator,
|  | VkPipeline * | pPipelines
| ) |  | const

inline

Definition at line 1643 of file vulkan.hpp.

{
return ::vkCreateRayTracingPipelinesNV( device, pipelineCache, createInfoCount, pCreateInfos, pAllocator, pPipelines);
}

References device, and vkCreateRayTracingPipelinesNV().

## vkCreateRenderPass()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCreateRenderPass | ( | VkDevice | device,
|  | const VkRenderPassCreateInfo * | pCreateInfo,
|  | const VkAllocationCallbacks * | pAllocator,
|  | VkRenderPass * | pRenderPass
| ) |  | const

inline

Definition at line 1647 of file vulkan.hpp.

{
return ::vkCreateRenderPass( device, pCreateInfo, pAllocator, pRenderPass);
}

References device, and vkCreateRenderPass().

## vkCreateRenderPass2KHR()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCreateRenderPass2KHR | ( | VkDevice | device,
|  | const VkRenderPassCreateInfo2KHR * | pCreateInfo,
|  | const VkAllocationCallbacks * | pAllocator,
|  | VkRenderPass * | pRenderPass
| ) |  | const

inline

Definition at line 1651 of file vulkan.hpp.

{
return ::vkCreateRenderPass2KHR( device, pCreateInfo, pAllocator, pRenderPass);
}

References device, and vkCreateRenderPass2KHR().

## vkCreateSampler()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCreateSampler | ( | VkDevice | device,
|  | const VkSamplerCreateInfo * | pCreateInfo,
|  | const VkAllocationCallbacks * | pAllocator,
|  | VkSampler * | pSampler
| ) |  | const

inline

Definition at line 1655 of file vulkan.hpp.

{
return ::vkCreateSampler( device, pCreateInfo, pAllocator, pSampler);
}

References device, and vkCreateSampler().

## vkCreateSamplerYcbcrConversion()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCreateSamplerYcbcrConversion | ( | VkDevice | device,
|  | const VkSamplerYcbcrConversionCreateInfo * | pCreateInfo,
|  | const VkAllocationCallbacks * | pAllocator,
|  | VkSamplerYcbcrConversion * | pYcbcrConversion
| ) |  | const

inline

Definition at line 1659 of file vulkan.hpp.

{
return ::vkCreateSamplerYcbcrConversion( device, pCreateInfo, pAllocator, pYcbcrConversion);
}

References device, and vkCreateSamplerYcbcrConversion().

## vkCreateSamplerYcbcrConversionKHR()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCreateSamplerYcbcrConversionKHR | ( | VkDevice | device,
|  | const VkSamplerYcbcrConversionCreateInfo * | pCreateInfo,
|  | const VkAllocationCallbacks * | pAllocator,
|  | VkSamplerYcbcrConversion * | pYcbcrConversion
| ) |  | const

inline

Definition at line 1663 of file vulkan.hpp.

{
return ::vkCreateSamplerYcbcrConversionKHR( device, pCreateInfo, pAllocator, pYcbcrConversion);
}

References device, and vkCreateSamplerYcbcrConversionKHR().

## vkCreateSemaphore()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCreateSemaphore | ( | VkDevice | device,
|  | const VkSemaphoreCreateInfo * | pCreateInfo,
|  | const VkAllocationCallbacks * | pAllocator,
|  | VkSemaphore * | pSemaphore
| ) |  | const

inline

Definition at line 1667 of file vulkan.hpp.

{
return ::vkCreateSemaphore( device, pCreateInfo, pAllocator, pSemaphore);
}

References device, and vkCreateSemaphore().

## vkCreateShaderModule()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCreateShaderModule | ( | VkDevice | device,
|  | const VkShaderModuleCreateInfo * | pCreateInfo,
|  | const VkAllocationCallbacks * | pAllocator,
|  | VkShaderModule * | pShaderModule
| ) |  | const

inline

Definition at line 1671 of file vulkan.hpp.

{
return ::vkCreateShaderModule( device, pCreateInfo, pAllocator, pShaderModule);
}

References device, and vkCreateShaderModule().

## vkCreateSharedSwapchainsKHR()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCreateSharedSwapchainsKHR | ( | VkDevice | device,
|  | uint32_t | swapchainCount,
|  | const VkSwapchainCreateInfoKHR * | pCreateInfos,
|  | const VkAllocationCallbacks * | pAllocator,
|  | VkSwapchainKHR * | pSwapchains
| ) |  | const

inline

Definition at line 1675 of file vulkan.hpp.

{
return ::vkCreateSharedSwapchainsKHR( device, swapchainCount, pCreateInfos, pAllocator, pSwapchains);
}

References device, and vkCreateSharedSwapchainsKHR().

## vkCreateSwapchainKHR()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCreateSwapchainKHR | ( | VkDevice | device,
|  | const VkSwapchainCreateInfoKHR * | pCreateInfo,
|  | const VkAllocationCallbacks * | pAllocator,
|  | VkSwapchainKHR * | pSwapchain
| ) |  | const

inline

Definition at line 1679 of file vulkan.hpp.

{
return ::vkCreateSwapchainKHR( device, pCreateInfo, pAllocator, pSwapchain);
}

References device, and vkCreateSwapchainKHR().

## vkCreateValidationCacheEXT()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkCreateValidationCacheEXT | ( | VkDevice | device,
|  | const VkValidationCacheCreateInfoEXT * | pCreateInfo,
|  | const VkAllocationCallbacks * | pAllocator,
|  | VkValidationCacheEXT * | pValidationCache
| ) |  | const

inline

Definition at line 1683 of file vulkan.hpp.

{
return ::vkCreateValidationCacheEXT( device, pCreateInfo, pAllocator, pValidationCache);
}

References device, and vkCreateValidationCacheEXT().

## vkDebugMarkerSetObjectNameEXT()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkDebugMarkerSetObjectNameEXT | ( | VkDevice | device,
|  | const VkDebugMarkerObjectNameInfoEXT * | pNameInfo
| ) |  | const

inline

Definition at line 1717 of file vulkan.hpp.

{
return ::vkDebugMarkerSetObjectNameEXT( device, pNameInfo);
}

References device, and vkDebugMarkerSetObjectNameEXT().

## vkDebugMarkerSetObjectTagEXT()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkDebugMarkerSetObjectTagEXT | ( | VkDevice | device,
|  | const VkDebugMarkerObjectTagInfoEXT * | pTagInfo
| ) |  | const

inline

Definition at line 1721 of file vulkan.hpp.

{
return ::vkDebugMarkerSetObjectTagEXT( device, pTagInfo);
}

References device, and vkDebugMarkerSetObjectTagEXT().

## vkDebugReportMessageEXT()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkDebugReportMessageEXT | ( | VkInstance | instance,
|  | VkDebugReportFlagsEXT | flags,
|  | VkDebugReportObjectTypeEXT | objectType,
|  | uint64_t | object,
|  | size_t | location,
|  | int32_t | messageCode,
|  | const char * | pLayerPrefix,
|  | const char * | pMessage
| ) |  | const

inline

Definition at line 1725 of file vulkan.hpp.

{
return ::vkDebugReportMessageEXT( instance, flags, objectType, object, location, messageCode, pLayerPrefix, pMessage);
}

References vkDebugReportMessageEXT().

## vkDestroyAccelerationStructureNV()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkDestroyAccelerationStructureNV | ( | VkDevice | device,
|  | VkAccelerationStructureNV | accelerationStructure,
|  | const VkAllocationCallbacks * | pAllocator
| ) |  | const

inline

Definition at line 1729 of file vulkan.hpp.

{
return ::vkDestroyAccelerationStructureNV( device, accelerationStructure, pAllocator);
}

References device, and vkDestroyAccelerationStructureNV().

## vkDestroyBuffer()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkDestroyBuffer | ( | VkDevice | device,
|  | VkBuffer | buffer,
|  | const VkAllocationCallbacks * | pAllocator
| ) |  | const

inline

Definition at line 1733 of file vulkan.hpp.

{
return ::vkDestroyBuffer( device, buffer, pAllocator);
}

References device, and vkDestroyBuffer().

## vkDestroyBufferView()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkDestroyBufferView | ( | VkDevice | device,
|  | VkBufferView | bufferView,
|  | const VkAllocationCallbacks * | pAllocator
| ) |  | const

inline

Definition at line 1737 of file vulkan.hpp.

{
return ::vkDestroyBufferView( device, bufferView, pAllocator);
}

References device, and vkDestroyBufferView().

## vkDestroyCommandPool()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkDestroyCommandPool | ( | VkDevice | device,
|  | VkCommandPool | commandPool,
|  | const VkAllocationCallbacks * | pAllocator
| ) |  | const

inline

Definition at line 1741 of file vulkan.hpp.

{
return ::vkDestroyCommandPool( device, commandPool, pAllocator);
}

References device, and vkDestroyCommandPool().

## vkDestroyDebugReportCallbackEXT()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkDestroyDebugReportCallbackEXT | ( | VkInstance | instance,
|  | VkDebugReportCallbackEXT | callback,
|  | const VkAllocationCallbacks * | pAllocator
| ) |  | const

inline

Definition at line 1745 of file vulkan.hpp.

{
return ::vkDestroyDebugReportCallbackEXT( instance, callback, pAllocator);
}

References callback(), and vkDestroyDebugReportCallbackEXT().

## vkDestroyDebugUtilsMessengerEXT()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkDestroyDebugUtilsMessengerEXT | ( | VkInstance | instance,
|  | VkDebugUtilsMessengerEXT | messenger,
|  | const VkAllocationCallbacks * | pAllocator
| ) |  | const

inline

Definition at line 1749 of file vulkan.hpp.

{
return ::vkDestroyDebugUtilsMessengerEXT( instance, messenger, pAllocator);
}

References vkDestroyDebugUtilsMessengerEXT().

## vkDestroyDescriptorPool()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkDestroyDescriptorPool | ( | VkDevice | device,
|  | VkDescriptorPool | descriptorPool,
|  | const VkAllocationCallbacks * | pAllocator
| ) |  | const

inline

Definition at line 1753 of file vulkan.hpp.

{
return ::vkDestroyDescriptorPool( device, descriptorPool, pAllocator);
}

References device, and vkDestroyDescriptorPool().

## vkDestroyDescriptorSetLayout()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkDestroyDescriptorSetLayout | ( | VkDevice | device,
|  | VkDescriptorSetLayout | descriptorSetLayout,
|  | const VkAllocationCallbacks * | pAllocator
| ) |  | const

inline

Definition at line 1757 of file vulkan.hpp.

{
return ::vkDestroyDescriptorSetLayout( device, descriptorSetLayout, pAllocator);
}

References device, and vkDestroyDescriptorSetLayout().

## vkDestroyDescriptorUpdateTemplate()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkDestroyDescriptorUpdateTemplate | ( | VkDevice | device,
|  | VkDescriptorUpdateTemplate | descriptorUpdateTemplate,
|  | const VkAllocationCallbacks * | pAllocator
| ) |  | const

inline

Definition at line 1761 of file vulkan.hpp.

{
return ::vkDestroyDescriptorUpdateTemplate( device, descriptorUpdateTemplate, pAllocator);
}

References device, and vkDestroyDescriptorUpdateTemplate().

## vkDestroyDescriptorUpdateTemplateKHR()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkDestroyDescriptorUpdateTemplateKHR | ( | VkDevice | device,
|  | VkDescriptorUpdateTemplate | descriptorUpdateTemplate,
|  | const VkAllocationCallbacks * | pAllocator
| ) |  | const

inline

Definition at line 1765 of file vulkan.hpp.

{
return ::vkDestroyDescriptorUpdateTemplateKHR( device, descriptorUpdateTemplate, pAllocator);
}

References device, and vkDestroyDescriptorUpdateTemplateKHR().

## vkDestroyDevice()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkDestroyDevice | ( | VkDevice | device,
|  | const VkAllocationCallbacks * | pAllocator
| ) |  | const

inline

Definition at line 1769 of file vulkan.hpp.

{
return ::vkDestroyDevice( device, pAllocator);
}

References device, and vkDestroyDevice().

## vkDestroyEvent()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkDestroyEvent | ( | VkDevice | device,
|  | VkEvent | event,
|  | const VkAllocationCallbacks * | pAllocator
| ) |  | const

inline

Definition at line 1773 of file vulkan.hpp.

{
return ::vkDestroyEvent( device, event, pAllocator);
}

References device, and vkDestroyEvent().

## vkDestroyFence()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkDestroyFence | ( | VkDevice | device,
|  | VkFence | fence,
|  | const VkAllocationCallbacks * | pAllocator
| ) |  | const

inline

Definition at line 1777 of file vulkan.hpp.

{
return ::vkDestroyFence( device, fence, pAllocator);
}

References device, and vkDestroyFence().

## vkDestroyFramebuffer()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkDestroyFramebuffer | ( | VkDevice | device,
|  | VkFramebuffer | framebuffer,
|  | const VkAllocationCallbacks * | pAllocator
| ) |  | const

inline

Definition at line 1781 of file vulkan.hpp.

{
return ::vkDestroyFramebuffer( device, framebuffer, pAllocator);
}

References device, and vkDestroyFramebuffer().

## vkDestroyImage()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkDestroyImage | ( | VkDevice | device,
|  | VkImage | image,
|  | const VkAllocationCallbacks * | pAllocator
| ) |  | const

inline

Definition at line 1785 of file vulkan.hpp.

{
return ::vkDestroyImage( device, image, pAllocator);
}

References device, and vkDestroyImage().

## vkDestroyImageView()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkDestroyImageView | ( | VkDevice | device,
|  | VkImageView | imageView,
|  | const VkAllocationCallbacks * | pAllocator
| ) |  | const

inline

Definition at line 1789 of file vulkan.hpp.

{
return ::vkDestroyImageView( device, imageView, pAllocator);
}

References device, and vkDestroyImageView().

## vkDestroyIndirectCommandsLayoutNVX()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkDestroyIndirectCommandsLayoutNVX | ( | VkDevice | device,
|  | VkIndirectCommandsLayoutNVX | indirectCommandsLayout,
|  | const VkAllocationCallbacks * | pAllocator
| ) |  | const

inline

Definition at line 1793 of file vulkan.hpp.

{
return ::vkDestroyIndirectCommandsLayoutNVX( device, indirectCommandsLayout, pAllocator);
}

References device, and vkDestroyIndirectCommandsLayoutNVX().

## vkDestroyInstance()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkDestroyInstance | ( | VkInstance | instance,
|  | const VkAllocationCallbacks * | pAllocator
| ) |  | const

inline

Definition at line 1797 of file vulkan.hpp.

{
return ::vkDestroyInstance( instance, pAllocator);
}

References vkDestroyInstance().

## vkDestroyObjectTableNVX()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkDestroyObjectTableNVX | ( | VkDevice | device,
|  | VkObjectTableNVX | objectTable,
|  | const VkAllocationCallbacks * | pAllocator
| ) |  | const

inline

Definition at line 1801 of file vulkan.hpp.

{
return ::vkDestroyObjectTableNVX( device, objectTable, pAllocator);
}

References device, and vkDestroyObjectTableNVX().

## vkDestroyPipeline()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkDestroyPipeline | ( | VkDevice | device,
|  | VkPipeline | pipeline,
|  | const VkAllocationCallbacks * | pAllocator
| ) |  | const

inline

Definition at line 1805 of file vulkan.hpp.

{
return ::vkDestroyPipeline( device, pipeline, pAllocator);
}

References device, and vkDestroyPipeline().

## vkDestroyPipelineCache()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkDestroyPipelineCache | ( | VkDevice | device,
|  | VkPipelineCache | pipelineCache,
|  | const VkAllocationCallbacks * | pAllocator
| ) |  | const

inline

Definition at line 1809 of file vulkan.hpp.

{
return ::vkDestroyPipelineCache( device, pipelineCache, pAllocator);
}

References device, and vkDestroyPipelineCache().

## vkDestroyPipelineLayout()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkDestroyPipelineLayout | ( | VkDevice | device,
|  | VkPipelineLayout | pipelineLayout,
|  | const VkAllocationCallbacks * | pAllocator
| ) |  | const

inline

Definition at line 1813 of file vulkan.hpp.

{
return ::vkDestroyPipelineLayout( device, pipelineLayout, pAllocator);
}

References device, and vkDestroyPipelineLayout().

## vkDestroyQueryPool()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkDestroyQueryPool | ( | VkDevice | device,
|  | VkQueryPool | queryPool,
|  | const VkAllocationCallbacks * | pAllocator
| ) |  | const

inline

Definition at line 1817 of file vulkan.hpp.

{
return ::vkDestroyQueryPool( device, queryPool, pAllocator);
}

References device, and vkDestroyQueryPool().

## vkDestroyRenderPass()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkDestroyRenderPass | ( | VkDevice | device,
|  | VkRenderPass | renderPass,
|  | const VkAllocationCallbacks * | pAllocator
| ) |  | const

inline

Definition at line 1821 of file vulkan.hpp.

{
return ::vkDestroyRenderPass( device, renderPass, pAllocator);
}

References device, and vkDestroyRenderPass().

## vkDestroySampler()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkDestroySampler | ( | VkDevice | device,
|  | VkSampler | sampler,
|  | const VkAllocationCallbacks * | pAllocator
| ) |  | const

inline

Definition at line 1825 of file vulkan.hpp.

{
return ::vkDestroySampler( device, sampler, pAllocator);
}

References device, and vkDestroySampler().

## vkDestroySamplerYcbcrConversion()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkDestroySamplerYcbcrConversion | ( | VkDevice | device,
|  | VkSamplerYcbcrConversion | ycbcrConversion,
|  | const VkAllocationCallbacks * | pAllocator
| ) |  | const

inline

Definition at line 1829 of file vulkan.hpp.

{
return ::vkDestroySamplerYcbcrConversion( device, ycbcrConversion, pAllocator);
}

References device, and vkDestroySamplerYcbcrConversion().

## vkDestroySamplerYcbcrConversionKHR()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkDestroySamplerYcbcrConversionKHR | ( | VkDevice | device,
|  | VkSamplerYcbcrConversion | ycbcrConversion,
|  | const VkAllocationCallbacks * | pAllocator
| ) |  | const

inline

Definition at line 1833 of file vulkan.hpp.

{
return ::vkDestroySamplerYcbcrConversionKHR( device, ycbcrConversion, pAllocator);
}

References device, and vkDestroySamplerYcbcrConversionKHR().

## vkDestroySemaphore()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkDestroySemaphore | ( | VkDevice | device,
|  | VkSemaphore | semaphore,
|  | const VkAllocationCallbacks * | pAllocator
| ) |  | const

inline

Definition at line 1837 of file vulkan.hpp.

{
return ::vkDestroySemaphore( device, semaphore, pAllocator);
}

References device, and vkDestroySemaphore().

## vkDestroyShaderModule()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkDestroyShaderModule | ( | VkDevice | device,
|  | VkShaderModule | shaderModule,
|  | const VkAllocationCallbacks * | pAllocator
| ) |  | const

inline

Definition at line 1841 of file vulkan.hpp.

{
return ::vkDestroyShaderModule( device, shaderModule, pAllocator);
}

References device, and vkDestroyShaderModule().

## vkDestroySurfaceKHR()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkDestroySurfaceKHR | ( | VkInstance | instance,
|  | VkSurfaceKHR | surface,
|  | const VkAllocationCallbacks * | pAllocator
| ) |  | const

inline

Definition at line 1845 of file vulkan.hpp.

{
return ::vkDestroySurfaceKHR( instance, surface, pAllocator);
}

References vkDestroySurfaceKHR().

## vkDestroySwapchainKHR()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkDestroySwapchainKHR | ( | VkDevice | device,
|  | VkSwapchainKHR | swapchain,
|  | const VkAllocationCallbacks * | pAllocator
| ) |  | const

inline

Definition at line 1849 of file vulkan.hpp.

{
return ::vkDestroySwapchainKHR( device, swapchain, pAllocator);
}

References device, and vkDestroySwapchainKHR().

## vkDestroyValidationCacheEXT()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkDestroyValidationCacheEXT | ( | VkDevice | device,
|  | VkValidationCacheEXT | validationCache,
|  | const VkAllocationCallbacks * | pAllocator
| ) |  | const

inline

Definition at line 1853 of file vulkan.hpp.

{
return ::vkDestroyValidationCacheEXT( device, validationCache, pAllocator);
}

References device, and vkDestroyValidationCacheEXT().

## vkDeviceWaitIdle()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkDeviceWaitIdle | ( | VkDevice | device | ) | const

inline

Definition at line 1857 of file vulkan.hpp.

{
return ::vkDeviceWaitIdle( device);
}

References device, and vkDeviceWaitIdle().

## vkDisplayPowerControlEXT()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkDisplayPowerControlEXT | ( | VkDevice | device,
|  | VkDisplayKHR | display,
|  | const VkDisplayPowerInfoEXT * | pDisplayPowerInfo
| ) |  | const

inline

Definition at line 1861 of file vulkan.hpp.

{
return ::vkDisplayPowerControlEXT( device, display, pDisplayPowerInfo);
}

References device, and vkDisplayPowerControlEXT().

## vkEndCommandBuffer()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkEndCommandBuffer | ( | VkCommandBuffer | commandBuffer | ) | const

inline

Definition at line 1865 of file vulkan.hpp.

{
return ::vkEndCommandBuffer( commandBuffer);
}

References vkEndCommandBuffer().

## vkEnumerateDeviceExtensionProperties()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkEnumerateDeviceExtensionProperties | ( | VkPhysicalDevice | physicalDevice,
|  | const char * | pLayerName,
|  | uint32_t * | pPropertyCount,
|  | VkExtensionProperties * | pProperties
| ) |  | const

inline

Definition at line 1869 of file vulkan.hpp.

{
return ::vkEnumerateDeviceExtensionProperties( physicalDevice, pLayerName, pPropertyCount, pProperties);
}

References vkEnumerateDeviceExtensionProperties().

## vkEnumerateDeviceLayerProperties()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkEnumerateDeviceLayerProperties | ( | VkPhysicalDevice | physicalDevice,
|  | uint32_t * | pPropertyCount,
|  | VkLayerProperties * | pProperties
| ) |  | const

inline

Definition at line 1873 of file vulkan.hpp.

{
return ::vkEnumerateDeviceLayerProperties( physicalDevice, pPropertyCount, pProperties);
}

References vkEnumerateDeviceLayerProperties().

## vkEnumerateInstanceExtensionProperties()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkEnumerateInstanceExtensionProperties | ( | const char * | pLayerName,
|  | uint32_t * | pPropertyCount,
|  | VkExtensionProperties * | pProperties
| ) |  | const

inline

Definition at line 1877 of file vulkan.hpp.

{
return ::vkEnumerateInstanceExtensionProperties( pLayerName, pPropertyCount, pProperties);
}

References vkEnumerateInstanceExtensionProperties().

## vkEnumerateInstanceLayerProperties()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkEnumerateInstanceLayerProperties | ( | uint32_t * | pPropertyCount,
|  | VkLayerProperties * | pProperties
| ) |  | const

inline

Definition at line 1881 of file vulkan.hpp.

{
return ::vkEnumerateInstanceLayerProperties( pPropertyCount, pProperties);
}

References vkEnumerateInstanceLayerProperties().

## vkEnumerateInstanceVersion()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkEnumerateInstanceVersion | ( | uint32_t * | pApiVersion | ) | const

inline

Definition at line 1885 of file vulkan.hpp.

{
return ::vkEnumerateInstanceVersion( pApiVersion);
}

References vkEnumerateInstanceVersion().

## vkEnumeratePhysicalDeviceGroups()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkEnumeratePhysicalDeviceGroups | ( | VkInstance | instance,
|  | uint32_t * | pPhysicalDeviceGroupCount,
|  | VkPhysicalDeviceGroupProperties * | pPhysicalDeviceGroupProperties
| ) |  | const

inline

Definition at line 1889 of file vulkan.hpp.

{
return ::vkEnumeratePhysicalDeviceGroups( instance, pPhysicalDeviceGroupCount, pPhysicalDeviceGroupProperties);
}

References vkEnumeratePhysicalDeviceGroups().

## vkEnumeratePhysicalDeviceGroupsKHR()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkEnumeratePhysicalDeviceGroupsKHR | ( | VkInstance | instance,
|  | uint32_t * | pPhysicalDeviceGroupCount,
|  | VkPhysicalDeviceGroupProperties * | pPhysicalDeviceGroupProperties
| ) |  | const

inline

Definition at line 1893 of file vulkan.hpp.

{
return ::vkEnumeratePhysicalDeviceGroupsKHR( instance, pPhysicalDeviceGroupCount, pPhysicalDeviceGroupProperties);
}

References vkEnumeratePhysicalDeviceGroupsKHR().

## vkEnumeratePhysicalDevices()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkEnumeratePhysicalDevices | ( | VkInstance | instance,
|  | uint32_t * | pPhysicalDeviceCount,
|  | VkPhysicalDevice * | pPhysicalDevices
| ) |  | const

inline

Definition at line 1897 of file vulkan.hpp.

{
return ::vkEnumeratePhysicalDevices( instance, pPhysicalDeviceCount, pPhysicalDevices);
}

References vkEnumeratePhysicalDevices().

## vkFlushMappedMemoryRanges()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkFlushMappedMemoryRanges | ( | VkDevice | device,
|  | uint32_t | memoryRangeCount,
|  | const VkMappedMemoryRange * | pMemoryRanges
| ) |  | const

inline

Definition at line 1901 of file vulkan.hpp.

{
return ::vkFlushMappedMemoryRanges( device, memoryRangeCount, pMemoryRanges);
}

References device, and vkFlushMappedMemoryRanges().

## vkFreeCommandBuffers()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkFreeCommandBuffers | ( | VkDevice | device,
|  | VkCommandPool | commandPool,
|  | uint32_t | commandBufferCount,
|  | const VkCommandBuffer * | pCommandBuffers
| ) |  | const

inline

Definition at line 1905 of file vulkan.hpp.

{
return ::vkFreeCommandBuffers( device, commandPool, commandBufferCount, pCommandBuffers);
}

References device, and vkFreeCommandBuffers().

## vkFreeDescriptorSets()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkFreeDescriptorSets | ( | VkDevice | device,
|  | VkDescriptorPool | descriptorPool,
|  | uint32_t | descriptorSetCount,
|  | const VkDescriptorSet * | pDescriptorSets
| ) |  | const

inline

Definition at line 1909 of file vulkan.hpp.

{
return ::vkFreeDescriptorSets( device, descriptorPool, descriptorSetCount, pDescriptorSets);
}

References device, and vkFreeDescriptorSets().

## vkFreeMemory()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkFreeMemory | ( | VkDevice | device,
|  | VkDeviceMemory | memory,
|  | const VkAllocationCallbacks * | pAllocator
| ) |  | const

inline

Definition at line 1913 of file vulkan.hpp.

{
return ::vkFreeMemory( device, memory, pAllocator);
}

References device, and vkFreeMemory().

## vkGetAccelerationStructureHandleNV()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetAccelerationStructureHandleNV | ( | VkDevice | device,
|  | VkAccelerationStructureNV | accelerationStructure,
|  | size_t | dataSize,
|  | void * | pData
| ) |  | const

inline

Definition at line 1917 of file vulkan.hpp.

{
return ::vkGetAccelerationStructureHandleNV( device, accelerationStructure, dataSize, pData);
}

References device, and vkGetAccelerationStructureHandleNV().

## vkGetAccelerationStructureMemoryRequirementsNV()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetAccelerationStructureMemoryRequirementsNV | ( | VkDevice | device,
|  | const VkAccelerationStructureMemoryRequirementsInfoNV * | pInfo,
|  | VkMemoryRequirements2KHR * | pMemoryRequirements
| ) |  | const

inline

Definition at line 1921 of file vulkan.hpp.

{
return ::vkGetAccelerationStructureMemoryRequirementsNV( device, pInfo, pMemoryRequirements);
}

References device, and vkGetAccelerationStructureMemoryRequirementsNV().

## vkGetBufferMemoryRequirements()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetBufferMemoryRequirements | ( | VkDevice | device,
|  | VkBuffer | buffer,
|  | VkMemoryRequirements * | pMemoryRequirements
| ) |  | const

inline

Definition at line 1931 of file vulkan.hpp.

{
return ::vkGetBufferMemoryRequirements( device, buffer, pMemoryRequirements);
}

References device, and vkGetBufferMemoryRequirements().

## vkGetBufferMemoryRequirements2()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetBufferMemoryRequirements2 | ( | VkDevice | device,
|  | const VkBufferMemoryRequirementsInfo2 * | pInfo,
|  | VkMemoryRequirements2 * | pMemoryRequirements
| ) |  | const

inline

Definition at line 1935 of file vulkan.hpp.

{
return ::vkGetBufferMemoryRequirements2( device, pInfo, pMemoryRequirements);
}

References device, and vkGetBufferMemoryRequirements2().

## vkGetBufferMemoryRequirements2KHR()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetBufferMemoryRequirements2KHR | ( | VkDevice | device,
|  | const VkBufferMemoryRequirementsInfo2 * | pInfo,
|  | VkMemoryRequirements2 * | pMemoryRequirements
| ) |  | const

inline

Definition at line 1939 of file vulkan.hpp.

{
return ::vkGetBufferMemoryRequirements2KHR( device, pInfo, pMemoryRequirements);
}

References device, and vkGetBufferMemoryRequirements2KHR().

## vkGetCalibratedTimestampsEXT()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetCalibratedTimestampsEXT | ( | VkDevice | device,
|  | uint32_t | timestampCount,
|  | const VkCalibratedTimestampInfoEXT * | pTimestampInfos,
|  | uint64_t * | pTimestamps,
|  | uint64_t * | pMaxDeviation
| ) |  | const

inline

Definition at line 1943 of file vulkan.hpp.

{
return ::vkGetCalibratedTimestampsEXT( device, timestampCount, pTimestampInfos, pTimestamps, pMaxDeviation);
}

References device, and vkGetCalibratedTimestampsEXT().

## vkGetDescriptorSetLayoutSupport()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetDescriptorSetLayoutSupport | ( | VkDevice | device,
|  | const VkDescriptorSetLayoutCreateInfo * | pCreateInfo,
|  | VkDescriptorSetLayoutSupport * | pSupport
| ) |  | const

inline

Definition at line 1947 of file vulkan.hpp.

{
return ::vkGetDescriptorSetLayoutSupport( device, pCreateInfo, pSupport);
}

References device, and vkGetDescriptorSetLayoutSupport().

## vkGetDescriptorSetLayoutSupportKHR()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetDescriptorSetLayoutSupportKHR | ( | VkDevice | device,
|  | const VkDescriptorSetLayoutCreateInfo * | pCreateInfo,
|  | VkDescriptorSetLayoutSupport * | pSupport
| ) |  | const

inline

Definition at line 1951 of file vulkan.hpp.

{
return ::vkGetDescriptorSetLayoutSupportKHR( device, pCreateInfo, pSupport);
}

References device, and vkGetDescriptorSetLayoutSupportKHR().

## vkGetDeviceGroupPeerMemoryFeatures()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetDeviceGroupPeerMemoryFeatures | ( | VkDevice | device,
|  | uint32_t | heapIndex,
|  | uint32_t | localDeviceIndex,
|  | uint32_t | remoteDeviceIndex,
|  | VkPeerMemoryFeatureFlags * | pPeerMemoryFeatures
| ) |  | const

inline

Definition at line 1955 of file vulkan.hpp.

{
return ::vkGetDeviceGroupPeerMemoryFeatures( device, heapIndex, localDeviceIndex, remoteDeviceIndex, pPeerMemoryFeatures);
}

References device, and vkGetDeviceGroupPeerMemoryFeatures().

## vkGetDeviceGroupPeerMemoryFeaturesKHR()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetDeviceGroupPeerMemoryFeaturesKHR | ( | VkDevice | device,
|  | uint32_t | heapIndex,
|  | uint32_t | localDeviceIndex,
|  | uint32_t | remoteDeviceIndex,
|  | VkPeerMemoryFeatureFlags * | pPeerMemoryFeatures
| ) |  | const

inline

Definition at line 1959 of file vulkan.hpp.

{
return ::vkGetDeviceGroupPeerMemoryFeaturesKHR( device, heapIndex, localDeviceIndex, remoteDeviceIndex, pPeerMemoryFeatures);
}

References device, and vkGetDeviceGroupPeerMemoryFeaturesKHR().

## vkGetDeviceGroupPresentCapabilitiesKHR()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetDeviceGroupPresentCapabilitiesKHR | ( | VkDevice | device,
|  | VkDeviceGroupPresentCapabilitiesKHR * | pDeviceGroupPresentCapabilities
| ) |  | const

inline

Definition at line 1963 of file vulkan.hpp.

{
return ::vkGetDeviceGroupPresentCapabilitiesKHR( device, pDeviceGroupPresentCapabilities);
}

References device, and vkGetDeviceGroupPresentCapabilitiesKHR().

## vkGetDeviceGroupSurfacePresentModesKHR()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetDeviceGroupSurfacePresentModesKHR | ( | VkDevice | device,
|  | VkSurfaceKHR | surface,
|  | VkDeviceGroupPresentModeFlagsKHR * | pModes
| ) |  | const

inline

Definition at line 1967 of file vulkan.hpp.

{
return ::vkGetDeviceGroupSurfacePresentModesKHR( device, surface, pModes);
}

References device, and vkGetDeviceGroupSurfacePresentModesKHR().

## vkGetDeviceMemoryCommitment()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetDeviceMemoryCommitment | ( | VkDevice | device,
|  | VkDeviceMemory | memory,
|  | VkDeviceSize * | pCommittedMemoryInBytes
| ) |  | const

inline

Definition at line 1971 of file vulkan.hpp.

{
return ::vkGetDeviceMemoryCommitment( device, memory, pCommittedMemoryInBytes);
}

References device, and vkGetDeviceMemoryCommitment().

## vkGetDeviceProcAddr()

PFN_vkVoidFunction VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetDeviceProcAddr | ( | VkDevice | device,
|  | const char * | pName
| ) |  | const

inline

Definition at line 1975 of file vulkan.hpp.

{
return ::vkGetDeviceProcAddr( device, pName);
}

References device, and vkGetDeviceProcAddr().

## vkGetDeviceQueue()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetDeviceQueue | ( | VkDevice | device,
|  | uint32_t | queueFamilyIndex,
|  | uint32_t | queueIndex,
|  | VkQueue * | pQueue
| ) |  | const

inline

Definition at line 1979 of file vulkan.hpp.

{
return ::vkGetDeviceQueue( device, queueFamilyIndex, queueIndex, pQueue);
}

References device, and vkGetDeviceQueue().

## vkGetDeviceQueue2()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetDeviceQueue2 | ( | VkDevice | device,
|  | const VkDeviceQueueInfo2 * | pQueueInfo,
|  | VkQueue * | pQueue
| ) |  | const

inline

Definition at line 1983 of file vulkan.hpp.

{
return ::vkGetDeviceQueue2( device, pQueueInfo, pQueue);
}

References device, and vkGetDeviceQueue2().

## vkGetDisplayModeProperties2KHR()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetDisplayModeProperties2KHR | ( | VkPhysicalDevice | physicalDevice,
|  | VkDisplayKHR | display,
|  | uint32_t * | pPropertyCount,
|  | VkDisplayModeProperties2KHR * | pProperties
| ) |  | const

inline

Definition at line 1987 of file vulkan.hpp.

{
return ::vkGetDisplayModeProperties2KHR( physicalDevice, display, pPropertyCount, pProperties);
}

References vkGetDisplayModeProperties2KHR().

## vkGetDisplayModePropertiesKHR()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetDisplayModePropertiesKHR | ( | VkPhysicalDevice | physicalDevice,
|  | VkDisplayKHR | display,
|  | uint32_t * | pPropertyCount,
|  | VkDisplayModePropertiesKHR * | pProperties
| ) |  | const

inline

Definition at line 1991 of file vulkan.hpp.

{
return ::vkGetDisplayModePropertiesKHR( physicalDevice, display, pPropertyCount, pProperties);
}

References vkGetDisplayModePropertiesKHR().

## vkGetDisplayPlaneCapabilities2KHR()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetDisplayPlaneCapabilities2KHR | ( | VkPhysicalDevice | physicalDevice,
|  | const VkDisplayPlaneInfo2KHR * | pDisplayPlaneInfo,
|  | VkDisplayPlaneCapabilities2KHR * | pCapabilities
| ) |  | const

inline

Definition at line 1995 of file vulkan.hpp.

{
return ::vkGetDisplayPlaneCapabilities2KHR( physicalDevice, pDisplayPlaneInfo, pCapabilities);
}

References vkGetDisplayPlaneCapabilities2KHR().

## vkGetDisplayPlaneCapabilitiesKHR()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetDisplayPlaneCapabilitiesKHR | ( | VkPhysicalDevice | physicalDevice,
|  | VkDisplayModeKHR | mode,
|  | uint32_t | planeIndex,
|  | VkDisplayPlaneCapabilitiesKHR * | pCapabilities
| ) |  | const

inline

Definition at line 1999 of file vulkan.hpp.

{
return ::vkGetDisplayPlaneCapabilitiesKHR( physicalDevice, mode, planeIndex, pCapabilities);
}

References vkGetDisplayPlaneCapabilitiesKHR().

## vkGetDisplayPlaneSupportedDisplaysKHR()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetDisplayPlaneSupportedDisplaysKHR | ( | VkPhysicalDevice | physicalDevice,
|  | uint32_t | planeIndex,
|  | uint32_t * | pDisplayCount,
|  | VkDisplayKHR * | pDisplays
| ) |  | const

inline

Definition at line 2003 of file vulkan.hpp.

{
return ::vkGetDisplayPlaneSupportedDisplaysKHR( physicalDevice, planeIndex, pDisplayCount, pDisplays);
}

References vkGetDisplayPlaneSupportedDisplaysKHR().

## vkGetEventStatus()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetEventStatus | ( | VkDevice | device,
|  | VkEvent | event
| ) |  | const

inline

Definition at line 2007 of file vulkan.hpp.

{
return ::vkGetEventStatus( device, event);
}

References device, and vkGetEventStatus().

## vkGetFenceFdKHR()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetFenceFdKHR | ( | VkDevice | device,
|  | const VkFenceGetFdInfoKHR * | pGetFdInfo,
|  | int * | pFd
| ) |  | const

inline

Definition at line 2011 of file vulkan.hpp.

{
return ::vkGetFenceFdKHR( device, pGetFdInfo, pFd);
}

References device, and vkGetFenceFdKHR().

## vkGetFenceStatus()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetFenceStatus | ( | VkDevice | device,
|  | VkFence | fence
| ) |  | const

inline

Definition at line 2015 of file vulkan.hpp.

{
return ::vkGetFenceStatus( device, fence);
}

References device, and vkGetFenceStatus().

## vkGetImageDrmFormatModifierPropertiesEXT()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetImageDrmFormatModifierPropertiesEXT | ( | VkDevice | device,
|  | VkImage | image,
|  | VkImageDrmFormatModifierPropertiesEXT * | pProperties
| ) |  | const

inline

Definition at line 2025 of file vulkan.hpp.

{
return ::vkGetImageDrmFormatModifierPropertiesEXT( device, image, pProperties);
}

References device, and vkGetImageDrmFormatModifierPropertiesEXT().

## vkGetImageMemoryRequirements()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetImageMemoryRequirements | ( | VkDevice | device,
|  | VkImage | image,
|  | VkMemoryRequirements * | pMemoryRequirements
| ) |  | const

inline

Definition at line 2029 of file vulkan.hpp.

{
return ::vkGetImageMemoryRequirements( device, image, pMemoryRequirements);
}

References device, and vkGetImageMemoryRequirements().

## vkGetImageMemoryRequirements2()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetImageMemoryRequirements2 | ( | VkDevice | device,
|  | const VkImageMemoryRequirementsInfo2 * | pInfo,
|  | VkMemoryRequirements2 * | pMemoryRequirements
| ) |  | const

inline

Definition at line 2033 of file vulkan.hpp.

{
return ::vkGetImageMemoryRequirements2( device, pInfo, pMemoryRequirements);
}

References device, and vkGetImageMemoryRequirements2().

## vkGetImageMemoryRequirements2KHR()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetImageMemoryRequirements2KHR | ( | VkDevice | device,
|  | const VkImageMemoryRequirementsInfo2 * | pInfo,
|  | VkMemoryRequirements2 * | pMemoryRequirements
| ) |  | const

inline

Definition at line 2037 of file vulkan.hpp.

{
return ::vkGetImageMemoryRequirements2KHR( device, pInfo, pMemoryRequirements);
}

References device, and vkGetImageMemoryRequirements2KHR().

## vkGetImageSparseMemoryRequirements()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetImageSparseMemoryRequirements | ( | VkDevice | device,
|  | VkImage | image,
|  | uint32_t * | pSparseMemoryRequirementCount,
|  | VkSparseImageMemoryRequirements * | pSparseMemoryRequirements
| ) |  | const

inline

Definition at line 2041 of file vulkan.hpp.

{
return ::vkGetImageSparseMemoryRequirements( device, image, pSparseMemoryRequirementCount, pSparseMemoryRequirements);
}

References device, and vkGetImageSparseMemoryRequirements().

## vkGetImageSparseMemoryRequirements2()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetImageSparseMemoryRequirements2 | ( | VkDevice | device,
|  | const VkImageSparseMemoryRequirementsInfo2 * | pInfo,
|  | uint32_t * | pSparseMemoryRequirementCount,
|  | VkSparseImageMemoryRequirements2 * | pSparseMemoryRequirements
| ) |  | const

inline

Definition at line 2045 of file vulkan.hpp.

{
return ::vkGetImageSparseMemoryRequirements2( device, pInfo, pSparseMemoryRequirementCount, pSparseMemoryRequirements);
}

References device, and vkGetImageSparseMemoryRequirements2().

## vkGetImageSparseMemoryRequirements2KHR()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetImageSparseMemoryRequirements2KHR | ( | VkDevice | device,
|  | const VkImageSparseMemoryRequirementsInfo2 * | pInfo,
|  | uint32_t * | pSparseMemoryRequirementCount,
|  | VkSparseImageMemoryRequirements2 * | pSparseMemoryRequirements
| ) |  | const

inline

Definition at line 2049 of file vulkan.hpp.

{
return ::vkGetImageSparseMemoryRequirements2KHR( device, pInfo, pSparseMemoryRequirementCount, pSparseMemoryRequirements);
}

References device, and vkGetImageSparseMemoryRequirements2KHR().

## vkGetImageSubresourceLayout()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetImageSubresourceLayout | ( | VkDevice | device,
|  | VkImage | image,
|  | const VkImageSubresource * | pSubresource,
|  | VkSubresourceLayout * | pLayout
| ) |  | const

inline

Definition at line 2053 of file vulkan.hpp.

{
return ::vkGetImageSubresourceLayout( device, image, pSubresource, pLayout);
}

References device, and vkGetImageSubresourceLayout().

## vkGetInstanceProcAddr()

PFN_vkVoidFunction VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetInstanceProcAddr | ( | VkInstance | instance,
|  | const char * | pName
| ) |  | const

inline

Definition at line 2057 of file vulkan.hpp.

{
return ::vkGetInstanceProcAddr( instance, pName);
}

References vkGetInstanceProcAddr().

## vkGetMemoryFdKHR()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetMemoryFdKHR | ( | VkDevice | device,
|  | const VkMemoryGetFdInfoKHR * | pGetFdInfo,
|  | int * | pFd
| ) |  | const

inline

Definition at line 2067 of file vulkan.hpp.

{
return ::vkGetMemoryFdKHR( device, pGetFdInfo, pFd);
}

References device, and vkGetMemoryFdKHR().

## vkGetMemoryFdPropertiesKHR()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetMemoryFdPropertiesKHR | ( | VkDevice | device,
|  | VkExternalMemoryHandleTypeFlagBits | handleType,
|  | int | fd,
|  | VkMemoryFdPropertiesKHR * | pMemoryFdProperties
| ) |  | const

inline

Definition at line 2071 of file vulkan.hpp.

{
return ::vkGetMemoryFdPropertiesKHR( device, handleType, fd, pMemoryFdProperties);
}

References device, and vkGetMemoryFdPropertiesKHR().

## vkGetMemoryHostPointerPropertiesEXT()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetMemoryHostPointerPropertiesEXT | ( | VkDevice | device,
|  | VkExternalMemoryHandleTypeFlagBits | handleType,
|  | const void * | pHostPointer,
|  | VkMemoryHostPointerPropertiesEXT * | pMemoryHostPointerProperties
| ) |  | const

inline

Definition at line 2075 of file vulkan.hpp.

{
return ::vkGetMemoryHostPointerPropertiesEXT( device, handleType, pHostPointer, pMemoryHostPointerProperties);
}

References device, and vkGetMemoryHostPointerPropertiesEXT().

## vkGetPastPresentationTimingGOOGLE()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetPastPresentationTimingGOOGLE | ( | VkDevice | device,
|  | VkSwapchainKHR | swapchain,
|  | uint32_t * | pPresentationTimingCount,
|  | VkPastPresentationTimingGOOGLE * | pPresentationTimings
| ) |  | const

inline

Definition at line 2097 of file vulkan.hpp.

{
return ::vkGetPastPresentationTimingGOOGLE( device, swapchain, pPresentationTimingCount, pPresentationTimings);
}

References device, and vkGetPastPresentationTimingGOOGLE().

## vkGetPhysicalDeviceCalibrateableTimeDomainsEXT()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetPhysicalDeviceCalibrateableTimeDomainsEXT | ( | VkPhysicalDevice | physicalDevice,
|  | uint32_t * | pTimeDomainCount,
|  | VkTimeDomainEXT * | pTimeDomains
| ) |  | const

inline

Definition at line 2101 of file vulkan.hpp.

{
return ::vkGetPhysicalDeviceCalibrateableTimeDomainsEXT( physicalDevice, pTimeDomainCount, pTimeDomains);
}

References vkGetPhysicalDeviceCalibrateableTimeDomainsEXT().

## vkGetPhysicalDeviceDisplayPlaneProperties2KHR()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetPhysicalDeviceDisplayPlaneProperties2KHR | ( | VkPhysicalDevice | physicalDevice,
|  | uint32_t * | pPropertyCount,
|  | VkDisplayPlaneProperties2KHR * | pProperties
| ) |  | const

inline

Definition at line 2105 of file vulkan.hpp.

{
return ::vkGetPhysicalDeviceDisplayPlaneProperties2KHR( physicalDevice, pPropertyCount, pProperties);
}

References vkGetPhysicalDeviceDisplayPlaneProperties2KHR().

## vkGetPhysicalDeviceDisplayPlanePropertiesKHR()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetPhysicalDeviceDisplayPlanePropertiesKHR | ( | VkPhysicalDevice | physicalDevice,
|  | uint32_t * | pPropertyCount,
|  | VkDisplayPlanePropertiesKHR * | pProperties
| ) |  | const

inline

Definition at line 2109 of file vulkan.hpp.

{
return ::vkGetPhysicalDeviceDisplayPlanePropertiesKHR( physicalDevice, pPropertyCount, pProperties);
}

References vkGetPhysicalDeviceDisplayPlanePropertiesKHR().

## vkGetPhysicalDeviceDisplayProperties2KHR()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetPhysicalDeviceDisplayProperties2KHR | ( | VkPhysicalDevice | physicalDevice,
|  | uint32_t * | pPropertyCount,
|  | VkDisplayProperties2KHR * | pProperties
| ) |  | const

inline

Definition at line 2113 of file vulkan.hpp.

{
return ::vkGetPhysicalDeviceDisplayProperties2KHR( physicalDevice, pPropertyCount, pProperties);
}

References vkGetPhysicalDeviceDisplayProperties2KHR().

## vkGetPhysicalDeviceDisplayPropertiesKHR()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetPhysicalDeviceDisplayPropertiesKHR | ( | VkPhysicalDevice | physicalDevice,
|  | uint32_t * | pPropertyCount,
|  | VkDisplayPropertiesKHR * | pProperties
| ) |  | const

inline

Definition at line 2117 of file vulkan.hpp.

{
return ::vkGetPhysicalDeviceDisplayPropertiesKHR( physicalDevice, pPropertyCount, pProperties);
}

References vkGetPhysicalDeviceDisplayPropertiesKHR().

## vkGetPhysicalDeviceExternalBufferProperties()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetPhysicalDeviceExternalBufferProperties | ( | VkPhysicalDevice | physicalDevice,
|  | const VkPhysicalDeviceExternalBufferInfo * | pExternalBufferInfo,
|  | VkExternalBufferProperties * | pExternalBufferProperties
| ) |  | const

inline

Definition at line 2121 of file vulkan.hpp.

{
return ::vkGetPhysicalDeviceExternalBufferProperties( physicalDevice, pExternalBufferInfo, pExternalBufferProperties);
}

References vkGetPhysicalDeviceExternalBufferProperties().

## vkGetPhysicalDeviceExternalBufferPropertiesKHR()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetPhysicalDeviceExternalBufferPropertiesKHR | ( | VkPhysicalDevice | physicalDevice,
|  | const VkPhysicalDeviceExternalBufferInfo * | pExternalBufferInfo,
|  | VkExternalBufferProperties * | pExternalBufferProperties
| ) |  | const

inline

Definition at line 2125 of file vulkan.hpp.

{
return ::vkGetPhysicalDeviceExternalBufferPropertiesKHR( physicalDevice, pExternalBufferInfo, pExternalBufferProperties);
}

References vkGetPhysicalDeviceExternalBufferPropertiesKHR().

## vkGetPhysicalDeviceExternalFenceProperties()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetPhysicalDeviceExternalFenceProperties | ( | VkPhysicalDevice | physicalDevice,
|  | const VkPhysicalDeviceExternalFenceInfo * | pExternalFenceInfo,
|  | VkExternalFenceProperties * | pExternalFenceProperties
| ) |  | const

inline

Definition at line 2129 of file vulkan.hpp.

{
return ::vkGetPhysicalDeviceExternalFenceProperties( physicalDevice, pExternalFenceInfo, pExternalFenceProperties);
}

References vkGetPhysicalDeviceExternalFenceProperties().

## vkGetPhysicalDeviceExternalFencePropertiesKHR()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetPhysicalDeviceExternalFencePropertiesKHR | ( | VkPhysicalDevice | physicalDevice,
|  | const VkPhysicalDeviceExternalFenceInfo * | pExternalFenceInfo,
|  | VkExternalFenceProperties * | pExternalFenceProperties
| ) |  | const

inline

Definition at line 2133 of file vulkan.hpp.

{
return ::vkGetPhysicalDeviceExternalFencePropertiesKHR( physicalDevice, pExternalFenceInfo, pExternalFenceProperties);
}

References vkGetPhysicalDeviceExternalFencePropertiesKHR().

## vkGetPhysicalDeviceExternalImageFormatPropertiesNV()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetPhysicalDeviceExternalImageFormatPropertiesNV | ( | VkPhysicalDevice | physicalDevice,
|  | VkFormat | format,
|  | VkImageType | type,
|  | VkImageTiling | tiling,
|  | VkImageUsageFlags | usage,
|  | VkImageCreateFlags | flags,
|  | VkExternalMemoryHandleTypeFlagsNV | externalHandleType,
|  | VkExternalImageFormatPropertiesNV * | pExternalImageFormatProperties
| ) |  | const

inline

Definition at line 2137 of file vulkan.hpp.

{
return ::vkGetPhysicalDeviceExternalImageFormatPropertiesNV( physicalDevice, format, type, tiling, usage, flags, externalHandleType, pExternalImageFormatProperties);
}

References vkGetPhysicalDeviceExternalImageFormatPropertiesNV().

## vkGetPhysicalDeviceExternalSemaphoreProperties()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetPhysicalDeviceExternalSemaphoreProperties | ( | VkPhysicalDevice | physicalDevice,
|  | const VkPhysicalDeviceExternalSemaphoreInfo * | pExternalSemaphoreInfo,
|  | VkExternalSemaphoreProperties * | pExternalSemaphoreProperties
| ) |  | const

inline

Definition at line 2141 of file vulkan.hpp.

{
return ::vkGetPhysicalDeviceExternalSemaphoreProperties( physicalDevice, pExternalSemaphoreInfo, pExternalSemaphoreProperties);
}

References vkGetPhysicalDeviceExternalSemaphoreProperties().

## vkGetPhysicalDeviceExternalSemaphorePropertiesKHR()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetPhysicalDeviceExternalSemaphorePropertiesKHR | ( | VkPhysicalDevice | physicalDevice,
|  | const VkPhysicalDeviceExternalSemaphoreInfo * | pExternalSemaphoreInfo,
|  | VkExternalSemaphoreProperties * | pExternalSemaphoreProperties
| ) |  | const

inline

Definition at line 2145 of file vulkan.hpp.

{
return ::vkGetPhysicalDeviceExternalSemaphorePropertiesKHR( physicalDevice, pExternalSemaphoreInfo, pExternalSemaphoreProperties);
}

References vkGetPhysicalDeviceExternalSemaphorePropertiesKHR().

## vkGetPhysicalDeviceFeatures()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetPhysicalDeviceFeatures | ( | VkPhysicalDevice | physicalDevice,
|  | VkPhysicalDeviceFeatures * | pFeatures
| ) |  | const

inline

Definition at line 2149 of file vulkan.hpp.

{
return ::vkGetPhysicalDeviceFeatures( physicalDevice, pFeatures);
}

References vkGetPhysicalDeviceFeatures().

## vkGetPhysicalDeviceFeatures2()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetPhysicalDeviceFeatures2 | ( | VkPhysicalDevice | physicalDevice,
|  | VkPhysicalDeviceFeatures2 * | pFeatures
| ) |  | const

inline

Definition at line 2153 of file vulkan.hpp.

{
return ::vkGetPhysicalDeviceFeatures2( physicalDevice, pFeatures);
}

References vkGetPhysicalDeviceFeatures2().

## vkGetPhysicalDeviceFeatures2KHR()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetPhysicalDeviceFeatures2KHR | ( | VkPhysicalDevice | physicalDevice,
|  | VkPhysicalDeviceFeatures2 * | pFeatures
| ) |  | const

inline

Definition at line 2157 of file vulkan.hpp.

{
return ::vkGetPhysicalDeviceFeatures2KHR( physicalDevice, pFeatures);
}

References vkGetPhysicalDeviceFeatures2KHR().

## vkGetPhysicalDeviceFormatProperties()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetPhysicalDeviceFormatProperties | ( | VkPhysicalDevice | physicalDevice,
|  | VkFormat | format,
|  | VkFormatProperties * | pFormatProperties
| ) |  | const

inline

Definition at line 2161 of file vulkan.hpp.

{
return ::vkGetPhysicalDeviceFormatProperties( physicalDevice, format, pFormatProperties);
}

References vkGetPhysicalDeviceFormatProperties().

## vkGetPhysicalDeviceFormatProperties2()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetPhysicalDeviceFormatProperties2 | ( | VkPhysicalDevice | physicalDevice,
|  | VkFormat | format,
|  | VkFormatProperties2 * | pFormatProperties
| ) |  | const

inline

Definition at line 2165 of file vulkan.hpp.

{
return ::vkGetPhysicalDeviceFormatProperties2( physicalDevice, format, pFormatProperties);
}

References vkGetPhysicalDeviceFormatProperties2().

## vkGetPhysicalDeviceFormatProperties2KHR()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetPhysicalDeviceFormatProperties2KHR | ( | VkPhysicalDevice | physicalDevice,
|  | VkFormat | format,
|  | VkFormatProperties2 * | pFormatProperties
| ) |  | const

inline

Definition at line 2169 of file vulkan.hpp.

{
return ::vkGetPhysicalDeviceFormatProperties2KHR( physicalDevice, format, pFormatProperties);
}

References vkGetPhysicalDeviceFormatProperties2KHR().

## vkGetPhysicalDeviceGeneratedCommandsPropertiesNVX()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetPhysicalDeviceGeneratedCommandsPropertiesNVX | ( | VkPhysicalDevice | physicalDevice,
|  | VkDeviceGeneratedCommandsFeaturesNVX * | pFeatures,
|  | VkDeviceGeneratedCommandsLimitsNVX * | pLimits
| ) |  | const

inline

Definition at line 2173 of file vulkan.hpp.

{
return ::vkGetPhysicalDeviceGeneratedCommandsPropertiesNVX( physicalDevice, pFeatures, pLimits);
}

References vkGetPhysicalDeviceGeneratedCommandsPropertiesNVX().

## vkGetPhysicalDeviceImageFormatProperties()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetPhysicalDeviceImageFormatProperties | ( | VkPhysicalDevice | physicalDevice,
|  | VkFormat | format,
|  | VkImageType | type,
|  | VkImageTiling | tiling,
|  | VkImageUsageFlags | usage,
|  | VkImageCreateFlags | flags,
|  | VkImageFormatProperties * | pImageFormatProperties
| ) |  | const

inline

Definition at line 2177 of file vulkan.hpp.

{
return ::vkGetPhysicalDeviceImageFormatProperties( physicalDevice, format, type, tiling, usage, flags, pImageFormatProperties);
}

References vkGetPhysicalDeviceImageFormatProperties().

## vkGetPhysicalDeviceImageFormatProperties2()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetPhysicalDeviceImageFormatProperties2 | ( | VkPhysicalDevice | physicalDevice,
|  | const VkPhysicalDeviceImageFormatInfo2 * | pImageFormatInfo,
|  | VkImageFormatProperties2 * | pImageFormatProperties
| ) |  | const

inline

Definition at line 2181 of file vulkan.hpp.

{
return ::vkGetPhysicalDeviceImageFormatProperties2( physicalDevice, pImageFormatInfo, pImageFormatProperties);
}

References vkGetPhysicalDeviceImageFormatProperties2().

## vkGetPhysicalDeviceImageFormatProperties2KHR()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetPhysicalDeviceImageFormatProperties2KHR | ( | VkPhysicalDevice | physicalDevice,
|  | const VkPhysicalDeviceImageFormatInfo2 * | pImageFormatInfo,
|  | VkImageFormatProperties2 * | pImageFormatProperties
| ) |  | const

inline

Definition at line 2185 of file vulkan.hpp.

{
return ::vkGetPhysicalDeviceImageFormatProperties2KHR( physicalDevice, pImageFormatInfo, pImageFormatProperties);
}

References vkGetPhysicalDeviceImageFormatProperties2KHR().

## vkGetPhysicalDeviceMemoryProperties()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetPhysicalDeviceMemoryProperties | ( | VkPhysicalDevice | physicalDevice,
|  | VkPhysicalDeviceMemoryProperties * | pMemoryProperties
| ) |  | const

inline

Definition at line 2189 of file vulkan.hpp.

{
return ::vkGetPhysicalDeviceMemoryProperties( physicalDevice, pMemoryProperties);
}

References vkGetPhysicalDeviceMemoryProperties().

## vkGetPhysicalDeviceMemoryProperties2()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetPhysicalDeviceMemoryProperties2 | ( | VkPhysicalDevice | physicalDevice,
|  | VkPhysicalDeviceMemoryProperties2 * | pMemoryProperties
| ) |  | const

inline

Definition at line 2193 of file vulkan.hpp.

{
return ::vkGetPhysicalDeviceMemoryProperties2( physicalDevice, pMemoryProperties);
}

References vkGetPhysicalDeviceMemoryProperties2().

## vkGetPhysicalDeviceMemoryProperties2KHR()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetPhysicalDeviceMemoryProperties2KHR | ( | VkPhysicalDevice | physicalDevice,
|  | VkPhysicalDeviceMemoryProperties2 * | pMemoryProperties
| ) |  | const

inline

Definition at line 2197 of file vulkan.hpp.

{
return ::vkGetPhysicalDeviceMemoryProperties2KHR( physicalDevice, pMemoryProperties);
}

References vkGetPhysicalDeviceMemoryProperties2KHR().

## vkGetPhysicalDeviceMultisamplePropertiesEXT()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetPhysicalDeviceMultisamplePropertiesEXT | ( | VkPhysicalDevice | physicalDevice,
|  | VkSampleCountFlagBits | samples,
|  | VkMultisamplePropertiesEXT * | pMultisampleProperties
| ) |  | const

inline

Definition at line 2201 of file vulkan.hpp.

{
return ::vkGetPhysicalDeviceMultisamplePropertiesEXT( physicalDevice, samples, pMultisampleProperties);
}

References vkGetPhysicalDeviceMultisamplePropertiesEXT().

## vkGetPhysicalDevicePresentRectanglesKHR()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetPhysicalDevicePresentRectanglesKHR | ( | VkPhysicalDevice | physicalDevice,
|  | VkSurfaceKHR | surface,
|  | uint32_t * | pRectCount,
|  | VkRect2D * | pRects
| ) |  | const

inline

Definition at line 2205 of file vulkan.hpp.

{
return ::vkGetPhysicalDevicePresentRectanglesKHR( physicalDevice, surface, pRectCount, pRects);
}

References vkGetPhysicalDevicePresentRectanglesKHR().

## vkGetPhysicalDeviceProperties()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetPhysicalDeviceProperties | ( | VkPhysicalDevice | physicalDevice,
|  | VkPhysicalDeviceProperties * | pProperties
| ) |  | const

inline

Definition at line 2209 of file vulkan.hpp.

{
return ::vkGetPhysicalDeviceProperties( physicalDevice, pProperties);
}

References vkGetPhysicalDeviceProperties().

## vkGetPhysicalDeviceProperties2()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetPhysicalDeviceProperties2 | ( | VkPhysicalDevice | physicalDevice,
|  | VkPhysicalDeviceProperties2 * | pProperties
| ) |  | const

inline

Definition at line 2213 of file vulkan.hpp.

{
return ::vkGetPhysicalDeviceProperties2( physicalDevice, pProperties);
}

References vkGetPhysicalDeviceProperties2().

## vkGetPhysicalDeviceProperties2KHR()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetPhysicalDeviceProperties2KHR | ( | VkPhysicalDevice | physicalDevice,
|  | VkPhysicalDeviceProperties2 * | pProperties
| ) |  | const

inline

Definition at line 2217 of file vulkan.hpp.

{
return ::vkGetPhysicalDeviceProperties2KHR( physicalDevice, pProperties);
}

References vkGetPhysicalDeviceProperties2KHR().

## vkGetPhysicalDeviceQueueFamilyProperties()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetPhysicalDeviceQueueFamilyProperties | ( | VkPhysicalDevice | physicalDevice,
|  | uint32_t * | pQueueFamilyPropertyCount,
|  | VkQueueFamilyProperties * | pQueueFamilyProperties
| ) |  | const

inline

Definition at line 2221 of file vulkan.hpp.

{
return ::vkGetPhysicalDeviceQueueFamilyProperties( physicalDevice, pQueueFamilyPropertyCount, pQueueFamilyProperties);
}

References vkGetPhysicalDeviceQueueFamilyProperties().

## vkGetPhysicalDeviceQueueFamilyProperties2()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetPhysicalDeviceQueueFamilyProperties2 | ( | VkPhysicalDevice | physicalDevice,
|  | uint32_t * | pQueueFamilyPropertyCount,
|  | VkQueueFamilyProperties2 * | pQueueFamilyProperties
| ) |  | const

inline

Definition at line 2225 of file vulkan.hpp.

{
return ::vkGetPhysicalDeviceQueueFamilyProperties2( physicalDevice, pQueueFamilyPropertyCount, pQueueFamilyProperties);
}

References vkGetPhysicalDeviceQueueFamilyProperties2().

## vkGetPhysicalDeviceQueueFamilyProperties2KHR()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetPhysicalDeviceQueueFamilyProperties2KHR | ( | VkPhysicalDevice | physicalDevice,
|  | uint32_t * | pQueueFamilyPropertyCount,
|  | VkQueueFamilyProperties2 * | pQueueFamilyProperties
| ) |  | const

inline

Definition at line 2229 of file vulkan.hpp.

{
return ::vkGetPhysicalDeviceQueueFamilyProperties2KHR( physicalDevice, pQueueFamilyPropertyCount, pQueueFamilyProperties);
}

References vkGetPhysicalDeviceQueueFamilyProperties2KHR().

## vkGetPhysicalDeviceSparseImageFormatProperties()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetPhysicalDeviceSparseImageFormatProperties | ( | VkPhysicalDevice | physicalDevice,
|  | VkFormat | format,
|  | VkImageType | type,
|  | VkSampleCountFlagBits | samples,
|  | VkImageUsageFlags | usage,
|  | VkImageTiling | tiling,
|  | uint32_t * | pPropertyCount,
|  | VkSparseImageFormatProperties * | pProperties
| ) |  | const

inline

Definition at line 2233 of file vulkan.hpp.

{
return ::vkGetPhysicalDeviceSparseImageFormatProperties( physicalDevice, format, type, samples, usage, tiling, pPropertyCount, pProperties);
}

References vkGetPhysicalDeviceSparseImageFormatProperties().

## vkGetPhysicalDeviceSparseImageFormatProperties2()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetPhysicalDeviceSparseImageFormatProperties2 | ( | VkPhysicalDevice | physicalDevice,
|  | const VkPhysicalDeviceSparseImageFormatInfo2 * | pFormatInfo,
|  | uint32_t * | pPropertyCount,
|  | VkSparseImageFormatProperties2 * | pProperties
| ) |  | const

inline

Definition at line 2237 of file vulkan.hpp.

{
return ::vkGetPhysicalDeviceSparseImageFormatProperties2( physicalDevice, pFormatInfo, pPropertyCount, pProperties);
}

References vkGetPhysicalDeviceSparseImageFormatProperties2().

## vkGetPhysicalDeviceSparseImageFormatProperties2KHR()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetPhysicalDeviceSparseImageFormatProperties2KHR | ( | VkPhysicalDevice | physicalDevice,
|  | const VkPhysicalDeviceSparseImageFormatInfo2 * | pFormatInfo,
|  | uint32_t * | pPropertyCount,
|  | VkSparseImageFormatProperties2 * | pProperties
| ) |  | const

inline

Definition at line 2241 of file vulkan.hpp.

{
return ::vkGetPhysicalDeviceSparseImageFormatProperties2KHR( physicalDevice, pFormatInfo, pPropertyCount, pProperties);
}

References vkGetPhysicalDeviceSparseImageFormatProperties2KHR().

## vkGetPhysicalDeviceSurfaceCapabilities2EXT()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetPhysicalDeviceSurfaceCapabilities2EXT | ( | VkPhysicalDevice | physicalDevice,
|  | VkSurfaceKHR | surface,
|  | VkSurfaceCapabilities2EXT * | pSurfaceCapabilities
| ) |  | const

inline

Definition at line 2245 of file vulkan.hpp.

{
return ::vkGetPhysicalDeviceSurfaceCapabilities2EXT( physicalDevice, surface, pSurfaceCapabilities);
}

References vkGetPhysicalDeviceSurfaceCapabilities2EXT().

## vkGetPhysicalDeviceSurfaceCapabilities2KHR()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetPhysicalDeviceSurfaceCapabilities2KHR | ( | VkPhysicalDevice | physicalDevice,
|  | const VkPhysicalDeviceSurfaceInfo2KHR * | pSurfaceInfo,
|  | VkSurfaceCapabilities2KHR * | pSurfaceCapabilities
| ) |  | const

inline

Definition at line 2249 of file vulkan.hpp.

{
return ::vkGetPhysicalDeviceSurfaceCapabilities2KHR( physicalDevice, pSurfaceInfo, pSurfaceCapabilities);
}

References vkGetPhysicalDeviceSurfaceCapabilities2KHR().

## vkGetPhysicalDeviceSurfaceCapabilitiesKHR()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetPhysicalDeviceSurfaceCapabilitiesKHR | ( | VkPhysicalDevice | physicalDevice,
|  | VkSurfaceKHR | surface,
|  | VkSurfaceCapabilitiesKHR * | pSurfaceCapabilities
| ) |  | const

inline

Definition at line 2253 of file vulkan.hpp.

{
return ::vkGetPhysicalDeviceSurfaceCapabilitiesKHR( physicalDevice, surface, pSurfaceCapabilities);
}

References vkGetPhysicalDeviceSurfaceCapabilitiesKHR().

## vkGetPhysicalDeviceSurfaceFormats2KHR()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetPhysicalDeviceSurfaceFormats2KHR | ( | VkPhysicalDevice | physicalDevice,
|  | const VkPhysicalDeviceSurfaceInfo2KHR * | pSurfaceInfo,
|  | uint32_t * | pSurfaceFormatCount,
|  | VkSurfaceFormat2KHR * | pSurfaceFormats
| ) |  | const

inline

Definition at line 2257 of file vulkan.hpp.

{
return ::vkGetPhysicalDeviceSurfaceFormats2KHR( physicalDevice, pSurfaceInfo, pSurfaceFormatCount, pSurfaceFormats);
}

References vkGetPhysicalDeviceSurfaceFormats2KHR().

## vkGetPhysicalDeviceSurfaceFormatsKHR()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetPhysicalDeviceSurfaceFormatsKHR | ( | VkPhysicalDevice | physicalDevice,
|  | VkSurfaceKHR | surface,
|  | uint32_t * | pSurfaceFormatCount,
|  | VkSurfaceFormatKHR * | pSurfaceFormats
| ) |  | const

inline

Definition at line 2261 of file vulkan.hpp.

{
return ::vkGetPhysicalDeviceSurfaceFormatsKHR( physicalDevice, surface, pSurfaceFormatCount, pSurfaceFormats);
}

References vkGetPhysicalDeviceSurfaceFormatsKHR().

## vkGetPhysicalDeviceSurfacePresentModesKHR()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetPhysicalDeviceSurfacePresentModesKHR | ( | VkPhysicalDevice | physicalDevice,
|  | VkSurfaceKHR | surface,
|  | uint32_t * | pPresentModeCount,
|  | VkPresentModeKHR * | pPresentModes
| ) |  | const

inline

Definition at line 2265 of file vulkan.hpp.

{
return ::vkGetPhysicalDeviceSurfacePresentModesKHR( physicalDevice, surface, pPresentModeCount, pPresentModes);
}

References vkGetPhysicalDeviceSurfacePresentModesKHR().

## vkGetPhysicalDeviceSurfaceSupportKHR()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetPhysicalDeviceSurfaceSupportKHR | ( | VkPhysicalDevice | physicalDevice,
|  | uint32_t | queueFamilyIndex,
|  | VkSurfaceKHR | surface,
|  | VkBool32 * | pSupported
| ) |  | const

inline

Definition at line 2269 of file vulkan.hpp.

{
return ::vkGetPhysicalDeviceSurfaceSupportKHR( physicalDevice, queueFamilyIndex, surface, pSupported);
}

References vkGetPhysicalDeviceSurfaceSupportKHR().

## vkGetPipelineCacheData()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetPipelineCacheData | ( | VkDevice | device,
|  | VkPipelineCache | pipelineCache,
|  | size_t * | pDataSize,
|  | void * | pData
| ) |  | const

inline

Definition at line 2297 of file vulkan.hpp.

{
return ::vkGetPipelineCacheData( device, pipelineCache, pDataSize, pData);
}

References device, and vkGetPipelineCacheData().

## vkGetQueryPoolResults()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetQueryPoolResults | ( | VkDevice | device,
|  | VkQueryPool | queryPool,
|  | uint32_t | firstQuery,
|  | uint32_t | queryCount,
|  | size_t | dataSize,
|  | void * | pData,
|  | VkDeviceSize | stride,
|  | VkQueryResultFlags | flags
| ) |  | const

inline

Definition at line 2301 of file vulkan.hpp.

{
return ::vkGetQueryPoolResults( device, queryPool, firstQuery, queryCount, dataSize, pData, stride, flags);
}

References device, and vkGetQueryPoolResults().

## vkGetQueueCheckpointDataNV()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetQueueCheckpointDataNV | ( | VkQueue | queue,
|  | uint32_t * | pCheckpointDataCount,
|  | VkCheckpointDataNV * | pCheckpointData
| ) |  | const

inline

Definition at line 2305 of file vulkan.hpp.

{
return ::vkGetQueueCheckpointDataNV( queue, pCheckpointDataCount, pCheckpointData);
}

References vkGetQueueCheckpointDataNV().

## vkGetRayTracingShaderGroupHandlesNV()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetRayTracingShaderGroupHandlesNV | ( | VkDevice | device,
|  | VkPipeline | pipeline,
|  | uint32_t | firstGroup,
|  | uint32_t | groupCount,
|  | size_t | dataSize,
|  | void * | pData
| ) |  | const

inline

Definition at line 2315 of file vulkan.hpp.

{
return ::vkGetRayTracingShaderGroupHandlesNV( device, pipeline, firstGroup, groupCount, dataSize, pData);
}

References device, and vkGetRayTracingShaderGroupHandlesNV().

## vkGetRefreshCycleDurationGOOGLE()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetRefreshCycleDurationGOOGLE | ( | VkDevice | device,
|  | VkSwapchainKHR | swapchain,
|  | VkRefreshCycleDurationGOOGLE * | pDisplayTimingProperties
| ) |  | const

inline

Definition at line 2319 of file vulkan.hpp.

{
return ::vkGetRefreshCycleDurationGOOGLE( device, swapchain, pDisplayTimingProperties);
}

References device, and vkGetRefreshCycleDurationGOOGLE().

## vkGetRenderAreaGranularity()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetRenderAreaGranularity | ( | VkDevice | device,
|  | VkRenderPass | renderPass,
|  | VkExtent2D * | pGranularity
| ) |  | const

inline

Definition at line 2323 of file vulkan.hpp.

{
return ::vkGetRenderAreaGranularity( device, renderPass, pGranularity);
}

References device, and vkGetRenderAreaGranularity().

## vkGetSemaphoreFdKHR()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetSemaphoreFdKHR | ( | VkDevice | device,
|  | const VkSemaphoreGetFdInfoKHR * | pGetFdInfo,
|  | int * | pFd
| ) |  | const

inline

Definition at line 2327 of file vulkan.hpp.

{
return ::vkGetSemaphoreFdKHR( device, pGetFdInfo, pFd);
}

References device, and vkGetSemaphoreFdKHR().

## vkGetShaderInfoAMD()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetShaderInfoAMD | ( | VkDevice | device,
|  | VkPipeline | pipeline,
|  | VkShaderStageFlagBits | shaderStage,
|  | VkShaderInfoTypeAMD | infoType,
|  | size_t * | pInfoSize,
|  | void * | pInfo
| ) |  | const

inline

Definition at line 2337 of file vulkan.hpp.

{
return ::vkGetShaderInfoAMD( device, pipeline, shaderStage, infoType, pInfoSize, pInfo);
}

References device, and vkGetShaderInfoAMD().

## vkGetSwapchainCounterEXT()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetSwapchainCounterEXT | ( | VkDevice | device,
|  | VkSwapchainKHR | swapchain,
|  | VkSurfaceCounterFlagBitsEXT | counter,
|  | uint64_t * | pCounterValue
| ) |  | const

inline

Definition at line 2341 of file vulkan.hpp.

{
return ::vkGetSwapchainCounterEXT( device, swapchain, counter, pCounterValue);
}

References device, and vkGetSwapchainCounterEXT().

## vkGetSwapchainImagesKHR()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetSwapchainImagesKHR | ( | VkDevice | device,
|  | VkSwapchainKHR | swapchain,
|  | uint32_t * | pSwapchainImageCount,
|  | VkImage * | pSwapchainImages
| ) |  | const

inline

Definition at line 2345 of file vulkan.hpp.

{
return ::vkGetSwapchainImagesKHR( device, swapchain, pSwapchainImageCount, pSwapchainImages);
}

References device, and vkGetSwapchainImagesKHR().

## vkGetSwapchainStatusKHR()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetSwapchainStatusKHR | ( | VkDevice | device,
|  | VkSwapchainKHR | swapchain
| ) |  | const

inline

Definition at line 2349 of file vulkan.hpp.

{
return ::vkGetSwapchainStatusKHR( device, swapchain);
}

References device, and vkGetSwapchainStatusKHR().

## vkGetValidationCacheDataEXT()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkGetValidationCacheDataEXT | ( | VkDevice | device,
|  | VkValidationCacheEXT | validationCache,
|  | size_t * | pDataSize,
|  | void * | pData
| ) |  | const

inline

Definition at line 2353 of file vulkan.hpp.

{
return ::vkGetValidationCacheDataEXT( device, validationCache, pDataSize, pData);
}

References device, and vkGetValidationCacheDataEXT().

## vkImportFenceFdKHR()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkImportFenceFdKHR | ( | VkDevice | device,
|  | const VkImportFenceFdInfoKHR * | pImportFenceFdInfo
| ) |  | const

inline

Definition at line 2357 of file vulkan.hpp.

{
return ::vkImportFenceFdKHR( device, pImportFenceFdInfo);
}

References device, and vkImportFenceFdKHR().

## vkImportSemaphoreFdKHR()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkImportSemaphoreFdKHR | ( | VkDevice | device,
|  | const VkImportSemaphoreFdInfoKHR * | pImportSemaphoreFdInfo
| ) |  | const

inline

Definition at line 2367 of file vulkan.hpp.

{
return ::vkImportSemaphoreFdKHR( device, pImportSemaphoreFdInfo);
}

References device, and vkImportSemaphoreFdKHR().

## vkInvalidateMappedMemoryRanges()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkInvalidateMappedMemoryRanges | ( | VkDevice | device,
|  | uint32_t | memoryRangeCount,
|  | const VkMappedMemoryRange * | pMemoryRanges
| ) |  | const

inline

Definition at line 2377 of file vulkan.hpp.

{
return ::vkInvalidateMappedMemoryRanges( device, memoryRangeCount, pMemoryRanges);
}

References device, and vkInvalidateMappedMemoryRanges().

## vkMapMemory()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkMapMemory | ( | VkDevice | device,
|  | VkDeviceMemory | memory,
|  | VkDeviceSize | offset,
|  | VkDeviceSize | size,
|  | VkMemoryMapFlags | flags,
|  | void ** | ppData
| ) |  | const

inline

Definition at line 2381 of file vulkan.hpp.

{
return ::vkMapMemory( device, memory, offset, size, flags, ppData);
}

References device, and vkMapMemory().

## vkMergePipelineCaches()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkMergePipelineCaches | ( | VkDevice | device,
|  | VkPipelineCache | dstCache,
|  | uint32_t | srcCacheCount,
|  | const VkPipelineCache * | pSrcCaches
| ) |  | const

inline

Definition at line 2385 of file vulkan.hpp.

{
return ::vkMergePipelineCaches( device, dstCache, srcCacheCount, pSrcCaches);
}

References device, and vkMergePipelineCaches().

## vkMergeValidationCachesEXT()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkMergeValidationCachesEXT | ( | VkDevice | device,
|  | VkValidationCacheEXT | dstCache,
|  | uint32_t | srcCacheCount,
|  | const VkValidationCacheEXT * | pSrcCaches
| ) |  | const

inline

Definition at line 2389 of file vulkan.hpp.

{
return ::vkMergeValidationCachesEXT( device, dstCache, srcCacheCount, pSrcCaches);
}

References device, and vkMergeValidationCachesEXT().

## vkQueueBeginDebugUtilsLabelEXT()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkQueueBeginDebugUtilsLabelEXT | ( | VkQueue | queue,
|  | const VkDebugUtilsLabelEXT * | pLabelInfo
| ) |  | const

inline

Definition at line 2393 of file vulkan.hpp.

{
return ::vkQueueBeginDebugUtilsLabelEXT( queue, pLabelInfo);
}

References vkQueueBeginDebugUtilsLabelEXT().

## vkQueueBindSparse()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkQueueBindSparse | ( | VkQueue | queue,
|  | uint32_t | bindInfoCount,
|  | const VkBindSparseInfo * | pBindInfo,
|  | VkFence | fence
| ) |  | const

inline

Definition at line 2397 of file vulkan.hpp.

{
return ::vkQueueBindSparse( queue, bindInfoCount, pBindInfo, fence);
}

References vkQueueBindSparse().

## vkQueueEndDebugUtilsLabelEXT()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkQueueEndDebugUtilsLabelEXT | ( | VkQueue | queue | ) | const

inline

Definition at line 2401 of file vulkan.hpp.

{
return ::vkQueueEndDebugUtilsLabelEXT( queue);
}

References vkQueueEndDebugUtilsLabelEXT().

## vkQueueInsertDebugUtilsLabelEXT()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkQueueInsertDebugUtilsLabelEXT | ( | VkQueue | queue,
|  | const VkDebugUtilsLabelEXT * | pLabelInfo
| ) |  | const

inline

Definition at line 2405 of file vulkan.hpp.

{
return ::vkQueueInsertDebugUtilsLabelEXT( queue, pLabelInfo);
}

References vkQueueInsertDebugUtilsLabelEXT().

## vkQueuePresentKHR()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkQueuePresentKHR | ( | VkQueue | queue,
|  | const VkPresentInfoKHR * | pPresentInfo
| ) |  | const

inline

Definition at line 2409 of file vulkan.hpp.

{
return ::vkQueuePresentKHR( queue, pPresentInfo);
}

References vkQueuePresentKHR().

## vkQueueSubmit()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkQueueSubmit | ( | VkQueue | queue,
|  | uint32_t | submitCount,
|  | const VkSubmitInfo * | pSubmits,
|  | VkFence | fence
| ) |  | const

inline

Definition at line 2413 of file vulkan.hpp.

{
return ::vkQueueSubmit( queue, submitCount, pSubmits, fence);
}

References vkQueueSubmit().

## vkQueueWaitIdle()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkQueueWaitIdle | ( | VkQueue | queue | ) | const

inline

Definition at line 2417 of file vulkan.hpp.

{
return ::vkQueueWaitIdle( queue);
}

References vkQueueWaitIdle().

## vkRegisterDeviceEventEXT()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkRegisterDeviceEventEXT | ( | VkDevice | device,
|  | const VkDeviceEventInfoEXT * | pDeviceEventInfo,
|  | const VkAllocationCallbacks * | pAllocator,
|  | VkFence * | pFence
| ) |  | const

inline

Definition at line 2421 of file vulkan.hpp.

{
return ::vkRegisterDeviceEventEXT( device, pDeviceEventInfo, pAllocator, pFence);
}

References device, and vkRegisterDeviceEventEXT().

## vkRegisterDisplayEventEXT()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkRegisterDisplayEventEXT | ( | VkDevice | device,
|  | VkDisplayKHR | display,
|  | const VkDisplayEventInfoEXT * | pDisplayEventInfo,
|  | const VkAllocationCallbacks * | pAllocator,
|  | VkFence * | pFence
| ) |  | const

inline

Definition at line 2425 of file vulkan.hpp.

{
return ::vkRegisterDisplayEventEXT( device, display, pDisplayEventInfo, pAllocator, pFence);
}

References device, and vkRegisterDisplayEventEXT().

## vkRegisterObjectsNVX()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkRegisterObjectsNVX | ( | VkDevice | device,
|  | VkObjectTableNVX | objectTable,
|  | uint32_t | objectCount,
|  | const VkObjectTableEntryNVX *const * | ppObjectTableEntries,
|  | const uint32_t * | pObjectIndices
| ) |  | const

inline

Definition at line 2429 of file vulkan.hpp.

{
return ::vkRegisterObjectsNVX( device, objectTable, objectCount, ppObjectTableEntries, pObjectIndices);
}

References device, and vkRegisterObjectsNVX().

## vkReleaseDisplayEXT()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkReleaseDisplayEXT | ( | VkPhysicalDevice | physicalDevice,
|  | VkDisplayKHR | display
| ) |  | const

inline

Definition at line 2433 of file vulkan.hpp.

{
return ::vkReleaseDisplayEXT( physicalDevice, display);
}

References vkReleaseDisplayEXT().

## vkResetCommandBuffer()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkResetCommandBuffer | ( | VkCommandBuffer | commandBuffer,
|  | VkCommandBufferResetFlags | flags
| ) |  | const

inline

Definition at line 2437 of file vulkan.hpp.

{
return ::vkResetCommandBuffer( commandBuffer, flags);
}

References vkResetCommandBuffer().

## vkResetCommandPool()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkResetCommandPool | ( | VkDevice | device,
|  | VkCommandPool | commandPool,
|  | VkCommandPoolResetFlags | flags
| ) |  | const

inline

Definition at line 2441 of file vulkan.hpp.

{
return ::vkResetCommandPool( device, commandPool, flags);
}

References device, and vkResetCommandPool().

## vkResetDescriptorPool()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkResetDescriptorPool | ( | VkDevice | device,
|  | VkDescriptorPool | descriptorPool,
|  | VkDescriptorPoolResetFlags | flags
| ) |  | const

inline

Definition at line 2445 of file vulkan.hpp.

{
return ::vkResetDescriptorPool( device, descriptorPool, flags);
}

References device, and vkResetDescriptorPool().

## vkResetEvent()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkResetEvent | ( | VkDevice | device,
|  | VkEvent | event
| ) |  | const

inline

Definition at line 2449 of file vulkan.hpp.

{
return ::vkResetEvent( device, event);
}

References device, and vkResetEvent().

## vkResetFences()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkResetFences | ( | VkDevice | device,
|  | uint32_t | fenceCount,
|  | const VkFence * | pFences
| ) |  | const

inline

Definition at line 2453 of file vulkan.hpp.

{
return ::vkResetFences( device, fenceCount, pFences);
}

References device, and vkResetFences().

## vkSetDebugUtilsObjectNameEXT()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkSetDebugUtilsObjectNameEXT | ( | VkDevice | device,
|  | const VkDebugUtilsObjectNameInfoEXT * | pNameInfo
| ) |  | const

inline

Definition at line 2457 of file vulkan.hpp.

{
return ::vkSetDebugUtilsObjectNameEXT( device, pNameInfo);
}

References device, and vkSetDebugUtilsObjectNameEXT().

## vkSetDebugUtilsObjectTagEXT()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkSetDebugUtilsObjectTagEXT | ( | VkDevice | device,
|  | const VkDebugUtilsObjectTagInfoEXT * | pTagInfo
| ) |  | const

inline

Definition at line 2461 of file vulkan.hpp.

{
return ::vkSetDebugUtilsObjectTagEXT( device, pTagInfo);
}

References device, and vkSetDebugUtilsObjectTagEXT().

## vkSetEvent()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkSetEvent | ( | VkDevice | device,
|  | VkEvent | event
| ) |  | const

inline

Definition at line 2465 of file vulkan.hpp.

{
return ::vkSetEvent( device, event);
}

References device, and vkSetEvent().

## vkSetHdrMetadataEXT()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkSetHdrMetadataEXT | ( | VkDevice | device,
|  | uint32_t | swapchainCount,
|  | const VkSwapchainKHR * | pSwapchains,
|  | const VkHdrMetadataEXT * | pMetadata
| ) |  | const

inline

Definition at line 2469 of file vulkan.hpp.

{
return ::vkSetHdrMetadataEXT( device, swapchainCount, pSwapchains, pMetadata);
}

References device, and vkSetHdrMetadataEXT().

## vkSubmitDebugUtilsMessageEXT()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkSubmitDebugUtilsMessageEXT | ( | VkInstance | instance,
|  | VkDebugUtilsMessageSeverityFlagBitsEXT | messageSeverity,
|  | VkDebugUtilsMessageTypeFlagsEXT | messageTypes,
|  | const VkDebugUtilsMessengerCallbackDataEXT * | pCallbackData
| ) |  | const

inline

Definition at line 2473 of file vulkan.hpp.

{
return ::vkSubmitDebugUtilsMessageEXT( instance, messageSeverity, messageTypes, pCallbackData);
}

References vkSubmitDebugUtilsMessageEXT().

## vkTrimCommandPool()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkTrimCommandPool | ( | VkDevice | device,
|  | VkCommandPool | commandPool,
|  | VkCommandPoolTrimFlags | flags
| ) |  | const

inline

Definition at line 2477 of file vulkan.hpp.

{
return ::vkTrimCommandPool( device, commandPool, flags);
}

References device, and vkTrimCommandPool().

## vkTrimCommandPoolKHR()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkTrimCommandPoolKHR | ( | VkDevice | device,
|  | VkCommandPool | commandPool,
|  | VkCommandPoolTrimFlags | flags
| ) |  | const

inline

Definition at line 2481 of file vulkan.hpp.

{
return ::vkTrimCommandPoolKHR( device, commandPool, flags);
}

References device, and vkTrimCommandPoolKHR().

## vkUnmapMemory()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkUnmapMemory | ( | VkDevice | device,
|  | VkDeviceMemory | memory
| ) |  | const

inline

Definition at line 2485 of file vulkan.hpp.

{
return ::vkUnmapMemory( device, memory);
}

References device, and vkUnmapMemory().

## vkUnregisterObjectsNVX()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkUnregisterObjectsNVX | ( | VkDevice | device,
|  | VkObjectTableNVX | objectTable,
|  | uint32_t | objectCount,
|  | const VkObjectEntryTypeNVX * | pObjectEntryTypes,
|  | const uint32_t * | pObjectIndices
| ) |  | const

inline

Definition at line 2489 of file vulkan.hpp.

{
return ::vkUnregisterObjectsNVX( device, objectTable, objectCount, pObjectEntryTypes, pObjectIndices);
}

References device, and vkUnregisterObjectsNVX().

## vkUpdateDescriptorSets()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkUpdateDescriptorSets | ( | VkDevice | device,
|  | uint32_t | descriptorWriteCount,
|  | const VkWriteDescriptorSet * | pDescriptorWrites,
|  | uint32_t | descriptorCopyCount,
|  | const VkCopyDescriptorSet * | pDescriptorCopies
| ) |  | const

inline

Definition at line 2501 of file vulkan.hpp.

{
return ::vkUpdateDescriptorSets( device, descriptorWriteCount, pDescriptorWrites, descriptorCopyCount, pDescriptorCopies);
}

References device, and vkUpdateDescriptorSets().

## vkUpdateDescriptorSetWithTemplate()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkUpdateDescriptorSetWithTemplate | ( | VkDevice | device,
|  | VkDescriptorSet | descriptorSet,
|  | VkDescriptorUpdateTemplate | descriptorUpdateTemplate,
|  | const void * | pData
| ) |  | const

inline

Definition at line 2493 of file vulkan.hpp.

{
return ::vkUpdateDescriptorSetWithTemplate( device, descriptorSet, descriptorUpdateTemplate, pData);
}

References device, and vkUpdateDescriptorSetWithTemplate().

## vkUpdateDescriptorSetWithTemplateKHR()

void VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkUpdateDescriptorSetWithTemplateKHR | ( | VkDevice | device,
|  | VkDescriptorSet | descriptorSet,
|  | VkDescriptorUpdateTemplate | descriptorUpdateTemplate,
|  | const void * | pData
| ) |  | const

inline

Definition at line 2497 of file vulkan.hpp.

{
return ::vkUpdateDescriptorSetWithTemplateKHR( device, descriptorSet, descriptorUpdateTemplate, pData);
}

References device, and vkUpdateDescriptorSetWithTemplateKHR().

## vkWaitForFences()

VkResult VULKAN_HPP_NAMESPACE::DispatchLoaderStatic::vkWaitForFences | ( | VkDevice | device,
|  | uint32_t | fenceCount,
|  | const VkFence * | pFences,
|  | VkBool32 | waitAll,
|  | uint64_t | timeout
| ) |  | const

inline

Definition at line 2505 of file vulkan.hpp.

{
return ::vkWaitForFences( device, fenceCount, pFences, waitAll, timeout);
}

References device, and vkWaitForFences().

The documentation for this class was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

vkResetFences
VKAPI_ATTR VkResult VKAPI_CALL vkResetFences(VkDevice device, uint32_t fenceCount, const VkFence *pFences)
vkGetPhysicalDeviceExternalSemaphoreProperties
VKAPI_ATTR void VKAPI_CALL vkGetPhysicalDeviceExternalSemaphoreProperties(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalSemaphoreInfo *pExternalSemaphoreInfo, VkExternalSemaphoreProperties *pExternalSemaphoreProperties)
vkGetRayTracingShaderGroupHandlesNV
VKAPI_ATTR VkResult VKAPI_CALL vkGetRayTracingShaderGroupHandlesNV(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void *pData)
vkAllocateDescriptorSets
VKAPI_ATTR VkResult VKAPI_CALL vkAllocateDescriptorSets(VkDevice device, const VkDescriptorSetAllocateInfo *pAllocateInfo, VkDescriptorSet *pDescriptorSets)
vkCmdEndQueryIndexedEXT
VKAPI_ATTR void VKAPI_CALL vkCmdEndQueryIndexedEXT(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, uint32_t index)
vkDeviceWaitIdle
VKAPI_ATTR VkResult VKAPI_CALL vkDeviceWaitIdle(VkDevice device)
vkCmdSetStencilCompareMask
VKAPI_ATTR void VKAPI_CALL vkCmdSetStencilCompareMask(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t compareMask)
format
GLint GLint GLsizei GLsizei GLsizei GLint GLenum format
Definition: SDL_opengl.h:1572
vkResetCommandBuffer
VKAPI_ATTR VkResult VKAPI_CALL vkResetCommandBuffer(VkCommandBuffer commandBuffer, VkCommandBufferResetFlags flags)
vkCreateSharedSwapchainsKHR
VKAPI_ATTR VkResult VKAPI_CALL vkCreateSharedSwapchainsKHR(VkDevice device, uint32_t swapchainCount, const VkSwapchainCreateInfoKHR *pCreateInfos, const VkAllocationCallbacks *pAllocator, VkSwapchainKHR *pSwapchains)
vkGetPhysicalDeviceFormatProperties2
VKAPI_ATTR void VKAPI_CALL vkGetPhysicalDeviceFormatProperties2(VkPhysicalDevice physicalDevice, VkFormat format, VkFormatProperties2 *pFormatProperties)
vkGetDeviceGroupPeerMemoryFeaturesKHR
VKAPI_ATTR void VKAPI_CALL vkGetDeviceGroupPeerMemoryFeaturesKHR(VkDevice device, uint32_t heapIndex, uint32_t localDeviceIndex, uint32_t remoteDeviceIndex, VkPeerMemoryFeatureFlags *pPeerMemoryFeatures)
vkCmdBeginRenderPass2KHR
VKAPI_ATTR void VKAPI_CALL vkCmdBeginRenderPass2KHR(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo *pRenderPassBegin, const VkSubpassBeginInfoKHR *pSubpassBeginInfo)
vkGetPhysicalDeviceDisplayPlanePropertiesKHR
VKAPI_ATTR VkResult VKAPI_CALL vkGetPhysicalDeviceDisplayPlanePropertiesKHR(VkPhysicalDevice physicalDevice, uint32_t *pPropertyCount, VkDisplayPlanePropertiesKHR *pProperties)
image
GLeglImageOES image
Definition: SDL_opengl.h:2148
vkGetPhysicalDeviceQueueFamilyProperties2
VKAPI_ATTR void VKAPI_CALL vkGetPhysicalDeviceQueueFamilyProperties2(VkPhysicalDevice physicalDevice, uint32_t *pQueueFamilyPropertyCount, VkQueueFamilyProperties2 *pQueueFamilyProperties)
vkDestroyQueryPool
VKAPI_ATTR void VKAPI_CALL vkDestroyQueryPool(VkDevice device, VkQueryPool queryPool, const VkAllocationCallbacks *pAllocator)
vkGetDeviceMemoryCommitment
VKAPI_ATTR void VKAPI_CALL vkGetDeviceMemoryCommitment(VkDevice device, VkDeviceMemory memory, VkDeviceSize *pCommittedMemoryInBytes)
vkFreeMemory
VKAPI_ATTR void VKAPI_CALL vkFreeMemory(VkDevice device, VkDeviceMemory memory, const VkAllocationCallbacks *pAllocator)
vkCreateSamplerYcbcrConversionKHR
VKAPI_ATTR VkResult VKAPI_CALL vkCreateSamplerYcbcrConversionKHR(VkDevice device, const VkSamplerYcbcrConversionCreateInfo *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkSamplerYcbcrConversion *pYcbcrConversion)
vkCmdSetLineWidth
VKAPI_ATTR void VKAPI_CALL vkCmdSetLineWidth(VkCommandBuffer commandBuffer, float lineWidth)
vkGetPhysicalDeviceFormatProperties
VKAPI_ATTR void VKAPI_CALL vkGetPhysicalDeviceFormatProperties(VkPhysicalDevice physicalDevice, VkFormat format, VkFormatProperties *pFormatProperties)
vkCmdWaitEvents
VKAPI_ATTR void VKAPI_CALL vkCmdWaitEvents(VkCommandBuffer commandBuffer, uint32_t eventCount, const VkEvent *pEvents, VkPipelineStageFlags srcStageMask, VkPipelineStageFlags dstStageMask, uint32_t memoryBarrierCount, const VkMemoryBarrier *pMemoryBarriers, uint32_t bufferMemoryBarrierCount, const VkBufferMemoryBarrier *pBufferMemoryBarriers, uint32_t imageMemoryBarrierCount, const VkImageMemoryBarrier *pImageMemoryBarriers)
vkCmdSetEvent
VKAPI_ATTR void VKAPI_CALL vkCmdSetEvent(VkCommandBuffer commandBuffer, VkEvent event, VkPipelineStageFlags stageMask)
vkDestroyCommandPool
VKAPI_ATTR void VKAPI_CALL vkDestroyCommandPool(VkDevice device, VkCommandPool commandPool, const VkAllocationCallbacks *pAllocator)
vkUpdateDescriptorSets
VKAPI_ATTR void VKAPI_CALL vkUpdateDescriptorSets(VkDevice device, uint32_t descriptorWriteCount, const VkWriteDescriptorSet *pDescriptorWrites, uint32_t descriptorCopyCount, const VkCopyDescriptorSet *pDescriptorCopies)
vkCmdEndTransformFeedbackEXT
VKAPI_ATTR void VKAPI_CALL vkCmdEndTransformFeedbackEXT(VkCommandBuffer commandBuffer, uint32_t firstCounterBuffer, uint32_t counterBufferCount, const VkBuffer *pCounterBuffers, const VkDeviceSize *pCounterBufferOffsets)
offset
GLintptr offset
Definition: SDL_opengl_glext.h:538
vkCmdClearColorImage
VKAPI_ATTR void VKAPI_CALL vkCmdClearColorImage(VkCommandBuffer commandBuffer, VkImage image, VkImageLayout imageLayout, const VkClearColorValue *pColor, uint32_t rangeCount, const VkImageSubresourceRange *pRanges)
vkCreateDescriptorUpdateTemplate
VKAPI_ATTR VkResult VKAPI_CALL vkCreateDescriptorUpdateTemplate(VkDevice device, const VkDescriptorUpdateTemplateCreateInfo *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkDescriptorUpdateTemplate *pDescriptorUpdateTemplate)
vkCreateDebugReportCallbackEXT
VKAPI_ATTR VkResult VKAPI_CALL vkCreateDebugReportCallbackEXT(VkInstance instance, const VkDebugReportCallbackCreateInfoEXT *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkDebugReportCallbackEXT *pCallback)
vkGetCalibratedTimestampsEXT
VKAPI_ATTR VkResult VKAPI_CALL vkGetCalibratedTimestampsEXT(VkDevice device, uint32_t timestampCount, const VkCalibratedTimestampInfoEXT *pTimestampInfos, uint64_t *pTimestamps, uint64_t *pMaxDeviation)
vkCmdCopyImage
VKAPI_ATTR void VKAPI_CALL vkCmdCopyImage(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageCopy *pRegions)
vkQueueInsertDebugUtilsLabelEXT
VKAPI_ATTR void VKAPI_CALL vkQueueInsertDebugUtilsLabelEXT(VkQueue queue, const VkDebugUtilsLabelEXT *pLabelInfo)
vkCmdDrawIndirectCountAMD
VKAPI_ATTR void VKAPI_CALL vkCmdDrawIndirectCountAMD(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride)
vkBindAccelerationStructureMemoryNV
VKAPI_ATTR VkResult VKAPI_CALL vkBindAccelerationStructureMemoryNV(VkDevice device, uint32_t bindInfoCount, const VkBindAccelerationStructureMemoryInfoNV *pBindInfos)
vkGetPhysicalDeviceExternalFenceProperties
VKAPI_ATTR void VKAPI_CALL vkGetPhysicalDeviceExternalFenceProperties(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalFenceInfo *pExternalFenceInfo, VkExternalFenceProperties *pExternalFenceProperties)
vkDestroyDebugReportCallbackEXT
VKAPI_ATTR void VKAPI_CALL vkDestroyDebugReportCallbackEXT(VkInstance instance, VkDebugReportCallbackEXT callback, const VkAllocationCallbacks *pAllocator)
vkInvalidateMappedMemoryRanges
VKAPI_ATTR VkResult VKAPI_CALL vkInvalidateMappedMemoryRanges(VkDevice device, uint32_t memoryRangeCount, const VkMappedMemoryRange *pMemoryRanges)
location
GLint location
Definition: SDL_opengl_glext.h:679
vkDestroyDevice
VKAPI_ATTR void VKAPI_CALL vkDestroyDevice(VkDevice device, const VkAllocationCallbacks *pAllocator)
vkEnumeratePhysicalDevices
VKAPI_ATTR VkResult VKAPI_CALL vkEnumeratePhysicalDevices(VkInstance instance, uint32_t *pPhysicalDeviceCount, VkPhysicalDevice *pPhysicalDevices)
vkResetDescriptorPool
VKAPI_ATTR VkResult VKAPI_CALL vkResetDescriptorPool(VkDevice device, VkDescriptorPool descriptorPool, VkDescriptorPoolResetFlags flags)
vkGetPhysicalDeviceQueueFamilyProperties2KHR
VKAPI_ATTR void VKAPI_CALL vkGetPhysicalDeviceQueueFamilyProperties2KHR(VkPhysicalDevice physicalDevice, uint32_t *pQueueFamilyPropertyCount, VkQueueFamilyProperties2 *pQueueFamilyProperties)
vkGetDisplayPlaneCapabilitiesKHR
VKAPI_ATTR VkResult VKAPI_CALL vkGetDisplayPlaneCapabilitiesKHR(VkPhysicalDevice physicalDevice, VkDisplayModeKHR mode, uint32_t planeIndex, VkDisplayPlaneCapabilitiesKHR *pCapabilities)
vkDestroyInstance
VKAPI_ATTR void VKAPI_CALL vkDestroyInstance(VkInstance instance, const VkAllocationCallbacks *pAllocator)
vkGetPhysicalDeviceSurfaceSupportKHR
VKAPI_ATTR VkResult VKAPI_CALL vkGetPhysicalDeviceSurfaceSupportKHR(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, VkSurfaceKHR surface, VkBool32 *pSupported)
surface
EGLSurface surface
Definition: eglext.h:248
vkCreateBuffer
VKAPI_ATTR VkResult VKAPI_CALL vkCreateBuffer(VkDevice device, const VkBufferCreateInfo *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkBuffer *pBuffer)
width
GLint GLint GLsizei width
Definition: SDL_opengl.h:1572
vkGetPhysicalDeviceFeatures2KHR
VKAPI_ATTR void VKAPI_CALL vkGetPhysicalDeviceFeatures2KHR(VkPhysicalDevice physicalDevice, VkPhysicalDeviceFeatures2 *pFeatures)
vkDebugReportMessageEXT
VKAPI_ATTR void VKAPI_CALL vkDebugReportMessageEXT(VkInstance instance, VkDebugReportFlagsEXT flags, VkDebugReportObjectTypeEXT objectType, uint64_t object, size_t location, int32_t messageCode, const char *pLayerPrefix, const char *pMessage)
vkCmdDrawIndexedIndirectCountKHR
VKAPI_ATTR void VKAPI_CALL vkCmdDrawIndexedIndirectCountKHR(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride)
vkGetImageMemoryRequirements2KHR
VKAPI_ATTR void VKAPI_CALL vkGetImageMemoryRequirements2KHR(VkDevice device, const VkImageMemoryRequirementsInfo2 *pInfo, VkMemoryRequirements2 *pMemoryRequirements)
drawCount
const void GLsizei drawCount
Definition: SDL_opengl_glext.h:8412
timeout
GLbitfield GLuint64 timeout
Definition: SDL_opengl_glext.h:1483
vkGetPhysicalDeviceMemoryProperties2
VKAPI_ATTR void VKAPI_CALL vkGetPhysicalDeviceMemoryProperties2(VkPhysicalDevice physicalDevice, VkPhysicalDeviceMemoryProperties2 *pMemoryProperties)
vkCmdBindShadingRateImageNV
VKAPI_ATTR void VKAPI_CALL vkCmdBindShadingRateImageNV(VkCommandBuffer commandBuffer, VkImageView imageView, VkImageLayout imageLayout)
vkGetDeviceProcAddr
VKAPI_ATTR PFN_vkVoidFunction VKAPI_CALL vkGetDeviceProcAddr(VkDevice device, const char *pName)
vkBindBufferMemory2KHR
VKAPI_ATTR VkResult VKAPI_CALL vkBindBufferMemory2KHR(VkDevice device, uint32_t bindInfoCount, const VkBindBufferMemoryInfo *pBindInfos)
mode
GLenum mode
Definition: SDL_opengl_glext.h:1122
set
EGLSetBlobFuncANDROID set
Definition: eglext.h:470
vkGetDescriptorSetLayoutSupportKHR
VKAPI_ATTR void VKAPI_CALL vkGetDescriptorSetLayoutSupportKHR(VkDevice device, const VkDescriptorSetLayoutCreateInfo *pCreateInfo, VkDescriptorSetLayoutSupport *pSupport)
vkDestroyImage
VKAPI_ATTR void VKAPI_CALL vkDestroyImage(VkDevice device, VkImage image, const VkAllocationCallbacks *pAllocator)
vkCmdBeginQuery
VKAPI_ATTR void VKAPI_CALL vkCmdBeginQuery(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, VkQueryControlFlags flags)
vkQueueWaitIdle
VKAPI_ATTR VkResult VKAPI_CALL vkQueueWaitIdle(VkQueue queue)
vkSetDebugUtilsObjectTagEXT
VKAPI_ATTR VkResult VKAPI_CALL vkSetDebugUtilsObjectTagEXT(VkDevice device, const VkDebugUtilsObjectTagInfoEXT *pTagInfo)
samples
GLsizei samples
Definition: SDL_opengl_glext.h:1185
vkGetMemoryFdKHR
VKAPI_ATTR VkResult VKAPI_CALL vkGetMemoryFdKHR(VkDevice device, const VkMemoryGetFdInfoKHR *pGetFdInfo, int *pFd)
vkUpdateDescriptorSetWithTemplate
VKAPI_ATTR void VKAPI_CALL vkUpdateDescriptorSetWithTemplate(VkDevice device, VkDescriptorSet descriptorSet, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const void *pData)
vkFreeDescriptorSets
VKAPI_ATTR VkResult VKAPI_CALL vkFreeDescriptorSets(VkDevice device, VkDescriptorPool descriptorPool, uint32_t descriptorSetCount, const VkDescriptorSet *pDescriptorSets)
vkCmdSetCheckpointNV
VKAPI_ATTR void VKAPI_CALL vkCmdSetCheckpointNV(VkCommandBuffer commandBuffer, const void *pCheckpointMarker)
vkUpdateDescriptorSetWithTemplateKHR
VKAPI_ATTR void VKAPI_CALL vkUpdateDescriptorSetWithTemplateKHR(VkDevice device, VkDescriptorSet descriptorSet, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const void *pData)
vkRegisterDeviceEventEXT
VKAPI_ATTR VkResult VKAPI_CALL vkRegisterDeviceEventEXT(VkDevice device, const VkDeviceEventInfoEXT *pDeviceEventInfo, const VkAllocationCallbacks *pAllocator, VkFence *pFence)
vkGetPhysicalDeviceExternalBufferProperties
VKAPI_ATTR void VKAPI_CALL vkGetPhysicalDeviceExternalBufferProperties(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalBufferInfo *pExternalBufferInfo, VkExternalBufferProperties *pExternalBufferProperties)
vkCmdSetExclusiveScissorNV
VKAPI_ATTR void VKAPI_CALL vkCmdSetExclusiveScissorNV(VkCommandBuffer commandBuffer, uint32_t firstExclusiveScissor, uint32_t exclusiveScissorCount, const VkRect2D *pExclusiveScissors)
vkDestroyDescriptorUpdateTemplate
VKAPI_ATTR void VKAPI_CALL vkDestroyDescriptorUpdateTemplate(VkDevice device, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const VkAllocationCallbacks *pAllocator)
vkGetQueryPoolResults
VKAPI_ATTR VkResult VKAPI_CALL vkGetQueryPoolResults(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount, size_t dataSize, void *pData, VkDeviceSize stride, VkQueryResultFlags flags)
vkGetInstanceProcAddr
VKAPI_ATTR PFN_vkVoidFunction VKAPI_CALL vkGetInstanceProcAddr(VkInstance instance, const char *pName)
vkCmdEndDebugUtilsLabelEXT
VKAPI_ATTR void VKAPI_CALL vkCmdEndDebugUtilsLabelEXT(VkCommandBuffer commandBuffer)
vkGetMemoryHostPointerPropertiesEXT
VKAPI_ATTR VkResult VKAPI_CALL vkGetMemoryHostPointerPropertiesEXT(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, const void *pHostPointer, VkMemoryHostPointerPropertiesEXT *pMemoryHostPointerProperties)
vkCmdCopyQueryPoolResults
VKAPI_ATTR void VKAPI_CALL vkCmdCopyQueryPoolResults(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize stride, VkQueryResultFlags flags)
vkWaitForFences
VKAPI_ATTR VkResult VKAPI_CALL vkWaitForFences(VkDevice device, uint32_t fenceCount, const VkFence *pFences, VkBool32 waitAll, uint64_t timeout)
vkDestroyDebugUtilsMessengerEXT
VKAPI_ATTR void VKAPI_CALL vkDestroyDebugUtilsMessengerEXT(VkInstance instance, VkDebugUtilsMessengerEXT messenger, const VkAllocationCallbacks *pAllocator)
vkCmdBeginRenderPass
VKAPI_ATTR void VKAPI_CALL vkCmdBeginRenderPass(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo *pRenderPassBegin, VkSubpassContents contents)
vkSetHdrMetadataEXT
VKAPI_ATTR void VKAPI_CALL vkSetHdrMetadataEXT(VkDevice device, uint32_t swapchainCount, const VkSwapchainKHR *pSwapchains, const VkHdrMetadataEXT *pMetadata)
vkCmdDrawIndirectCountKHR
VKAPI_ATTR void VKAPI_CALL vkCmdDrawIndirectCountKHR(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride)
vkCmdPushDescriptorSetWithTemplateKHR
VKAPI_ATTR void VKAPI_CALL vkCmdPushDescriptorSetWithTemplateKHR(VkCommandBuffer commandBuffer, VkDescriptorUpdateTemplate descriptorUpdateTemplate, VkPipelineLayout layout, uint32_t set, const void *pData)
vkEnumerateInstanceLayerProperties
VKAPI_ATTR VkResult VKAPI_CALL vkEnumerateInstanceLayerProperties(uint32_t *pPropertyCount, VkLayerProperties *pProperties)
vkCmdEndQuery
VKAPI_ATTR void VKAPI_CALL vkCmdEndQuery(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query)
vkCmdCopyBufferToImage
VKAPI_ATTR void VKAPI_CALL vkCmdCopyBufferToImage(VkCommandBuffer commandBuffer, VkBuffer srcBuffer, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkBufferImageCopy *pRegions)
vkGetRenderAreaGranularity
VKAPI_ATTR void VKAPI_CALL vkGetRenderAreaGranularity(VkDevice device, VkRenderPass renderPass, VkExtent2D *pGranularity)
vkGetEventStatus
VKAPI_ATTR VkResult VKAPI_CALL vkGetEventStatus(VkDevice device, VkEvent event)
vkCmdSetDepthBias
VKAPI_ATTR void VKAPI_CALL vkCmdSetDepthBias(VkCommandBuffer commandBuffer, float depthBiasConstantFactor, float depthBiasClamp, float depthBiasSlopeFactor)
vkCreateAccelerationStructureNV
VKAPI_ATTR VkResult VKAPI_CALL vkCreateAccelerationStructureNV(VkDevice device, const VkAccelerationStructureCreateInfoNV *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkAccelerationStructureNV *pAccelerationStructure)
vkGetSemaphoreFdKHR
VKAPI_ATTR VkResult VKAPI_CALL vkGetSemaphoreFdKHR(VkDevice device, const VkSemaphoreGetFdInfoKHR *pGetFdInfo, int *pFd)
vkCmdBindPipeline
VKAPI_ATTR void VKAPI_CALL vkCmdBindPipeline(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipeline pipeline)
vkQueueBeginDebugUtilsLabelEXT
VKAPI_ATTR void VKAPI_CALL vkQueueBeginDebugUtilsLabelEXT(VkQueue queue, const VkDebugUtilsLabelEXT *pLabelInfo)
vkCreateComputePipelines
VKAPI_ATTR VkResult VKAPI_CALL vkCreateComputePipelines(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkComputePipelineCreateInfo *pCreateInfos, const VkAllocationCallbacks *pAllocator, VkPipeline *pPipelines)
callback
static Uint32 callback(Uint32 interval, void *param)
Definition: testtimer.c:34
vkGetAccelerationStructureHandleNV
VKAPI_ATTR VkResult VKAPI_CALL vkGetAccelerationStructureHandleNV(VkDevice device, VkAccelerationStructureNV accelerationStructure, size_t dataSize, void *pData)
vkCreateRenderPass
VKAPI_ATTR VkResult VKAPI_CALL vkCreateRenderPass(VkDevice device, const VkRenderPassCreateInfo *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkRenderPass *pRenderPass)
vkEnumerateDeviceLayerProperties
VKAPI_ATTR VkResult VKAPI_CALL vkEnumerateDeviceLayerProperties(VkPhysicalDevice physicalDevice, uint32_t *pPropertyCount, VkLayerProperties *pProperties)
vkGetDisplayModePropertiesKHR
VKAPI_ATTR VkResult VKAPI_CALL vkGetDisplayModePropertiesKHR(VkPhysicalDevice physicalDevice, VkDisplayKHR display, uint32_t *pPropertyCount, VkDisplayModePropertiesKHR *pProperties)
vkCmdSetDiscardRectangleEXT
VKAPI_ATTR void VKAPI_CALL vkCmdSetDiscardRectangleEXT(VkCommandBuffer commandBuffer, uint32_t firstDiscardRectangle, uint32_t discardRectangleCount, const VkRect2D *pDiscardRectangles)
index
GLuint index
Definition: SDL_opengl_glext.h:660
counterOffset
GLuint GLuint GLchar GLuint GLchar GLuint * counterOffset
Definition: SDL_opengl_glext.h:8289
vkCmdBeginTransformFeedbackEXT
VKAPI_ATTR void VKAPI_CALL vkCmdBeginTransformFeedbackEXT(VkCommandBuffer commandBuffer, uint32_t firstCounterBuffer, uint32_t counterBufferCount, const VkBuffer *pCounterBuffers, const VkDeviceSize *pCounterBufferOffsets)
vkDestroyShaderModule
VKAPI_ATTR void VKAPI_CALL vkDestroyShaderModule(VkDevice device, VkShaderModule shaderModule, const VkAllocationCallbacks *pAllocator)
vkCreateSemaphore
VKAPI_ATTR VkResult VKAPI_CALL vkCreateSemaphore(VkDevice device, const VkSemaphoreCreateInfo *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkSemaphore *pSemaphore)
vkCmdProcessCommandsNVX
VKAPI_ATTR void VKAPI_CALL vkCmdProcessCommandsNVX(VkCommandBuffer commandBuffer, const VkCmdProcessCommandsInfoNVX *pProcessCommandsInfo)
vkGetPhysicalDeviceSparseImageFormatProperties2
VKAPI_ATTR void VKAPI_CALL vkGetPhysicalDeviceSparseImageFormatProperties2(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceSparseImageFormatInfo2 *pFormatInfo, uint32_t *pPropertyCount, VkSparseImageFormatProperties2 *pProperties)
vkGetDisplayPlaneCapabilities2KHR
VKAPI_ATTR VkResult VKAPI_CALL vkGetDisplayPlaneCapabilities2KHR(VkPhysicalDevice physicalDevice, const VkDisplayPlaneInfo2KHR *pDisplayPlaneInfo, VkDisplayPlaneCapabilities2KHR *pCapabilities)
shader
GLuint shader
Definition: SDL_opengl_glext.h:659
vkGetBufferMemoryRequirements2
VKAPI_ATTR void VKAPI_CALL vkGetBufferMemoryRequirements2(VkDevice device, const VkBufferMemoryRequirementsInfo2 *pInfo, VkMemoryRequirements2 *pMemoryRequirements)
vkEnumerateInstanceVersion
VKAPI_ATTR VkResult VKAPI_CALL vkEnumerateInstanceVersion(uint32_t *pApiVersion)
vkGetPhysicalDeviceDisplayPropertiesKHR
VKAPI_ATTR VkResult VKAPI_CALL vkGetPhysicalDeviceDisplayPropertiesKHR(VkPhysicalDevice physicalDevice, uint32_t *pPropertyCount, VkDisplayPropertiesKHR *pProperties)
vkCreateSamplerYcbcrConversion
VKAPI_ATTR VkResult VKAPI_CALL vkCreateSamplerYcbcrConversion(VkDevice device, const VkSamplerYcbcrConversionCreateInfo *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkSamplerYcbcrConversion *pYcbcrConversion)
vkCmdSetSampleLocationsEXT
VKAPI_ATTR void VKAPI_CALL vkCmdSetSampleLocationsEXT(VkCommandBuffer commandBuffer, const VkSampleLocationsInfoEXT *pSampleLocationsInfo)
vkEnumerateDeviceExtensionProperties
VKAPI_ATTR VkResult VKAPI_CALL vkEnumerateDeviceExtensionProperties(VkPhysicalDevice physicalDevice, const char *pLayerName, uint32_t *pPropertyCount, VkExtensionProperties *pProperties)
vkGetPhysicalDeviceExternalImageFormatPropertiesNV
VKAPI_ATTR VkResult VKAPI_CALL vkGetPhysicalDeviceExternalImageFormatPropertiesNV(VkPhysicalDevice physicalDevice, VkFormat format, VkImageType type, VkImageTiling tiling, VkImageUsageFlags usage, VkImageCreateFlags flags, VkExternalMemoryHandleTypeFlagsNV externalHandleType, VkExternalImageFormatPropertiesNV *pExternalImageFormatProperties)
data
GLint GLenum GLsizei GLsizei GLsizei GLint GLsizei const GLvoid * data
Definition: SDL_opengl.h:1974
vkGetFenceFdKHR
VKAPI_ATTR VkResult VKAPI_CALL vkGetFenceFdKHR(VkDevice device, const VkFenceGetFdInfoKHR *pGetFdInfo, int *pFd)
vkGetPipelineCacheData
VKAPI_ATTR VkResult VKAPI_CALL vkGetPipelineCacheData(VkDevice device, VkPipelineCache pipelineCache, size_t *pDataSize, void *pData)
vkCmdPushConstants
VKAPI_ATTR void VKAPI_CALL vkCmdPushConstants(VkCommandBuffer commandBuffer, VkPipelineLayout layout, VkShaderStageFlags stageFlags, uint32_t offset, uint32_t size, const void *pValues)
vkCreateValidationCacheEXT
VKAPI_ATTR VkResult VKAPI_CALL vkCreateValidationCacheEXT(VkDevice device, const VkValidationCacheCreateInfoEXT *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkValidationCacheEXT *pValidationCache)
vkGetPhysicalDeviceProperties2KHR
VKAPI_ATTR void VKAPI_CALL vkGetPhysicalDeviceProperties2KHR(VkPhysicalDevice physicalDevice, VkPhysicalDeviceProperties2 *pProperties)
filter
GLint GLint GLint GLint GLint GLint GLint GLbitfield GLenum filter
Definition: SDL_opengl_glext.h:1184
vkGetShaderInfoAMD
VKAPI_ATTR VkResult VKAPI_CALL vkGetShaderInfoAMD(VkDevice device, VkPipeline pipeline, VkShaderStageFlagBits shaderStage, VkShaderInfoTypeAMD infoType, size_t *pInfoSize, void *pInfo)
vkCmdPushDescriptorSetKHR
VKAPI_ATTR void VKAPI_CALL vkCmdPushDescriptorSetKHR(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipelineLayout layout, uint32_t set, uint32_t descriptorWriteCount, const VkWriteDescriptorSet *pDescriptorWrites)
reference
GLint reference
Definition: SDL_opengl_glext.h:9174
vkCreateSampler
VKAPI_ATTR VkResult VKAPI_CALL vkCreateSampler(VkDevice device, const VkSamplerCreateInfo *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkSampler *pSampler)
vkCmdBeginConditionalRenderingEXT
VKAPI_ATTR void VKAPI_CALL vkCmdBeginConditionalRenderingEXT(VkCommandBuffer commandBuffer, const VkConditionalRenderingBeginInfoEXT *pConditionalRenderingBegin)
dst
GLenum GLenum dst
Definition: SDL_opengl_glext.h:1737
vkEnumeratePhysicalDeviceGroupsKHR
VKAPI_ATTR VkResult VKAPI_CALL vkEnumeratePhysicalDeviceGroupsKHR(VkInstance instance, uint32_t *pPhysicalDeviceGroupCount, VkPhysicalDeviceGroupProperties *pPhysicalDeviceGroupProperties)
vkCmdSetDepthBounds
VKAPI_ATTR void VKAPI_CALL vkCmdSetDepthBounds(VkCommandBuffer commandBuffer, float minDepthBounds, float maxDepthBounds)
vkAcquireNextImage2KHR
VKAPI_ATTR VkResult VKAPI_CALL vkAcquireNextImage2KHR(VkDevice device, const VkAcquireNextImageInfoKHR *pAcquireInfo, uint32_t *pImageIndex)
vkCreateIndirectCommandsLayoutNVX
VKAPI_ATTR VkResult VKAPI_CALL vkCreateIndirectCommandsLayoutNVX(VkDevice device, const VkIndirectCommandsLayoutCreateInfoNVX *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkIndirectCommandsLayoutNVX *pIndirectCommandsLayout)
vkQueuePresentKHR
VKAPI_ATTR VkResult VKAPI_CALL vkQueuePresentKHR(VkQueue queue, const VkPresentInfoKHR *pPresentInfo)
vkGetRefreshCycleDurationGOOGLE
VKAPI_ATTR VkResult VKAPI_CALL vkGetRefreshCycleDurationGOOGLE(VkDevice device, VkSwapchainKHR swapchain, VkRefreshCycleDurationGOOGLE *pDisplayTimingProperties)
vkCreateObjectTableNVX
VKAPI_ATTR VkResult VKAPI_CALL vkCreateObjectTableNVX(VkDevice device, const VkObjectTableCreateInfoNVX *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkObjectTableNVX *pObjectTable)
vkCreateEvent
VKAPI_ATTR VkResult VKAPI_CALL vkCreateEvent(VkDevice device, const VkEventCreateInfo *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkEvent *pEvent)
vkCreateFramebuffer
VKAPI_ATTR VkResult VKAPI_CALL vkCreateFramebuffer(VkDevice device, const VkFramebufferCreateInfo *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkFramebuffer *pFramebuffer)
vkGetBufferMemoryRequirements2KHR
VKAPI_ATTR void VKAPI_CALL vkGetBufferMemoryRequirements2KHR(VkDevice device, const VkBufferMemoryRequirementsInfo2 *pInfo, VkMemoryRequirements2 *pMemoryRequirements)
vkBindImageMemory
VKAPI_ATTR VkResult VKAPI_CALL vkBindImageMemory(VkDevice device, VkImage image, VkDeviceMemory memory, VkDeviceSize memoryOffset)
event
struct _cl_event * event
Definition: SDL_opengl_glext.h:2649
buffer
GLuint buffer
Definition: SDL_opengl_glext.h:533
usage
GLsizeiptr const void GLenum usage
Definition: SDL_opengl_glext.h:537
vkCmdBindIndexBuffer
VKAPI_ATTR void VKAPI_CALL vkCmdBindIndexBuffer(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkIndexType indexType)
vkImportSemaphoreFdKHR
VKAPI_ATTR VkResult VKAPI_CALL vkImportSemaphoreFdKHR(VkDevice device, const VkImportSemaphoreFdInfoKHR *pImportSemaphoreFdInfo)
vkFlushMappedMemoryRanges
VKAPI_ATTR VkResult VKAPI_CALL vkFlushMappedMemoryRanges(VkDevice device, uint32_t memoryRangeCount, const VkMappedMemoryRange *pMemoryRanges)
vkCreateBufferView
VKAPI_ATTR VkResult VKAPI_CALL vkCreateBufferView(VkDevice device, const VkBufferViewCreateInfo *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkBufferView *pView)
vkCmdDrawIndexedIndirect
VKAPI_ATTR void VKAPI_CALL vkCmdDrawIndexedIndirect(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride)
vkCreateInstance
VKAPI_ATTR VkResult VKAPI_CALL vkCreateInstance(const VkInstanceCreateInfo *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkInstance *pInstance)
counter
GLuint counter
Definition: SDL_opengl_glext.h:4992
vkAllocateCommandBuffers
VKAPI_ATTR VkResult VKAPI_CALL vkAllocateCommandBuffers(VkDevice device, const VkCommandBufferAllocateInfo *pAllocateInfo, VkCommandBuffer *pCommandBuffers)
vkCmdSetViewport
VKAPI_ATTR void VKAPI_CALL vkCmdSetViewport(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkViewport *pViewports)
vkDestroyIndirectCommandsLayoutNVX
VKAPI_ATTR void VKAPI_CALL vkDestroyIndirectCommandsLayoutNVX(VkDevice device, VkIndirectCommandsLayoutNVX indirectCommandsLayout, const VkAllocationCallbacks *pAllocator)
vkCreateDisplayModeKHR
VKAPI_ATTR VkResult VKAPI_CALL vkCreateDisplayModeKHR(VkPhysicalDevice physicalDevice, VkDisplayKHR display, const VkDisplayModeCreateInfoKHR *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkDisplayModeKHR *pMode)
vkGetPhysicalDeviceMultisamplePropertiesEXT
VKAPI_ATTR void VKAPI_CALL vkGetPhysicalDeviceMultisamplePropertiesEXT(VkPhysicalDevice physicalDevice, VkSampleCountFlagBits samples, VkMultisamplePropertiesEXT *pMultisampleProperties)
vkGetPhysicalDeviceImageFormatProperties
VKAPI_ATTR VkResult VKAPI_CALL vkGetPhysicalDeviceImageFormatProperties(VkPhysicalDevice physicalDevice, VkFormat format, VkImageType type, VkImageTiling tiling, VkImageUsageFlags usage, VkImageCreateFlags flags, VkImageFormatProperties *pImageFormatProperties)
vkGetDeviceGroupSurfacePresentModesKHR
VKAPI_ATTR VkResult VKAPI_CALL vkGetDeviceGroupSurfacePresentModesKHR(VkDevice device, VkSurfaceKHR surface, VkDeviceGroupPresentModeFlagsKHR *pModes)
vkCmdSetBlendConstants
VKAPI_ATTR void VKAPI_CALL vkCmdSetBlendConstants(VkCommandBuffer commandBuffer, const float blendConstants[4])
vkDestroyBufferView
VKAPI_ATTR void VKAPI_CALL vkDestroyBufferView(VkDevice device, VkBufferView bufferView, const VkAllocationCallbacks *pAllocator)
vkCmdClearDepthStencilImage
VKAPI_ATTR void VKAPI_CALL vkCmdClearDepthStencilImage(VkCommandBuffer commandBuffer, VkImage image, VkImageLayout imageLayout, const VkClearDepthStencilValue *pDepthStencil, uint32_t rangeCount, const VkImageSubresourceRange *pRanges)
vkGetPhysicalDeviceExternalBufferPropertiesKHR
VKAPI_ATTR void VKAPI_CALL vkGetPhysicalDeviceExternalBufferPropertiesKHR(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalBufferInfo *pExternalBufferInfo, VkExternalBufferProperties *pExternalBufferProperties)
vkDestroyDescriptorSetLayout
VKAPI_ATTR void VKAPI_CALL vkDestroyDescriptorSetLayout(VkDevice device, VkDescriptorSetLayout descriptorSetLayout, const VkAllocationCallbacks *pAllocator)
sampler
GLuint sampler
Definition: SDL_opengl_glext.h:1540
vkGetFenceStatus
VKAPI_ATTR VkResult VKAPI_CALL vkGetFenceStatus(VkDevice device, VkFence fence)
vkGetAccelerationStructureMemoryRequirementsNV
VKAPI_ATTR void VKAPI_CALL vkGetAccelerationStructureMemoryRequirementsNV(VkDevice device, const VkAccelerationStructureMemoryRequirementsInfoNV *pInfo, VkMemoryRequirements2KHR *pMemoryRequirements)
marker
const GLchar * marker
Definition: SDL_opengl_glext.h:6067
vkCmdBlitImage
VKAPI_ATTR void VKAPI_CALL vkCmdBlitImage(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageBlit *pRegions, VkFilter filter)
vkGetPhysicalDevicePresentRectanglesKHR
VKAPI_ATTR VkResult VKAPI_CALL vkGetPhysicalDevicePresentRectanglesKHR(VkPhysicalDevice physicalDevice, VkSurfaceKHR surface, uint32_t *pRectCount, VkRect2D *pRects)
height
GLint GLint GLsizei GLsizei height
Definition: SDL_opengl.h:1572
vkResetEvent
VKAPI_ATTR VkResult VKAPI_CALL vkResetEvent(VkDevice device, VkEvent event)
vkGetSwapchainImagesKHR
VKAPI_ATTR VkResult VKAPI_CALL vkGetSwapchainImagesKHR(VkDevice device, VkSwapchainKHR swapchain, uint32_t *pSwapchainImageCount, VkImage *pSwapchainImages)
vkCmdDrawIndexed
VKAPI_ATTR void VKAPI_CALL vkCmdDrawIndexed(VkCommandBuffer commandBuffer, uint32_t indexCount, uint32_t instanceCount, uint32_t firstIndex, int32_t vertexOffset, uint32_t firstInstance)
vkGetDisplayModeProperties2KHR
VKAPI_ATTR VkResult VKAPI_CALL vkGetDisplayModeProperties2KHR(VkPhysicalDevice physicalDevice, VkDisplayKHR display, uint32_t *pPropertyCount, VkDisplayModeProperties2KHR *pProperties)
vkGetPhysicalDeviceMemoryProperties2KHR
VKAPI_ATTR void VKAPI_CALL vkGetPhysicalDeviceMemoryProperties2KHR(VkPhysicalDevice physicalDevice, VkPhysicalDeviceMemoryProperties2 *pMemoryProperties)
vkCreateImage
VKAPI_ATTR VkResult VKAPI_CALL vkCreateImage(VkDevice device, const VkImageCreateInfo *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkImage *pImage)
vkDisplayPowerControlEXT
VKAPI_ATTR VkResult VKAPI_CALL vkDisplayPowerControlEXT(VkDevice device, VkDisplayKHR display, const VkDisplayPowerInfoEXT *pDisplayPowerInfo)
vkSetEvent
VKAPI_ATTR VkResult VKAPI_CALL vkSetEvent(VkDevice device, VkEvent event)
vkCmdInsertDebugUtilsLabelEXT
VKAPI_ATTR void VKAPI_CALL vkCmdInsertDebugUtilsLabelEXT(VkCommandBuffer commandBuffer, const VkDebugUtilsLabelEXT *pLabelInfo)
vkCmdResetEvent
VKAPI_ATTR void VKAPI_CALL vkCmdResetEvent(VkCommandBuffer commandBuffer, VkEvent event, VkPipelineStageFlags stageMask)
vkCmdCopyImageToBuffer
VKAPI_ATTR void VKAPI_CALL vkCmdCopyImageToBuffer(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkBuffer dstBuffer, uint32_t regionCount, const VkBufferImageCopy *pRegions)
vkDestroySamplerYcbcrConversion
VKAPI_ATTR void VKAPI_CALL vkDestroySamplerYcbcrConversion(VkDevice device, VkSamplerYcbcrConversion ycbcrConversion, const VkAllocationCallbacks *pAllocator)
vkSubmitDebugUtilsMessageEXT
VKAPI_ATTR void VKAPI_CALL vkSubmitDebugUtilsMessageEXT(VkInstance instance, VkDebugUtilsMessageSeverityFlagBitsEXT messageSeverity, VkDebugUtilsMessageTypeFlagsEXT messageTypes, const VkDebugUtilsMessengerCallbackDataEXT *pCallbackData)
vkCmdReserveSpaceForCommandsNVX
VKAPI_ATTR void VKAPI_CALL vkCmdReserveSpaceForCommandsNVX(VkCommandBuffer commandBuffer, const VkCmdReserveSpaceForCommandsInfoNVX *pReserveSpaceInfo)
vkDestroyEvent
VKAPI_ATTR void VKAPI_CALL vkDestroyEvent(VkDevice device, VkEvent event, const VkAllocationCallbacks *pAllocator)
vkGetPastPresentationTimingGOOGLE
VKAPI_ATTR VkResult VKAPI_CALL vkGetPastPresentationTimingGOOGLE(VkDevice device, VkSwapchainKHR swapchain, uint32_t *pPresentationTimingCount, VkPastPresentationTimingGOOGLE *pPresentationTimings)
vkCmdEndRenderPass
VKAPI_ATTR void VKAPI_CALL vkCmdEndRenderPass(VkCommandBuffer commandBuffer)
vkDestroyImageView
VKAPI_ATTR void VKAPI_CALL vkDestroyImageView(VkDevice device, VkImageView imageView, const VkAllocationCallbacks *pAllocator)
vkDestroyPipelineLayout
VKAPI_ATTR void VKAPI_CALL vkDestroyPipelineLayout(VkDevice device, VkPipelineLayout pipelineLayout, const VkAllocationCallbacks *pAllocator)
vkMergePipelineCaches
VKAPI_ATTR VkResult VKAPI_CALL vkMergePipelineCaches(VkDevice device, VkPipelineCache dstCache, uint32_t srcCacheCount, const VkPipelineCache *pSrcCaches)
vkEndCommandBuffer
VKAPI_ATTR VkResult VKAPI_CALL vkEndCommandBuffer(VkCommandBuffer commandBuffer)
vkCmdBindDescriptorSets
VKAPI_ATTR void VKAPI_CALL vkCmdBindDescriptorSets(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipelineLayout layout, uint32_t firstSet, uint32_t descriptorSetCount, const VkDescriptorSet *pDescriptorSets, uint32_t dynamicOffsetCount, const uint32_t *pDynamicOffsets)
vkRegisterObjectsNVX
VKAPI_ATTR VkResult VKAPI_CALL vkRegisterObjectsNVX(VkDevice device, VkObjectTableNVX objectTable, uint32_t objectCount, const VkObjectTableEntryNVX *const *ppObjectTableEntries, const uint32_t *pObjectIndices)
vkGetPhysicalDeviceSurfaceFormats2KHR
VKAPI_ATTR VkResult VKAPI_CALL vkGetPhysicalDeviceSurfaceFormats2KHR(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceSurfaceInfo2KHR *pSurfaceInfo, uint32_t *pSurfaceFormatCount, VkSurfaceFormat2KHR *pSurfaceFormats)
vkCmdEndRenderPass2KHR
VKAPI_ATTR void VKAPI_CALL vkCmdEndRenderPass2KHR(VkCommandBuffer commandBuffer, const VkSubpassEndInfoKHR *pSubpassEndInfo)
vkGetPhysicalDeviceImageFormatProperties2
VKAPI_ATTR VkResult VKAPI_CALL vkGetPhysicalDeviceImageFormatProperties2(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceImageFormatInfo2 *pImageFormatInfo, VkImageFormatProperties2 *pImageFormatProperties)
vkGetValidationCacheDataEXT
VKAPI_ATTR VkResult VKAPI_CALL vkGetValidationCacheDataEXT(VkDevice device, VkValidationCacheEXT validationCache, size_t *pDataSize, void *pData)
vkCmdTraceRaysNV
VKAPI_ATTR void VKAPI_CALL vkCmdTraceRaysNV(VkCommandBuffer commandBuffer, VkBuffer raygenShaderBindingTableBuffer, VkDeviceSize raygenShaderBindingOffset, VkBuffer missShaderBindingTableBuffer, VkDeviceSize missShaderBindingOffset, VkDeviceSize missShaderBindingStride, VkBuffer hitShaderBindingTableBuffer, VkDeviceSize hitShaderBindingOffset, VkDeviceSize hitShaderBindingStride, VkBuffer callableShaderBindingTableBuffer, VkDeviceSize callableShaderBindingOffset, VkDeviceSize callableShaderBindingStride, uint32_t width, uint32_t height, uint32_t depth)
vkDestroyObjectTableNVX
VKAPI_ATTR void VKAPI_CALL vkDestroyObjectTableNVX(VkDevice device, VkObjectTableNVX objectTable, const VkAllocationCallbacks *pAllocator)
vkCmdBuildAccelerationStructureNV
VKAPI_ATTR void VKAPI_CALL vkCmdBuildAccelerationStructureNV(VkCommandBuffer commandBuffer, const VkAccelerationStructureInfoNV *pInfo, VkBuffer instanceData, VkDeviceSize instanceOffset, VkBool32 update, VkAccelerationStructureNV dst, VkAccelerationStructureNV src, VkBuffer scratch, VkDeviceSize scratchOffset)
vkCreateRenderPass2KHR
VKAPI_ATTR VkResult VKAPI_CALL vkCreateRenderPass2KHR(VkDevice device, const VkRenderPassCreateInfo2KHR *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkRenderPass *pRenderPass)
vkCmdNextSubpass2KHR
VKAPI_ATTR void VKAPI_CALL vkCmdNextSubpass2KHR(VkCommandBuffer commandBuffer, const VkSubpassBeginInfoKHR *pSubpassBeginInfo, const VkSubpassEndInfoKHR *pSubpassEndInfo)
vkGetPhysicalDeviceCalibrateableTimeDomainsEXT
VKAPI_ATTR VkResult VKAPI_CALL vkGetPhysicalDeviceCalibrateableTimeDomainsEXT(VkPhysicalDevice physicalDevice, uint32_t *pTimeDomainCount, VkTimeDomainEXT *pTimeDomains)
vkCmdCopyAccelerationStructureNV
VKAPI_ATTR void VKAPI_CALL vkCmdCopyAccelerationStructureNV(VkCommandBuffer commandBuffer, VkAccelerationStructureNV dst, VkAccelerationStructureNV src, VkCopyAccelerationStructureModeNV mode)
vkGetPhysicalDeviceFormatProperties2KHR
VKAPI_ATTR void VKAPI_CALL vkGetPhysicalDeviceFormatProperties2KHR(VkPhysicalDevice physicalDevice, VkFormat format, VkFormatProperties2 *pFormatProperties)
vkTrimCommandPool
VKAPI_ATTR void VKAPI_CALL vkTrimCommandPool(VkDevice device, VkCommandPool commandPool, VkCommandPoolTrimFlags flags)
vkGetDeviceQueue
VKAPI_ATTR void VKAPI_CALL vkGetDeviceQueue(VkDevice device, uint32_t queueFamilyIndex, uint32_t queueIndex, VkQueue *pQueue)
vkReleaseDisplayEXT
VKAPI_ATTR VkResult VKAPI_CALL vkReleaseDisplayEXT(VkPhysicalDevice physicalDevice, VkDisplayKHR display)
vkResetCommandPool
VKAPI_ATTR VkResult VKAPI_CALL vkResetCommandPool(VkDevice device, VkCommandPool commandPool, VkCommandPoolResetFlags flags)
vkGetSwapchainCounterEXT
VKAPI_ATTR VkResult VKAPI_CALL vkGetSwapchainCounterEXT(VkDevice device, VkSwapchainKHR swapchain, VkSurfaceCounterFlagBitsEXT counter, uint64_t *pCounterValue)
vkGetPhysicalDeviceExternalSemaphorePropertiesKHR
VKAPI_ATTR void VKAPI_CALL vkGetPhysicalDeviceExternalSemaphorePropertiesKHR(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalSemaphoreInfo *pExternalSemaphoreInfo, VkExternalSemaphoreProperties *pExternalSemaphoreProperties)
depth
GLint GLint GLsizei GLsizei GLsizei depth
Definition: SDL_opengl.h:1572
vkAllocateMemory
VKAPI_ATTR VkResult VKAPI_CALL vkAllocateMemory(VkDevice device, const VkMemoryAllocateInfo *pAllocateInfo, const VkAllocationCallbacks *pAllocator, VkDeviceMemory *pMemory)
vkDebugMarkerSetObjectNameEXT
VKAPI_ATTR VkResult VKAPI_CALL vkDebugMarkerSetObjectNameEXT(VkDevice device, const VkDebugMarkerObjectNameInfoEXT *pNameInfo)
vkGetPhysicalDeviceDisplayPlaneProperties2KHR
VKAPI_ATTR VkResult VKAPI_CALL vkGetPhysicalDeviceDisplayPlaneProperties2KHR(VkPhysicalDevice physicalDevice, uint32_t *pPropertyCount, VkDisplayPlaneProperties2KHR *pProperties)
vkCmdWriteAccelerationStructuresPropertiesNV
VKAPI_ATTR void VKAPI_CALL vkCmdWriteAccelerationStructuresPropertiesNV(VkCommandBuffer commandBuffer, uint32_t accelerationStructureCount, const VkAccelerationStructureNV *pAccelerationStructures, VkQueryType queryType, VkQueryPool queryPool, uint32_t firstQuery)
vkCreatePipelineLayout
VKAPI_ATTR VkResult VKAPI_CALL vkCreatePipelineLayout(VkDevice device, const VkPipelineLayoutCreateInfo *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkPipelineLayout *pPipelineLayout)
vkDestroySamplerYcbcrConversionKHR
VKAPI_ATTR void VKAPI_CALL vkDestroySamplerYcbcrConversionKHR(VkDevice device, VkSamplerYcbcrConversion ycbcrConversion, const VkAllocationCallbacks *pAllocator)
vkCmdSetStencilReference
VKAPI_ATTR void VKAPI_CALL vkCmdSetStencilReference(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t reference)
vkGetPhysicalDeviceProperties2
VKAPI_ATTR void VKAPI_CALL vkGetPhysicalDeviceProperties2(VkPhysicalDevice physicalDevice, VkPhysicalDeviceProperties2 *pProperties)
memory
GLsizei GLenum GLsizei GLsizei GLuint memory
Definition: gl2ext.h:1474
vkCmdSetDeviceMaskKHR
VKAPI_ATTR void VKAPI_CALL vkCmdSetDeviceMaskKHR(VkCommandBuffer commandBuffer, uint32_t deviceMask)
query
GLenum query
Definition: SDL_opengl_glext.h:3480
vkGetImageSparseMemoryRequirements2KHR
VKAPI_ATTR void VKAPI_CALL vkGetImageSparseMemoryRequirements2KHR(VkDevice device, const VkImageSparseMemoryRequirementsInfo2 *pInfo, uint32_t *pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements2 *pSparseMemoryRequirements)
vkCmdWriteTimestamp
VKAPI_ATTR void VKAPI_CALL vkCmdWriteTimestamp(VkCommandBuffer commandBuffer, VkPipelineStageFlagBits pipelineStage, VkQueryPool queryPool, uint32_t query)
vkCmdSetStencilWriteMask
VKAPI_ATTR void VKAPI_CALL vkCmdSetStencilWriteMask(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t writeMask)
vkUnmapMemory
VKAPI_ATTR void VKAPI_CALL vkUnmapMemory(VkDevice device, VkDeviceMemory memory)
vkGetImageSparseMemoryRequirements2
VKAPI_ATTR void VKAPI_CALL vkGetImageSparseMemoryRequirements2(VkDevice device, const VkImageSparseMemoryRequirementsInfo2 *pInfo, uint32_t *pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements2 *pSparseMemoryRequirements)
size
GLsizeiptr size
Definition: SDL_opengl_glext.h:537
vkDestroySwapchainKHR
VKAPI_ATTR void VKAPI_CALL vkDestroySwapchainKHR(VkDevice device, VkSwapchainKHR swapchain, const VkAllocationCallbacks *pAllocator)
vkGetPhysicalDeviceMemoryProperties
VKAPI_ATTR void VKAPI_CALL vkGetPhysicalDeviceMemoryProperties(VkPhysicalDevice physicalDevice, VkPhysicalDeviceMemoryProperties *pMemoryProperties)
vkDestroyFence
VKAPI_ATTR void VKAPI_CALL vkDestroyFence(VkDevice device, VkFence fence, const VkAllocationCallbacks *pAllocator)
vkCreateGraphicsPipelines
VKAPI_ATTR VkResult VKAPI_CALL vkCreateGraphicsPipelines(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkGraphicsPipelineCreateInfo *pCreateInfos, const VkAllocationCallbacks *pAllocator, VkPipeline *pPipelines)
vkSetDebugUtilsObjectNameEXT
VKAPI_ATTR VkResult VKAPI_CALL vkSetDebugUtilsObjectNameEXT(VkDevice device, const VkDebugUtilsObjectNameInfoEXT *pNameInfo)
vkGetDisplayPlaneSupportedDisplaysKHR
VKAPI_ATTR VkResult VKAPI_CALL vkGetDisplayPlaneSupportedDisplaysKHR(VkPhysicalDevice physicalDevice, uint32_t planeIndex, uint32_t *pDisplayCount, VkDisplayKHR *pDisplays)
vkDestroySemaphore
VKAPI_ATTR void VKAPI_CALL vkDestroySemaphore(VkDevice device, VkSemaphore semaphore, const VkAllocationCallbacks *pAllocator)
vkDestroySampler
VKAPI_ATTR void VKAPI_CALL vkDestroySampler(VkDevice device, VkSampler sampler, const VkAllocationCallbacks *pAllocator)
vkGetImageMemoryRequirements
VKAPI_ATTR void VKAPI_CALL vkGetImageMemoryRequirements(VkDevice device, VkImage image, VkMemoryRequirements *pMemoryRequirements)
vkCmdDispatch
VKAPI_ATTR void VKAPI_CALL vkCmdDispatch(VkCommandBuffer commandBuffer, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ)
vkCompileDeferredNV
VKAPI_ATTR VkResult VKAPI_CALL vkCompileDeferredNV(VkDevice device, VkPipeline pipeline, uint32_t shader)
vkCmdDrawMeshTasksIndirectCountNV
VKAPI_ATTR void VKAPI_CALL vkCmdDrawMeshTasksIndirectCountNV(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride)
vkUnregisterObjectsNVX
VKAPI_ATTR VkResult VKAPI_CALL vkUnregisterObjectsNVX(VkDevice device, VkObjectTableNVX objectTable, uint32_t objectCount, const VkObjectEntryTypeNVX *pObjectEntryTypes, const uint32_t *pObjectIndices)
vkCmdDrawMeshTasksNV
VKAPI_ATTR void VKAPI_CALL vkCmdDrawMeshTasksNV(VkCommandBuffer commandBuffer, uint32_t taskCount, uint32_t firstTask)
vkGetPhysicalDeviceSurfaceFormatsKHR
VKAPI_ATTR VkResult VKAPI_CALL vkGetPhysicalDeviceSurfaceFormatsKHR(VkPhysicalDevice physicalDevice, VkSurfaceKHR surface, uint32_t *pSurfaceFormatCount, VkSurfaceFormatKHR *pSurfaceFormats)
vkDestroyPipeline
VKAPI_ATTR void VKAPI_CALL vkDestroyPipeline(VkDevice device, VkPipeline pipeline, const VkAllocationCallbacks *pAllocator)
vkCreateDescriptorPool
VKAPI_ATTR VkResult VKAPI_CALL vkCreateDescriptorPool(VkDevice device, const VkDescriptorPoolCreateInfo *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkDescriptorPool *pDescriptorPool)
vkCmdDispatchBase
VKAPI_ATTR void VKAPI_CALL vkCmdDispatchBase(VkCommandBuffer commandBuffer, uint32_t baseGroupX, uint32_t baseGroupY, uint32_t baseGroupZ, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ)
vkCreatePipelineCache
VKAPI_ATTR VkResult VKAPI_CALL vkCreatePipelineCache(VkDevice device, const VkPipelineCacheCreateInfo *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkPipelineCache *pPipelineCache)
src
GLenum src
Definition: SDL_opengl_glext.h:1737
vkCmdDebugMarkerBeginEXT
VKAPI_ATTR void VKAPI_CALL vkCmdDebugMarkerBeginEXT(VkCommandBuffer commandBuffer, const VkDebugMarkerMarkerInfoEXT *pMarkerInfo)
vkGetDeviceQueue2
VKAPI_ATTR void VKAPI_CALL vkGetDeviceQueue2(VkDevice device, const VkDeviceQueueInfo2 *pQueueInfo, VkQueue *pQueue)
vkCmdBindVertexBuffers
VKAPI_ATTR void VKAPI_CALL vkCmdBindVertexBuffers(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer *pBuffers, const VkDeviceSize *pOffsets)
vkBindImageMemory2KHR
VKAPI_ATTR VkResult VKAPI_CALL vkBindImageMemory2KHR(VkDevice device, uint32_t bindInfoCount, const VkBindImageMemoryInfo *pBindInfos)
vkGetDeviceGroupPresentCapabilitiesKHR
VKAPI_ATTR VkResult VKAPI_CALL vkGetDeviceGroupPresentCapabilitiesKHR(VkDevice device, VkDeviceGroupPresentCapabilitiesKHR *pDeviceGroupPresentCapabilities)
vkDestroyDescriptorPool
VKAPI_ATTR void VKAPI_CALL vkDestroyDescriptorPool(VkDevice device, VkDescriptorPool descriptorPool, const VkAllocationCallbacks *pAllocator)
vkDestroyPipelineCache
VKAPI_ATTR void VKAPI_CALL vkDestroyPipelineCache(VkDevice device, VkPipelineCache pipelineCache, const VkAllocationCallbacks *pAllocator)
vkEnumerateInstanceExtensionProperties
VKAPI_ATTR VkResult VKAPI_CALL vkEnumerateInstanceExtensionProperties(const char *pLayerName, uint32_t *pPropertyCount, VkExtensionProperties *pProperties)
vkCmdPipelineBarrier
VKAPI_ATTR void VKAPI_CALL vkCmdPipelineBarrier(VkCommandBuffer commandBuffer, VkPipelineStageFlags srcStageMask, VkPipelineStageFlags dstStageMask, VkDependencyFlags dependencyFlags, uint32_t memoryBarrierCount, const VkMemoryBarrier *pMemoryBarriers, uint32_t bufferMemoryBarrierCount, const VkBufferMemoryBarrier *pBufferMemoryBarriers, uint32_t imageMemoryBarrierCount, const VkImageMemoryBarrier *pImageMemoryBarriers)
vkCreateDebugUtilsMessengerEXT
VKAPI_ATTR VkResult VKAPI_CALL vkCreateDebugUtilsMessengerEXT(VkInstance instance, const VkDebugUtilsMessengerCreateInfoEXT *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkDebugUtilsMessengerEXT *pMessenger)
vkGetPhysicalDeviceSurfaceCapabilities2EXT
VKAPI_ATTR VkResult VKAPI_CALL vkGetPhysicalDeviceSurfaceCapabilities2EXT(VkPhysicalDevice physicalDevice, VkSurfaceKHR surface, VkSurfaceCapabilities2EXT *pSurfaceCapabilities)
vkGetPhysicalDeviceFeatures2
VKAPI_ATTR void VKAPI_CALL vkGetPhysicalDeviceFeatures2(VkPhysicalDevice physicalDevice, VkPhysicalDeviceFeatures2 *pFeatures)
vkCreateDescriptorSetLayout
VKAPI_ATTR VkResult VKAPI_CALL vkCreateDescriptorSetLayout(VkDevice device, const VkDescriptorSetLayoutCreateInfo *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkDescriptorSetLayout *pSetLayout)
vkGetMemoryFdPropertiesKHR
VKAPI_ATTR VkResult VKAPI_CALL vkGetMemoryFdPropertiesKHR(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, int fd, VkMemoryFdPropertiesKHR *pMemoryFdProperties)
framebuffer
GLuint framebuffer
Definition: SDL_opengl_glext.h:1174
vkGetImageMemoryRequirements2
VKAPI_ATTR void VKAPI_CALL vkGetImageMemoryRequirements2(VkDevice device, const VkImageMemoryRequirementsInfo2 *pInfo, VkMemoryRequirements2 *pMemoryRequirements)
objectType
EGLenum objectType
Definition: eglext.h:128
vkCmdSetScissor
VKAPI_ATTR void VKAPI_CALL vkCmdSetScissor(VkCommandBuffer commandBuffer, uint32_t firstScissor, uint32_t scissorCount, const VkRect2D *pScissors)
vkDestroyRenderPass
VKAPI_ATTR void VKAPI_CALL vkDestroyRenderPass(VkDevice device, VkRenderPass renderPass, const VkAllocationCallbacks *pAllocator)
vkGetImageSubresourceLayout
VKAPI_ATTR void VKAPI_CALL vkGetImageSubresourceLayout(VkDevice device, VkImage image, const VkImageSubresource *pSubresource, VkSubresourceLayout *pLayout)
vkGetPhysicalDeviceFeatures
VKAPI_ATTR void VKAPI_CALL vkGetPhysicalDeviceFeatures(VkPhysicalDevice physicalDevice, VkPhysicalDeviceFeatures *pFeatures)
vkDestroyDescriptorUpdateTemplateKHR
VKAPI_ATTR void VKAPI_CALL vkDestroyDescriptorUpdateTemplateKHR(VkDevice device, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const VkAllocationCallbacks *pAllocator)
vkCmdDebugMarkerEndEXT
VKAPI_ATTR void VKAPI_CALL vkCmdDebugMarkerEndEXT(VkCommandBuffer commandBuffer)
vkDebugMarkerSetObjectTagEXT
VKAPI_ATTR VkResult VKAPI_CALL vkDebugMarkerSetObjectTagEXT(VkDevice device, const VkDebugMarkerObjectTagInfoEXT *pTagInfo)
vkCmdExecuteCommands
VKAPI_ATTR void VKAPI_CALL vkCmdExecuteCommands(VkCommandBuffer commandBuffer, uint32_t commandBufferCount, const VkCommandBuffer *pCommandBuffers)
vkQueueSubmit
VKAPI_ATTR VkResult VKAPI_CALL vkQueueSubmit(VkQueue queue, uint32_t submitCount, const VkSubmitInfo *pSubmits, VkFence fence)
vkCmdSetViewportShadingRatePaletteNV
VKAPI_ATTR void VKAPI_CALL vkCmdSetViewportShadingRatePaletteNV(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkShadingRatePaletteNV *pShadingRatePalettes)
vkTrimCommandPoolKHR
VKAPI_ATTR void VKAPI_CALL vkTrimCommandPoolKHR(VkDevice device, VkCommandPool commandPool, VkCommandPoolTrimFlags flags)
vkGetPhysicalDeviceSurfaceCapabilities2KHR
VKAPI_ATTR VkResult VKAPI_CALL vkGetPhysicalDeviceSurfaceCapabilities2KHR(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceSurfaceInfo2KHR *pSurfaceInfo, VkSurfaceCapabilities2KHR *pSurfaceCapabilities)
vkCreateCommandPool
VKAPI_ATTR VkResult VKAPI_CALL vkCreateCommandPool(VkDevice device, const VkCommandPoolCreateInfo *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkCommandPool *pCommandPool)
vkCmdResolveImage
VKAPI_ATTR void VKAPI_CALL vkCmdResolveImage(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageResolve *pRegions)
vkGetImageSparseMemoryRequirements
VKAPI_ATTR void VKAPI_CALL vkGetImageSparseMemoryRequirements(VkDevice device, VkImage image, uint32_t *pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements *pSparseMemoryRequirements)
vkGetPhysicalDeviceQueueFamilyProperties
VKAPI_ATTR void VKAPI_CALL vkGetPhysicalDeviceQueueFamilyProperties(VkPhysicalDevice physicalDevice, uint32_t *pQueueFamilyPropertyCount, VkQueueFamilyProperties *pQueueFamilyProperties)
vkCmdClearAttachments
VKAPI_ATTR void VKAPI_CALL vkCmdClearAttachments(VkCommandBuffer commandBuffer, uint32_t attachmentCount, const VkClearAttachment *pAttachments, uint32_t rectCount, const VkClearRect *pRects)
vkBindBufferMemory2
VKAPI_ATTR VkResult VKAPI_CALL vkBindBufferMemory2(VkDevice device, uint32_t bindInfoCount, const VkBindBufferMemoryInfo *pBindInfos)
vkDestroyBuffer
VKAPI_ATTR void VKAPI_CALL vkDestroyBuffer(VkDevice device, VkBuffer buffer, const VkAllocationCallbacks *pAllocator)
stride
GLsizei stride
Definition: SDL_opengl_glext.h:378
vkCmdSetCoarseSampleOrderNV
VKAPI_ATTR void VKAPI_CALL vkCmdSetCoarseSampleOrderNV(VkCommandBuffer commandBuffer, VkCoarseSampleOrderTypeNV sampleOrderType, uint32_t customSampleOrderCount, const VkCoarseSampleOrderCustomNV *pCustomSampleOrders)
vkBeginCommandBuffer
VKAPI_ATTR VkResult VKAPI_CALL vkBeginCommandBuffer(VkCommandBuffer commandBuffer, const VkCommandBufferBeginInfo *pBeginInfo)
vkGetSwapchainStatusKHR
VKAPI_ATTR VkResult VKAPI_CALL vkGetSwapchainStatusKHR(VkDevice device, VkSwapchainKHR swapchain)
vkCmdResetQueryPool
VKAPI_ATTR void VKAPI_CALL vkCmdResetQueryPool(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount)
vkCmdUpdateBuffer
VKAPI_ATTR void VKAPI_CALL vkCmdUpdateBuffer(VkCommandBuffer commandBuffer, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize dataSize, const void *pData)
vkGetPhysicalDeviceGeneratedCommandsPropertiesNVX
VKAPI_ATTR void VKAPI_CALL vkGetPhysicalDeviceGeneratedCommandsPropertiesNVX(VkPhysicalDevice physicalDevice, VkDeviceGeneratedCommandsFeaturesNVX *pFeatures, VkDeviceGeneratedCommandsLimitsNVX *pLimits)
vkCmdWriteBufferMarkerAMD
VKAPI_ATTR void VKAPI_CALL vkCmdWriteBufferMarkerAMD(VkCommandBuffer commandBuffer, VkPipelineStageFlagBits pipelineStage, VkBuffer dstBuffer, VkDeviceSize dstOffset, uint32_t marker)
vkMergeValidationCachesEXT
VKAPI_ATTR VkResult VKAPI_CALL vkMergeValidationCachesEXT(VkDevice device, VkValidationCacheEXT dstCache, uint32_t srcCacheCount, const VkValidationCacheEXT *pSrcCaches)
vkCmdBeginDebugUtilsLabelEXT
VKAPI_ATTR void VKAPI_CALL vkCmdBeginDebugUtilsLabelEXT(VkCommandBuffer commandBuffer, const VkDebugUtilsLabelEXT *pLabelInfo)
vkCreateDescriptorUpdateTemplateKHR
VKAPI_ATTR VkResult VKAPI_CALL vkCreateDescriptorUpdateTemplateKHR(VkDevice device, const VkDescriptorUpdateTemplateCreateInfo *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkDescriptorUpdateTemplate *pDescriptorUpdateTemplate)
vkDestroyValidationCacheEXT
VKAPI_ATTR void VKAPI_CALL vkDestroyValidationCacheEXT(VkDevice device, VkValidationCacheEXT validationCache, const VkAllocationCallbacks *pAllocator)
vkBindImageMemory2
VKAPI_ATTR VkResult VKAPI_CALL vkBindImageMemory2(VkDevice device, uint32_t bindInfoCount, const VkBindImageMemoryInfo *pBindInfos)
vkGetDeviceGroupPeerMemoryFeatures
VKAPI_ATTR void VKAPI_CALL vkGetDeviceGroupPeerMemoryFeatures(VkDevice device, uint32_t heapIndex, uint32_t localDeviceIndex, uint32_t remoteDeviceIndex, VkPeerMemoryFeatureFlags *pPeerMemoryFeatures)
vkGetQueueCheckpointDataNV
VKAPI_ATTR void VKAPI_CALL vkGetQueueCheckpointDataNV(VkQueue queue, uint32_t *pCheckpointDataCount, VkCheckpointDataNV *pCheckpointData)
vkQueueEndDebugUtilsLabelEXT
VKAPI_ATTR void VKAPI_CALL vkQueueEndDebugUtilsLabelEXT(VkQueue queue)
vkFreeCommandBuffers
VKAPI_ATTR void VKAPI_CALL vkFreeCommandBuffers(VkDevice device, VkCommandPool commandPool, uint32_t commandBufferCount, const VkCommandBuffer *pCommandBuffers)
vkEnumeratePhysicalDeviceGroups
VKAPI_ATTR VkResult VKAPI_CALL vkEnumeratePhysicalDeviceGroups(VkInstance instance, uint32_t *pPhysicalDeviceGroupCount, VkPhysicalDeviceGroupProperties *pPhysicalDeviceGroupProperties)
vkCreateShaderModule
VKAPI_ATTR VkResult VKAPI_CALL vkCreateShaderModule(VkDevice device, const VkShaderModuleCreateInfo *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkShaderModule *pShaderModule)
vkMapMemory
VKAPI_ATTR VkResult VKAPI_CALL vkMapMemory(VkDevice device, VkDeviceMemory memory, VkDeviceSize offset, VkDeviceSize size, VkMemoryMapFlags flags, void **ppData)
vkGetImageDrmFormatModifierPropertiesEXT
VKAPI_ATTR VkResult VKAPI_CALL vkGetImageDrmFormatModifierPropertiesEXT(VkDevice device, VkImage image, VkImageDrmFormatModifierPropertiesEXT *pProperties)
vkGetDescriptorSetLayoutSupport
VKAPI_ATTR void VKAPI_CALL vkGetDescriptorSetLayoutSupport(VkDevice device, const VkDescriptorSetLayoutCreateInfo *pCreateInfo, VkDescriptorSetLayoutSupport *pSupport)
vkQueueBindSparse
VKAPI_ATTR VkResult VKAPI_CALL vkQueueBindSparse(VkQueue queue, uint32_t bindInfoCount, const VkBindSparseInfo *pBindInfo, VkFence fence)
vkCreateImageView
VKAPI_ATTR VkResult VKAPI_CALL vkCreateImageView(VkDevice device, const VkImageViewCreateInfo *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkImageView *pView)
vkCmdSetViewportWScalingNV
VKAPI_ATTR void VKAPI_CALL vkCmdSetViewportWScalingNV(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkViewportWScalingNV *pViewportWScalings)
vkAcquireNextImageKHR
VKAPI_ATTR VkResult VKAPI_CALL vkAcquireNextImageKHR(VkDevice device, VkSwapchainKHR swapchain, uint64_t timeout, VkSemaphore semaphore, VkFence fence, uint32_t *pImageIndex)
vkGetPhysicalDeviceSparseImageFormatProperties
VKAPI_ATTR void VKAPI_CALL vkGetPhysicalDeviceSparseImageFormatProperties(VkPhysicalDevice physicalDevice, VkFormat format, VkImageType type, VkSampleCountFlagBits samples, VkImageUsageFlags usage, VkImageTiling tiling, uint32_t *pPropertyCount, VkSparseImageFormatProperties *pProperties)
vkGetPhysicalDeviceSurfacePresentModesKHR
VKAPI_ATTR VkResult VKAPI_CALL vkGetPhysicalDeviceSurfacePresentModesKHR(VkPhysicalDevice physicalDevice, VkSurfaceKHR surface, uint32_t *pPresentModeCount, VkPresentModeKHR *pPresentModes)
vkDestroyAccelerationStructureNV
VKAPI_ATTR void VKAPI_CALL vkDestroyAccelerationStructureNV(VkDevice device, VkAccelerationStructureNV accelerationStructure, const VkAllocationCallbacks *pAllocator)
vkRegisterDisplayEventEXT
VKAPI_ATTR VkResult VKAPI_CALL vkRegisterDisplayEventEXT(VkDevice device, VkDisplayKHR display, const VkDisplayEventInfoEXT *pDisplayEventInfo, const VkAllocationCallbacks *pAllocator, VkFence *pFence)
vkGetPhysicalDeviceExternalFencePropertiesKHR
VKAPI_ATTR void VKAPI_CALL vkGetPhysicalDeviceExternalFencePropertiesKHR(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalFenceInfo *pExternalFenceInfo, VkExternalFenceProperties *pExternalFenceProperties)
vkBindBufferMemory
VKAPI_ATTR VkResult VKAPI_CALL vkBindBufferMemory(VkDevice device, VkBuffer buffer, VkDeviceMemory memory, VkDeviceSize memoryOffset)
fd
GLuint64 GLenum GLint fd
Definition: gl2ext.h:1508
vkCmdBeginQueryIndexedEXT
VKAPI_ATTR void VKAPI_CALL vkCmdBeginQueryIndexedEXT(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, VkQueryControlFlags flags, uint32_t index)
flags
GLbitfield flags
Definition: SDL_opengl_glext.h:1480
vkCreateFence
VKAPI_ATTR VkResult VKAPI_CALL vkCreateFence(VkDevice device, const VkFenceCreateInfo *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkFence *pFence)
vkGetPhysicalDeviceImageFormatProperties2KHR
VKAPI_ATTR VkResult VKAPI_CALL vkGetPhysicalDeviceImageFormatProperties2KHR(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceImageFormatInfo2 *pImageFormatInfo, VkImageFormatProperties2 *pImageFormatProperties)
vkDestroySurfaceKHR
VKAPI_ATTR void VKAPI_CALL vkDestroySurfaceKHR(VkInstance instance, VkSurfaceKHR surface, const VkAllocationCallbacks *pAllocator)
device
static SDL_AudioDeviceID device
Definition: loopwave.c:37
dataSize
GLenum GLsizei dataSize
Definition: SDL_opengl_glext.h:4999
vkCmdNextSubpass
VKAPI_ATTR void VKAPI_CALL vkCmdNextSubpass(VkCommandBuffer commandBuffer, VkSubpassContents contents)
vkCreateQueryPool
VKAPI_ATTR VkResult VKAPI_CALL vkCreateQueryPool(VkDevice device, const VkQueryPoolCreateInfo *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkQueryPool *pQueryPool)
vkCmdFillBuffer
VKAPI_ATTR void VKAPI_CALL vkCmdFillBuffer(VkCommandBuffer commandBuffer, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize size, uint32_t data)
vkCmdBindTransformFeedbackBuffersEXT
VKAPI_ATTR void VKAPI_CALL vkCmdBindTransformFeedbackBuffersEXT(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer *pBuffers, const VkDeviceSize *pOffsets, const VkDeviceSize *pSizes)
vkCmdDispatchIndirect
VKAPI_ATTR void VKAPI_CALL vkCmdDispatchIndirect(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset)
type
GLuint GLuint GLsizei GLenum type
Definition: SDL_opengl.h:1571
vkCreateDisplayPlaneSurfaceKHR
VKAPI_ATTR VkResult VKAPI_CALL vkCreateDisplayPlaneSurfaceKHR(VkInstance instance, const VkDisplaySurfaceCreateInfoKHR *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkSurfaceKHR *pSurface)
vkGetBufferMemoryRequirements
VKAPI_ATTR void VKAPI_CALL vkGetBufferMemoryRequirements(VkDevice device, VkBuffer buffer, VkMemoryRequirements *pMemoryRequirements)
vkCmdDispatchBaseKHR
VKAPI_ATTR void VKAPI_CALL vkCmdDispatchBaseKHR(VkCommandBuffer commandBuffer, uint32_t baseGroupX, uint32_t baseGroupY, uint32_t baseGroupZ, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ)
vkCmdDrawIndirectByteCountEXT
VKAPI_ATTR void VKAPI_CALL vkCmdDrawIndirectByteCountEXT(VkCommandBuffer commandBuffer, uint32_t instanceCount, uint32_t firstInstance, VkBuffer counterBuffer, VkDeviceSize counterBufferOffset, uint32_t counterOffset, uint32_t vertexStride)
vkCmdDrawIndirect
VKAPI_ATTR void VKAPI_CALL vkCmdDrawIndirect(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride)
vkCreateSwapchainKHR
VKAPI_ATTR VkResult VKAPI_CALL vkCreateSwapchainKHR(VkDevice device, const VkSwapchainCreateInfoKHR *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkSwapchainKHR *pSwapchain)
vkCmdCopyBuffer
VKAPI_ATTR void VKAPI_CALL vkCmdCopyBuffer(VkCommandBuffer commandBuffer, VkBuffer srcBuffer, VkBuffer dstBuffer, uint32_t regionCount, const VkBufferCopy *pRegions)
vkCreateDevice
VKAPI_ATTR VkResult VKAPI_CALL vkCreateDevice(VkPhysicalDevice physicalDevice, const VkDeviceCreateInfo *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkDevice *pDevice)
handleType
GLuint64 GLenum handleType
Definition: gl2ext.h:1508
vkGetPhysicalDeviceDisplayProperties2KHR
VKAPI_ATTR VkResult VKAPI_CALL vkGetPhysicalDeviceDisplayProperties2KHR(VkPhysicalDevice physicalDevice, uint32_t *pPropertyCount, VkDisplayProperties2KHR *pProperties)
vkCmdDraw
VKAPI_ATTR void VKAPI_CALL vkCmdDraw(VkCommandBuffer commandBuffer, uint32_t vertexCount, uint32_t instanceCount, uint32_t firstVertex, uint32_t firstInstance)
vkGetPhysicalDeviceSurfaceCapabilitiesKHR
VKAPI_ATTR VkResult VKAPI_CALL vkGetPhysicalDeviceSurfaceCapabilitiesKHR(VkPhysicalDevice physicalDevice, VkSurfaceKHR surface, VkSurfaceCapabilitiesKHR *pSurfaceCapabilities)
vkCmdDebugMarkerInsertEXT
VKAPI_ATTR void VKAPI_CALL vkCmdDebugMarkerInsertEXT(VkCommandBuffer commandBuffer, const VkDebugMarkerMarkerInfoEXT *pMarkerInfo)
vkGetPhysicalDeviceProperties
VKAPI_ATTR void VKAPI_CALL vkGetPhysicalDeviceProperties(VkPhysicalDevice physicalDevice, VkPhysicalDeviceProperties *pProperties)
vkGetPhysicalDeviceSparseImageFormatProperties2KHR
VKAPI_ATTR void VKAPI_CALL vkGetPhysicalDeviceSparseImageFormatProperties2KHR(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceSparseImageFormatInfo2 *pFormatInfo, uint32_t *pPropertyCount, VkSparseImageFormatProperties2 *pProperties)
vkCmdEndConditionalRenderingEXT
VKAPI_ATTR void VKAPI_CALL vkCmdEndConditionalRenderingEXT(VkCommandBuffer commandBuffer)
vkDestroyFramebuffer
VKAPI_ATTR void VKAPI_CALL vkDestroyFramebuffer(VkDevice device, VkFramebuffer framebuffer, const VkAllocationCallbacks *pAllocator)
vkCreateRayTracingPipelinesNV
VKAPI_ATTR VkResult VKAPI_CALL vkCreateRayTracingPipelinesNV(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkRayTracingPipelineCreateInfoNV *pCreateInfos, const VkAllocationCallbacks *pAllocator, VkPipeline *pPipelines)
vkCmdDrawIndexedIndirectCountAMD
VKAPI_ATTR void VKAPI_CALL vkCmdDrawIndexedIndirectCountAMD(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride)
vkCmdSetDeviceMask
VKAPI_ATTR void VKAPI_CALL vkCmdSetDeviceMask(VkCommandBuffer commandBuffer, uint32_t deviceMask)
vkImportFenceFdKHR
VKAPI_ATTR VkResult VKAPI_CALL vkImportFenceFdKHR(VkDevice device, const VkImportFenceFdInfoKHR *pImportFenceFdInfo)
vkCmdDrawMeshTasksIndirectNV
VKAPI_ATTR void VKAPI_CALL vkCmdDrawMeshTasksIndirectNV(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride)